
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactory univariateRealSolverFactory0 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactory.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolverFactory0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test003() {}
// Defects4J: flaky method
//   @Test
//   public void test003() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.0d, 0.0d, 0.0d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test004() {}
// Defects4J: flaky method
//   @Test
//   public void test004() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 10.0d, 10.0d, (-1.0d), 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test005() {}
// Defects4J: flaky method
//   @Test
//   public void test005() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test006() {}
// Defects4J: flaky method
//   @Test
//   public void test006() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.analysis.solvers.BrentSolver brentSolver1 = new org.apache.commons.math.analysis.solvers.BrentSolver(univariateRealFunction0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.251752586176186d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d1 = org.apache.commons.math.special.Erf.erf(2.251752586176186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.99854975169906d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), 0.0d, (-1.0d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 0.99854975169906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test012() {}
// Defects4J: flaky method
//   @Test
//   public void test012() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = normalDistributionImpl0.cumulativeProbability(2.251752586176186d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test013() {}
// Defects4J: flaky method
//   @Test
//   public void test013() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, Double.NEGATIVE_INFINITY, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d0 = org.apache.commons.math.special.Gamma.GAMMA;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 0.5772156649015329d);

  }

  @Test
  public void test015() {}
// Defects4J: flaky method
//   @Test
//   public void test015() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test016() {}
// Defects4J: flaky method
//   @Test
//   public void test016() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test017() {}
// Defects4J: flaky method
//   @Test
//   public void test017() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 2.251752586176186d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6449340668481562d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NaN, 10.0d, 100.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.600161852571429d);

  }

  @Test
  public void test021() {}
// Defects4J: flaky method
//   @Test
//   public void test021() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.solve(univariateRealFunction1, 0.5772156649015329d, 0.5772156649015329d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test022() {}
// Defects4J: flaky method
//   @Test
//   public void test022() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.solve(univariateRealFunction1, 1.0d, 0.0d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0E-15d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test024() {}
// Defects4J: flaky method
//   @Test
//   public void test024() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.5772156649015329d, 0.5772156649015329d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test025() {}
// Defects4J: flaky method
//   @Test
//   public void test025() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation((-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
// 
//   }

  @Test
  public void test026() {}
// Defects4J: flaky method
//   @Test
//   public void test026() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(univariateRealFunction4, 0.0d, 1.0d, 2.251752586176186d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test028() {}
// Defects4J: flaky method
//   @Test
//   public void test028() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d1 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 34.538776394910684d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(34.538776394910684d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.99854975169906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.388370898901876E-4d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.99854975169906d, 2.251752586176186d, 0.0d, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.99854975169906d, 8.388370898901876E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9991523373654427d);

  }

  @Test
  public void test035() {}
// Defects4J: flaky method
//   @Test
//   public void test035() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.0d), Double.NEGATIVE_INFINITY, 0.0d, 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test036() {}
// Defects4J: flaky method
//   @Test
//   public void test036() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(8.388370898901876E-4d, 8.388370898901876E-4d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test037() {}
// Defects4J: flaky method
//   @Test
//   public void test037() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 8.388370898901876E-4d, 10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test038() {}
// Defects4J: flaky method
//   @Test
//   public void test038() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.9991523373654427d, 2.251752586176186d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test039() {}
// Defects4J: flaky method
//   @Test
//   public void test039() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.0d), 4.600161852571429d, 0.5772156649015329d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.99854975169906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5796037618997741d));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(2.251752586176186d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.063010056326411E-4d);

  }

  @Test
  public void test042() {}
// Defects4J: flaky method
//   @Test
//   public void test042() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, Double.NaN, Double.NEGATIVE_INFINITY, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test043() {}
// Defects4J: flaky method
//   @Test
//   public void test043() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(univariateRealFunction3, 1.0E-15d, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0E-15d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test045() {}
// Defects4J: flaky method
//   @Test
//   public void test045() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0E-6d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.251752586176186d, 1.6449340668481562d, 1.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.23181376392324912d);

  }

  @Test
  public void test047() {}
// Defects4J: flaky method
//   @Test
//   public void test047() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = normalDistributionImpl0.inverseCumulativeProbability(10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
// 
//   }

  @Test
  public void test048() {}
// Defects4J: flaky method
//   @Test
//   public void test048() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     double d4 = normalDistributionImpl0.inverseCumulativeProbability(0.23181376392324912d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = normalDistributionImpl0.inverseCumulativeProbability(4.600161852571429d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == (-0.7328867165580368d));
// 
//   }

  @Test
  public void test049() {}
// Defects4J: flaky method
//   @Test
//   public void test049() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.7328867165580368d), 1.6449340668481562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test051() {}
// Defects4J: flaky method
//   @Test
//   public void test051() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(univariateRealFunction4, (-1.0d), 0.0d, 8.063010056326411E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test052() {}
// Defects4J: flaky method
//   @Test
//   public void test052() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0E-6d, 4.600161852571429d, 0.9991523373654427d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma((-0.7328867165580368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.5864180298021497d));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.0E-6d, 8.388370898901876E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.199185449450938E-4d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = brentSolver0.solve(univariateRealFunction4, 1.0E-15d, 0.5772156649015329d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-2.5864180298021497d), 8.063010056326411E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test059() {}
// Defects4J: flaky method
//   @Test
//   public void test059() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0d, 0.23181376392324912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.20690618776616065d);

  }

  @Test
  public void test061() {}
// Defects4J: flaky method
//   @Test
//   public void test061() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(10.0d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.801827480081469d);

  }

  @Test
  public void test063() {}
// Defects4J: flaky method
//   @Test
//   public void test063() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 2.251752586176186d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.9991523373654427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8423486234825895d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 1.0E-14d, 8.388370898901876E-4d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.7328867165580368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7000116320223337d));

  }

  @Test
  public void test067() {}
// Defects4J: flaky method
//   @Test
//   public void test067() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.7000116320223337d), 1.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    double d1 = org.apache.commons.math.special.Erf.erf(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1283791670955108E-14d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, 0.0d, 10.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test072() {}
// Defects4J: flaky method
//   @Test
//   public void test072() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.6449340668481562d, (-0.7000116320223337d), 0.99854975169906d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    java.lang.String str6 = functionEvaluationException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, (-0.7000116320223337d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test075() {}
// Defects4J: flaky method
//   @Test
//   public void test075() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.8423486234825895d, 1.0E-15d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test076() {}
// Defects4J: flaky method
//   @Test
//   public void test076() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-8.0d), 0.9974592980455554d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    java.lang.String str24 = functionEvaluationException23.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test078() {}
// Defects4J: flaky method
//   @Test
//   public void test078() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, Double.NEGATIVE_INFINITY, Double.NaN, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test079() {}
// Defects4J: flaky method
//   @Test
//   public void test079() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction9, 1.0E-14d, 1.0E-15d, 0.8423486234825895d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test080() {}
// Defects4J: flaky method
//   @Test
//   public void test080() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(4.199185449450938E-4d, (-0.7328867165580368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test082() {}
// Defects4J: flaky method
//   @Test
//   public void test082() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.7000116320223337d), 0.0d, 0.9991523373654427d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = brentSolver0.solve(univariateRealFunction4, 0.0d, 0.9999999999999991d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test084() {}
// Defects4J: flaky method
//   @Test
//   public void test084() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(8.388370898901876E-4d, 0.23181376392324912d, (-0.7328867165580368d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.99854975169906d, (-2.5864180298021497d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.0d, (-1.0d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test087() {}
// Defects4J: flaky method
//   @Test
//   public void test087() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.solve(34.538776394910684d, 34.538776394910684d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
// 
//   }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(4.600161852571429d, 8.063010056326411E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.300484076788531d);

  }

  @Test
  public void test089() {}
// Defects4J: flaky method
//   @Test
//   public void test089() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9974592980455554d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test090() {}
// Defects4J: flaky method
//   @Test
//   public void test090() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.0E-6d, 1.1283791670955108E-14d, 0.0d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = brentSolver0.solve(univariateRealFunction7, 1.0E-14d, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test092() {}
// Defects4J: flaky method
//   @Test
//   public void test092() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(0.23181376392324912d);
    normalDistributionImpl0.setStandardDeviation(8.063010056326411E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.7328867165580368d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.1283791670955108E-14d, 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999996273d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(Double.NEGATIVE_INFINITY, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test096() {}
// Defects4J: flaky method
//   @Test
//   public void test096() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test097() {}
// Defects4J: flaky method
//   @Test
//   public void test097() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 2.0539125955565396E-15d, 4.199185449450938E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test098() {}
// Defects4J: flaky method
//   @Test
//   public void test098() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(0.23181376392324912d, 2.0539125955565396E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "", obj_array2);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999999999996273d, 1.0E-15d, (-0.7000116320223337d), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() {}
// Defects4J: flaky method
//   @Test
//   public void test102() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 4.199185449450938E-4d, 12.801827480081469d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test103() {}
// Defects4J: flaky method
//   @Test
//   public void test103() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 4.600161852571429d, 1.1283791670955108E-14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(12.801827480081469d, 1.0E-15d, 4.600161852571429d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NEGATIVE_INFINITY, 0.9991523373654427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test107() {}
// Defects4J: flaky method
//   @Test
//   public void test107() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction6, 12.801827480081469d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    double[] d_array24 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 0.23181376392324912d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str28 = functionEvaluationException27.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test109() {}
// Defects4J: flaky method
//   @Test
//   public void test109() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.9780912293042596d, 12.801827480081469d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test110() {}
// Defects4J: flaky method
//   @Test
//   public void test110() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test111() {}
// Defects4J: flaky method
//   @Test
//   public void test111() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction7, 12.801827480081469d, 1.0E-14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9999999999999991d, 2.300484076788531d, (-8.0d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    java.lang.String str24 = functionEvaluationException1.getPattern();
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException(throwable25);
    // The following exception was thrown during execution in test generation
    try {
      functionEvaluationException1.addSuppressed(throwable25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test114() {}
// Defects4J: flaky method
//   @Test
//   public void test114() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 4.600161852571429d, 0.9999999999996273d, 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test115() {}
// Defects4J: flaky method
//   @Test
//   public void test115() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9999999999999991d, 0.0d, (-0.5796037618997741d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test116() {}
// Defects4J: flaky method
//   @Test
//   public void test116() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d7 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(Double.NEGATIVE_INFINITY);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0d);
// 
//   }

  @Test
  public void test117() {}
// Defects4J: flaky method
//   @Test
//   public void test117() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 1.6449340668481562d, 0.9974592980455554d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.cumulativeProbability(8.388370898901876E-4d);
    normalDistributionImpl0.setMean(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2821802517396011d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6510632314621483d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(10.0d, 12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17930447302612001d);

  }

  @Test
  public void test121() {}
// Defects4J: flaky method
//   @Test
//   public void test121() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.0d, (-1.0d), 34.538776394910684d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.0d, 0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test123() {}
// Defects4J: flaky method
//   @Test
//   public void test123() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.0539125955565396E-15d, 4.600161852571429d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test124() {}
// Defects4J: flaky method
//   @Test
//   public void test124() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
    java.lang.Double d13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = normalDistributionImpl0.density(d13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);

  }

  @Test
  public void test127() {}
// Defects4J: flaky method
//   @Test
//   public void test127() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 34.538776394910684d, 0.20690618776616065d, 0.23181376392324912d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test128() {}
// Defects4J: flaky method
//   @Test
//   public void test128() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
// 
//   }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(4.600161852571429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2427079157543628d);

  }

  @Test
  public void test130() {}
// Defects4J: flaky method
//   @Test
//   public void test130() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d1 = org.apache.commons.math.special.Erf.erf(2.9780912293042596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999746495737474d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(8.388370898901876E-4d);

  }

  @Test
  public void test133() {}
// Defects4J: flaky method
//   @Test
//   public void test133() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 1.0d, 0.9991523373654427d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.20690618776616065d, 0.2427079157543628d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(8.388370898901876E-4d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.194185449450938E-4d);

  }

  @Test
  public void test137() {}
// Defects4J: flaky method
//   @Test
//   public void test137() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 8.063010056326411E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    java.lang.String str2 = convergenceException0.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Convergence failed"+ "'", str2.equals("Convergence failed"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 8.063010056326411E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.0315050281632055E-4d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    java.lang.Throwable[] throwable_array7 = functionEvaluationException4.getSuppressed();
    double[] d_array9 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array22);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d_array22 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, d_array9, "", obj_array24);
    double[] d_array27 = functionEvaluationException4.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array27, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    double[] d_array10 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { d_array23 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array10, "", obj_array25);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array25);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array25);
    int i30 = maxIterationsExceededException29.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);

  }

  @Test
  public void test142() {}
// Defects4J: flaky method
//   @Test
//   public void test142() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 12.801827480081469d, 0.17930447302612001d, 2.9780912293042596d, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    double[] d_array24 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test144() {}
// Defects4J: flaky method
//   @Test
//   public void test144() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
//     double d16 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = normalDistributionImpl0.inverseCumulativeProbability(2.251752586176186d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 10.0d);
// 
//   }

  @Test
  public void test145() {}
// Defects4J: flaky method
//   @Test
//   public void test145() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.2821802517396011d, 1.0E-15d, 2.251752586176186d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.8423486234825895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.124760594183115d);

  }

  @Test
  public void test147() {}
// Defects4J: flaky method
//   @Test
//   public void test147() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(2.251752586176186d, 0.23181376392324912d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test148() {}
// Defects4J: flaky method
//   @Test
//   public void test148() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve((-1.1102230246251565E-16d), 1.6449340668481562d, (-8.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test149() {}
// Defects4J: flaky method
//   @Test
//   public void test149() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy((-0.5796037618997741d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
// 
//   }

  @Test
  public void test150() {}
// Defects4J: flaky method
//   @Test
//   public void test150() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 1.0E-15d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test151() {}
// Defects4J: flaky method
//   @Test
//   public void test151() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, Double.NaN, 0.9999999999999831d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(2.3546896901618504d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5272164915810419d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999999999986d));

  }

  @Test
  public void test154() {}
// Defects4J: flaky method
//   @Test
//   public void test154() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     normalDistributionImpl0.setStandardDeviation(100.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = normalDistributionImpl0.inverseCumulativeProbability(Double.NEGATIVE_INFINITY);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
// 
//   }

  @Test
  public void test155() {}
// Defects4J: flaky method
//   @Test
//   public void test155() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.600161852571429d, 0.2821802517396011d, 2.0539125955565396E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma((-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.112963841460668E31d);

  }

  @Test
  public void test157() {}
// Defects4J: flaky method
//   @Test
//   public void test157() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(12.801827480081469d, 4.600161852571429d, 0.0d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.5772156649015329d, 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.28860833245076645d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6449340668482062d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.20690618776616065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.230179376687848d);

  }

  @Test
  public void test162() {}
// Defects4J: flaky method
//   @Test
//   public void test162() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.28860833245076645d, 100.0d, (-1.1102230246251565E-16d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test163() {}
// Defects4J: flaky method
//   @Test
//   public void test163() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test164() {}
// Defects4J: flaky method
//   @Test
//   public void test164() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction6, 0.5272164915810419d, (-1.0d), 0.5772156649015329d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test165() {}
// Defects4J: flaky method
//   @Test
//   public void test165() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.23181376392324912d, 8.063010056326411E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    double d11 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.99854975169906d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.String str2 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    double[] d_array10 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { d_array23 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array10, "", obj_array25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "evaluation failed for argument = {0}"+ "'", str2.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    double[] d_array30 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str45 = mathException44.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(2.9780912293042596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6730251644578144d);

  }

  @Test
  public void test170() {}
// Defects4J: flaky method
//   @Test
//   public void test170() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.0E-14d, 1.0E-14d, 2.3546896901618504d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.2427079157543628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3193152451204537d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.2427079157543628d, 1.0E-14d);
    double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test173() {}
// Defects4J: flaky method
//   @Test
//   public void test173() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
// 
//   }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.23181376392324912d, 1.0E-14d, (-0.5796037618997741d), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.769962616701378E-15d);

  }

  @Test
  public void test178() {}
// Defects4J: flaky method
//   @Test
//   public void test178() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction10, 0.8423486234825895d, 9.769962616701378E-15d, 0.230179376687848d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.7000116320223337d), 4.194185449450938E-4d, (-0.7328867165580368d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test180() {}
// Defects4J: flaky method
//   @Test
//   public void test180() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
// 
//   }

  @Test
  public void test181() {}
// Defects4J: flaky method
//   @Test
//   public void test181() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.8413447460685413d);
//     brentSolver0.setRelativeAccuracy(2.124760594183115d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction10, 0.99854975169906d, 0.23181376392324912d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array36);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException52, "evaluation failed for argument = {0}", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "hi!", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, d_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    java.lang.String str71 = functionEvaluationException69.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, 100.0d);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, d_array74);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { d_array74 };
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException65, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException59, "Convergence failed", obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "evaluation failed for argument = {0}"+ "'", str71.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array16);
    java.lang.String str21 = convergenceException20.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test184() {}
// Defects4J: flaky method
//   @Test
//   public void test184() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 12.801827480081469d, Double.NEGATIVE_INFINITY, 0.12367307154431806d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test185() {}
// Defects4J: flaky method
//   @Test
//   public void test185() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test186() {}
// Defects4J: flaky method
//   @Test
//   public void test186() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = normalDistributionImpl0.inverseCumulativeProbability((-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
// 
//   }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 359.1342053695754d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(4.194185449450938E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.776399272372476d);

  }

  @Test
  public void test189() {}
// Defects4J: flaky method
//   @Test
//   public void test189() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 7.776399272372476d, 0.17930447302612001d, 0.2427079157543628d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.9999746495737474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5772573681199622d));

  }

  @Test
  public void test191() {}
// Defects4J: flaky method
//   @Test
//   public void test191() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
// 
//   }

  @Test
  public void test192() {}
// Defects4J: flaky method
//   @Test
//   public void test192() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 34.538776394910684d, 0.8423486234825895d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    java.lang.Throwable throwable19 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException18.addSuppressed(throwable19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test194() {}
// Defects4J: flaky method
//   @Test
//   public void test194() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(4.194185449450938E-4d, 2.0539125955565396E-15d, 2.3546896901618504d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1751.8796585025225d);

  }

  @Test
  public void test196() {}
// Defects4J: flaky method
//   @Test
//   public void test196() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.0d, 0.28860833245076645d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.5772156649015329d, (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.7113921675492336d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.9999999999996273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5772156675683043d));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 50.0d);

  }

  @Test
  public void test200() {}
// Defects4J: flaky method
//   @Test
//   public void test200() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction6, 100.0d, 8.063010056326411E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test201() {}
// Defects4J: flaky method
//   @Test
//   public void test201() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.5772156649015329d);
// 
//   }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2527525318167954E-16d));

  }

  @Test
  public void test204() {}
// Defects4J: flaky method
//   @Test
//   public void test204() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.2427079157543628d, 1.0E-14d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = normalDistributionImpl2.cumulativeProbability(1.3193152451204537d, 0.2427079157543628d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array13);
    java.lang.String str16 = mathException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = functionEvaluationException30.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, 0.230179376687848d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array31);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.9999999999999991d);
    java.lang.String str29 = functionEvaluationException28.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    java.lang.Throwable[] throwable_array10 = functionEvaluationException7.getSuppressed();
    double[] d_array12 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array12, "", obj_array27);
    double[] d_array30 = functionEvaluationException7.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array30, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(throwable1, Double.NaN, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array38);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-1.2527525318167954E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4135798584282322E-16d));

  }

  @Test
  public void test209() {}
// Defects4J: flaky method
//   @Test
//   public void test209() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.2527525318167954E-16d), 2.251752586176186d, 4.0315050281632055E-4d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test210() {}
// Defects4J: flaky method
//   @Test
//   public void test210() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(0.8413447460685413d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(2.9780912293042596d, 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4890456146521303d);

  }

  @Test
  public void test212() {}
// Defects4J: flaky method
//   @Test
//   public void test212() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 0.0d, 0.2821802517396011d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
// 
//   }

  @Test
  public void test213() {}
// Defects4J: flaky method
//   @Test
//   public void test213() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-8.0d));
// 
//   }

  @Test
  public void test214() {}
// Defects4J: flaky method
//   @Test
//   public void test214() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     double d13 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = normalDistributionImpl0.cumulativeProbability(1.0E-6d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0d);
// 
//   }

  @Test
  public void test215() {}
// Defects4J: flaky method
//   @Test
//   public void test215() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
//     double d4 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setStandardDeviation(0.23181376392324912d);
//     double d7 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-8.0d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.0d);
// 
//   }

  @Test
  public void test216() {}
// Defects4J: flaky method
//   @Test
//   public void test216() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 50.0d, (-1.4135798584282322E-16d), 2.3546896901618504d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test217() {}
// Defects4J: flaky method
//   @Test
//   public void test217() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test218() {}
// Defects4J: flaky method
//   @Test
//   public void test218() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d2 = normalDistributionImpl0.inverseCumulativeProbability(1.4890456146521303d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test219() {}
// Defects4J: flaky method
//   @Test
//   public void test219() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
//     double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = normalDistributionImpl0.inverseCumulativeProbability(50.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);
// 
//   }

  @Test
  public void test220() {}
// Defects4J: flaky method
//   @Test
//   public void test220() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = functionEvaluationException14.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException38, "evaluation failed for argument = {0}", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 0.0d, "hi!", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException12, d_array19, "", obj_array45);
    java.lang.String str49 = convergenceException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException12, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException12, (-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d);
    double[] d_array60 = functionEvaluationException55.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, d_array60);
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver65 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d66 = brentSolver65.getFunctionValueAccuracy();
    int i67 = brentSolver65.getMaximalIterationCount();
    int i68 = brentSolver65.getIterationCount();
    java.lang.Object[] obj_array69 = new java.lang.Object[] { brentSolver65 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999999991d, "hi!", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array69);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array69);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str49.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test223() {}
// Defects4J: flaky method
//   @Test
//   public void test223() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0085509142809812E-4d, 0.9991523373654427d, 0.9991523373654427d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i3 = brentSolver0.getIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = brentSolver0.solve(univariateRealFunction4, 0.0d, 1.0085509142809812E-4d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "hi!", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    int i30 = maxIterationsExceededException29.getMaxIterations();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException29);
    java.lang.String str32 = mathException31.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test226() {}
// Defects4J: flaky method
//   @Test
//   public void test226() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.0539125955565396E-15d, 4.199185449450938E-4d, 0.9999999999999831d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test227() {}
// Defects4J: flaky method
//   @Test
//   public void test227() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction8, 4.194185449450938E-4d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test228() {}
// Defects4J: flaky method
//   @Test
//   public void test228() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0d);
// 
//   }

  @Test
  public void test229() {}
// Defects4J: flaky method
//   @Test
//   public void test229() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.5772156675683043d), 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8423486234825895d, (-8.0d), (-1.0d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08124407643300252d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma((-1.4135798584282322E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.074237752028427E15d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(10.0d, 12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.400913740040735d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-2.5864180298021497d), 0.08124407643300252d, 1.3193152451204537d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array1);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(8.112963841460668E31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 73.4736011393542d);

  }

  @Test
  public void test237() {}
// Defects4J: flaky method
//   @Test
//   public void test237() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
// 
//   }

  @Test
  public void test238() {}
// Defects4J: flaky method
//   @Test
//   public void test238() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.5772156675683043d), 7.776399272372476d, 0.3034017063338823d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test239() {}
// Defects4J: flaky method
//   @Test
//   public void test239() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     double d11 = brentSolver0.getFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction12, 359.1342053695754d, 10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-15d);
// 
//   }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    normalDistributionImpl0.setStandardDeviation(4.199185449450938E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.6730251644578144d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.017544506840715d);

  }

  @Test
  public void test242() {}
// Defects4J: flaky method
//   @Test
//   public void test242() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 1.0d, (-1.0d), 2.3546896901618504d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.99854975169906d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test244() {}
// Defects4J: flaky method
//   @Test
//   public void test244() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test245() {}
// Defects4J: flaky method
//   @Test
//   public void test245() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.3546896901618504d, 0.28860833245076645d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test246() {}
// Defects4J: flaky method
//   @Test
//   public void test246() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-3.7113921675492336d), 0.0d, 0.0d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.6449340668482062d, 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3224670334240947d);

  }

  @Test
  public void test248() {}
// Defects4J: flaky method
//   @Test
//   public void test248() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.230179376687848d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double[] d_array1 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(d_array1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = functionEvaluationException14.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException38, "evaluation failed for argument = {0}", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 0.0d, "hi!", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException12, d_array19, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array45);
    double[] d_array50 = null;
    java.lang.Throwable throwable57 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str62 = functionEvaluationException61.toString();
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException61, "evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(throwable57, "org.apache.commons.math.MathException: ", obj_array65);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException("", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array65);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array50, "", obj_array65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str62.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(2.3546896901618504d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18780905955032967d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3034017063338823d, 0.6730251644578144d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.14080321995921186d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array1);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    java.lang.Throwable[] throwable_array16 = functionEvaluationException13.getSuppressed();
    double[] d_array18 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array18, "", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("", obj_array33);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array33);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException54);
    double[] d_array57 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException54, d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str63 = functionEvaluationException62.toString();
    java.lang.String str64 = functionEvaluationException62.getPattern();
    java.lang.Throwable[] throwable_array65 = functionEvaluationException62.getSuppressed();
    double[] d_array67 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str76 = functionEvaluationException75.toString();
    java.lang.String str77 = functionEvaluationException75.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, 100.0d);
    double[] d_array80 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, d_array80);
    java.lang.Object[] obj_array82 = new java.lang.Object[] { d_array80 };
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException71, "", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array67, "", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array57, "", obj_array82);
    java.lang.Throwable throwable87 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str92 = functionEvaluationException91.toString();
    java.lang.Object[] obj_array95 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException91, "evaluation failed for argument = {0}", obj_array95);
    org.apache.commons.math.ConvergenceException convergenceException97 = new org.apache.commons.math.ConvergenceException("", obj_array95);
    org.apache.commons.math.ConvergenceException convergenceException98 = new org.apache.commons.math.ConvergenceException(throwable87, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array95);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException99 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException38, d_array57, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str63.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "evaluation failed for argument = {0}"+ "'", str64.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str76.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "evaluation failed for argument = {0}"+ "'", str77.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str92 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str92.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array95);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.20690618776616065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4881496770524554d);

  }

  @Test
  public void test255() {}
// Defects4J: flaky method
//   @Test
//   public void test255() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.cumulativeProbability(8.388370898901876E-4d);
//     normalDistributionImpl0.setStandardDeviation(0.20690618776616065d);
//     double d9 = normalDistributionImpl0.density((java.lang.Double)0.17930447302612001d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = normalDistributionImpl0.inverseCumulativeProbability(359.1342053695754d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.2821802517396011d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.3034017063338823d);
// 
//   }

  @Test
  public void test256() {}
// Defects4J: flaky method
//   @Test
//   public void test256() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction5, 0.230179376687848d, 0.9991523373654427d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test257() {}
// Defects4J: flaky method
//   @Test
//   public void test257() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.9999999999996273d);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(2.9780912293042596d, 0.3989422804014327d, 0.9999999999996273d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test258() {}
// Defects4J: flaky method
//   @Test
//   public void test258() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(2.251752586176186d, 7.074237752028427E15d, 0.2427079157543628d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
// 
//   }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 7.074237752028427E15d, 8.112963841460668E31d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test260() {}
// Defects4J: flaky method
//   @Test
//   public void test260() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test261() {}
// Defects4J: flaky method
//   @Test
//   public void test261() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     double d11 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-15d);
// 
//   }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.3224670334240947d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9998900952501d);

  }

  @Test
  public void test263() {}
// Defects4J: flaky method
//   @Test
//   public void test263() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.3546896901618504d, Double.NaN, 0.17930447302612001d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable throwable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      functionEvaluationException5.addSuppressed(throwable8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test265() {}
// Defects4J: flaky method
//   @Test
//   public void test265() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.17930447302612001d, 10.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = normalDistributionImpl2.cumulativeProbability(0.2821802517396011d, 8.388370898901876E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test266() {}
// Defects4J: flaky method
//   @Test
//   public void test266() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
// 
//   }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3989422804014327d, 0.9998900952501d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.11910535055325921d);

  }

  @Test
  public void test268() {}
// Defects4J: flaky method
//   @Test
//   public void test268() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, (-8.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test269() {}
// Defects4J: flaky method
//   @Test
//   public void test269() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.0d, 0.230179376687848d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test270() {}
// Defects4J: flaky method
//   @Test
//   public void test270() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy((-0.5796037618997741d));
//     brentSolver0.setAbsoluteAccuracy(0.12367307154431806d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(0.9999999999999991d, 0.28860833245076645d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
// 
//   }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.18780905955032967d, 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9512708021936512d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double[] d_array0 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable7, "org.apache.commons.math.MathException: ", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "Convergence failed", obj_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test273() {}
// Defects4J: flaky method
//   @Test
//   public void test273() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     normalDistributionImpl0.setMean(2.9780912293042596d);
//     double d14 = normalDistributionImpl0.inverseCumulativeProbability(0.9998900952501d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation((-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 6.673180595320046d);
// 
//   }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(50.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02020133322663619d);

  }

  @Test
  public void test275() {}
// Defects4J: flaky method
//   @Test
//   public void test275() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(7.074237752028427E15d, (-3.7113921675492336d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test276() {}
// Defects4J: flaky method
//   @Test
//   public void test276() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.9999999999996273d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(2.0539125955565396E-15d, 9.864539521631257E-94d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.405364961712621E-13d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test279() {}
// Defects4J: flaky method
//   @Test
//   public void test279() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.817824251332423E-16d, 0.17930447302612001d, 0.02020133322663619d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.7719912089581201d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.08124407643300252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09147282067039503d);

  }

  @Test
  public void test282() {}
// Defects4J: flaky method
//   @Test
//   public void test282() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.4881496770524554d, 1.6449340668481562d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    java.lang.Throwable[] throwable_array11 = functionEvaluationException8.getSuppressed();
    double[] d_array13 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array13, "", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array28);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28);
    java.lang.Throwable throwable38 = null;
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array42 = convergenceException41.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable38, 1.0E-15d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array42);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException35, 10.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", (java.lang.Object[])throwable_array42);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);

  }

  @Test
  public void test284() {}
// Defects4J: flaky method
//   @Test
//   public void test284() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve((-8.0d), (-0.7000116320223337d), 0.9999746495737474d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(359.1342053695754d);

  }

  @Test
  public void test286() {}
// Defects4J: flaky method
//   @Test
//   public void test286() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test287() {}
// Defects4J: flaky method
//   @Test
//   public void test287() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.000002571428572d, (-3.7113921675492336d), 0.12367307154431806d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(50.0d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array2);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array9);
    java.lang.Object[] obj_array11 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException14, 1.4890456146521303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test290() {}
// Defects4J: flaky method
//   @Test
//   public void test290() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     normalDistributionImpl0.setStandardDeviation(100.0d);
//     normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
//     normalDistributionImpl0.setMean(1.6449340668481562d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = normalDistributionImpl0.cumulativeProbability(7.074237752028427E15d, (-0.5772573681199622d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
// 
//   }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.8687563539140556E14d));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(4.199185449450938E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2381.990759015578d));

  }

  @Test
  public void test293() {}
// Defects4J: flaky method
//   @Test
//   public void test293() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d, 8.388370898901876E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
// 
//   }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NaN, 0.28860833245076645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.3193152451204537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.11123261570668186d));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.600161852571429d, 0.0d, (-0.7000116320223337d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.6449340668481562d, 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6258514469070213d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.044304336123545895d, 0.9991523373654427d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test299() {}
// Defects4J: flaky method
//   @Test
//   public void test299() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.405364961712621E-13d, 0.18780905955032967d, (-2381.990759015578d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test300() {}
// Defects4J: flaky method
//   @Test
//   public void test300() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     int i4 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
// 
//   }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.1102230246251565E-16d), 34.538776394910684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.12367307154431806d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.06183653577215903d);

  }

  @Test
  public void test303() {}
// Defects4J: flaky method
//   @Test
//   public void test303() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction5, 10.0d, 8.388370898901876E-4d, (-0.7000116320223337d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test304() {}
// Defects4J: flaky method
//   @Test
//   public void test304() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getIterationCount();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
// 
//   }

  @Test
  public void test305() {}
// Defects4J: flaky method
//   @Test
//   public void test305() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.0d), 0.9999999999999831d, 2.3546896901618504d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.17930447302612001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6395513150685832d);

  }

  @Test
  public void test307() {}
// Defects4J: flaky method
//   @Test
//   public void test307() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(0.12367307154431806d, (-0.5796037618997741d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test308() {}
// Defects4J: flaky method
//   @Test
//   public void test308() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9999999999999991d, 6.673180595320046d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test309() {}
// Defects4J: flaky method
//   @Test
//   public void test309() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9999999999996273d, 0.02020133322663619d, 4.199185449450938E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(73.4736011393542d, 1.6449340668482062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 37.559267603101205d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array9);
    java.lang.Object[] obj_array11 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException23, "evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException12, d_array19);
    java.lang.String str32 = mathException12.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str32.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test313() {}
// Defects4J: flaky method
//   @Test
//   public void test313() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9991523373654427d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 0.8423486234825895d, 6.673180595320046d, 2.0539125955565396E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test314() {}
// Defects4J: flaky method
//   @Test
//   public void test314() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.11123261570668186d), 0.2427079157543628d, 0.20690618776616065d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.2427079157543628d, 0.9999999999999831d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.0d, 0.28860833245076645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.501691579662936E-13d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999746495737474d, 0.0d, 0.06183653577215903d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(7.776399272372476d, 34.538776394910684d, 0.0d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() {}
// Defects4J: flaky method
//   @Test
//   public void test320() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction8, 0.8423486234825895d, (-0.5772573681199622d), (-8.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test321() {}
// Defects4J: flaky method
//   @Test
//   public void test321() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, (-8.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0d);
// 
//   }

  @Test
  public void test322() {}
// Defects4J: flaky method
//   @Test
//   public void test322() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setFunctionValueAccuracy(0.7719912089581201d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction11, 1.0d, (-2.5864180298021497d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test323() {}
// Defects4J: flaky method
//   @Test
//   public void test323() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-2.5864180298021497d), 3.017544506840715d, 7.776399272372476d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test325() {}
// Defects4J: flaky method
//   @Test
//   public void test325() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve((-0.7328867165580368d), 1.0E-14d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
// 
//   }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.12367307154431806d);

  }

  @Test
  public void test327() {}
// Defects4J: flaky method
//   @Test
//   public void test327() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction13, 0.044304336123545895d, 0.0d, 1.3224670334240947d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test328() {}
// Defects4J: flaky method
//   @Test
//   public void test328() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
//     double d17 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = normalDistributionImpl0.inverseCumulativeProbability((-1.4135798584282322E-16d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 2.3546896901618504d);
// 
//   }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0E-15d, 11.400913740040735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9984014443252818E-15d);

  }

  @Test
  public void test330() {}
// Defects4J: flaky method
//   @Test
//   public void test330() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test331() {}
// Defects4J: flaky method
//   @Test
//   public void test331() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test332() {}
// Defects4J: flaky method
//   @Test
//   public void test332() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.11910535055325921d, (-0.9999999999999986d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { d_array41 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "evaluation failed for argument = {0}", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 0.0d, "hi!", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, d_array29, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.0d, "org.apache.commons.math.MathException: ", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array55);
    int i62 = maxIterationsExceededException61.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-1));

  }

  @Test
  public void test334() {}
// Defects4J: flaky method
//   @Test
//   public void test334() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 2.9780912293042596d, 4.405364961712621E-13d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
// 
//   }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.17930447302612001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.892696045007611d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(8.388370898901876E-4d, 3.017544506840715d, 1.4890456146521303d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(4.194185449450938E-4d, 0.23181376392324912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.11611659123409711d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.7719912089581201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7250615875149646d);

  }

  @Test
  public void test339() {}
// Defects4J: flaky method
//   @Test
//   public void test339() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.23181376392324912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.830881256288617d);

  }

  @Test
  public void test341() {}
// Defects4J: flaky method
//   @Test
//   public void test341() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     double d9 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(0.0d, 0.23181376276083315d, 1751.8796585025225d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0d);
// 
//   }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(Double.NEGATIVE_INFINITY, 0.9999999999996273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test343() {}
// Defects4J: flaky method
//   @Test
//   public void test343() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.251752586176186d, 0.09147282067039503d, 0.024141633039214808d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)2.251752586176186d);
    double d3 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.031614690161597764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test345() {}
// Defects4J: flaky method
//   @Test
//   public void test345() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.405364961712621E-13d, 34.538776394910684d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(8.501691579662936E-13d, 0.9999999999999831d, 0.9512708021936512d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() {}
// Defects4J: flaky method
//   @Test
//   public void test347() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(univariateRealFunction5, 0.8413447460685413d, 0.5272164915810419d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.11611659123409711d, 2.251752586176186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.004832770392094177d);

  }

  @Test
  public void test349() {}
// Defects4J: flaky method
//   @Test
//   public void test349() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 100.0d);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    double[] d_array25 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28, "evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException10, d_array25, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array27);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("", obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test352() {}
// Defects4J: flaky method
//   @Test
//   public void test352() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.setAbsoluteAccuracy(0.99854975169906d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test353() {}
// Defects4J: flaky method
//   @Test
//   public void test353() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.cumulativeProbability((-0.5796037618997741d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = normalDistributionImpl0.cumulativeProbability(4.405364961712621E-13d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.12367307154431806d);
// 
//   }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-0.9999999999999986d));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 0.06183653577215903d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test356() {}
// Defects4J: flaky method
//   @Test
//   public void test356() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.2821802517396011d, 8.388370898901876E-4d, 2.9780912293042596d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test357() {}
// Defects4J: flaky method
//   @Test
//   public void test357() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(univariateRealFunction4, (-1.4135798584282322E-16d), 2.124760594183115d, 7.074237752028427E15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.getMean();
    double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d8 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.004832770392094177d, 12.801827480081469d, 0.11611659123409711d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    java.lang.String str27 = functionEvaluationException1.getPattern();
    double[] d_array28 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str54 = functionEvaluationException53.toString();
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException53, "evaluation failed for argument = {0}", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    double[] d_array65 = functionEvaluationException60.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str69 = functionEvaluationException68.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    java.lang.String str74 = functionEvaluationException72.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException72, 100.0d);
    double[] d_array77 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException76, d_array77);
    java.lang.Object[] obj_array79 = new java.lang.Object[] { d_array77 };
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException68, "", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str85 = functionEvaluationException84.toString();
    java.lang.String str86 = functionEvaluationException84.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException84, 100.0d);
    java.lang.Object[] obj_array91 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException84, "evaluation failed for argument = {0}", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, 0.0d, "hi!", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException58, d_array65, "", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 0.0d, "org.apache.commons.math.MathException: ", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array91);
    java.lang.String str98 = functionEvaluationException97.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str69.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "evaluation failed for argument = {0}"+ "'", str74.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str85.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "evaluation failed for argument = {0}"+ "'", str86.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str98 + "' != '" + ""+ "'", str98.equals(""));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);

  }

  @Test
  public void test362() {}
// Defects4J: flaky method
//   @Test
//   public void test362() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     double d10 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 0.9999999999999831d, 1.0d, 0.5272164915810419d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-14d);
// 
//   }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(Double.NaN, 0.004832770392094177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.6395513150685832d, 0.09147282067039503d, 0.02020133322663619d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() {}
// Defects4J: flaky method
//   @Test
//   public void test365() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 359.1342053695754d, 1.4890456146521303d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test366() {}
// Defects4J: flaky method
//   @Test
//   public void test366() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction5, 2.0539125955565396E-15d, 0.024141633039214808d, 0.6258514469070213d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
// 
//   }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18, "evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable14, "org.apache.commons.math.MathException: ", obj_array22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test368() {}
// Defects4J: flaky method
//   @Test
//   public void test368() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getIterationCount();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction5, 0.6730251644578144d, (-1.4135798584282322E-16d), (-0.11123261570668186d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
// 
//   }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(6.673180595320046d, 0.004832770392094177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.3390066828560703d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(1.4881496770524554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02535367551369805d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(8.501691579662936E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3835323183923204E24d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999999999999991d, 0.0d, 1.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    double[] d_array30 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array40);
    double[] d_array45 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array59);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { d_array59 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 0.0d, "hi!", obj_array73);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array45, "hi!", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str83 = functionEvaluationException82.toString();
    java.lang.String str84 = functionEvaluationException82.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException82, 100.0d);
    double[] d_array87 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException86, d_array87);
    java.lang.Throwable[] throwable_array89 = functionEvaluationException86.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array89);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array89);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException92, 1.6449340668482062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str83.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "evaluation failed for argument = {0}"+ "'", str84.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array89);

  }

  @Test
  public void test374() {}
// Defects4J: flaky method
//   @Test
//   public void test374() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, Double.NaN, 1.0d, (-0.7328867165580368d), 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.1102230246251565E-16d), 0.12367307154431806d, 10.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = brentSolver0.solve(univariateRealFunction2, 7.776399272372476d, 1751.8796585025225d, 37.559267603101205d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 100.0d);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "hi!", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, (-0.7000116320223337d));
    convergenceException0.addSuppressed((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17);
    java.lang.String str22 = convergenceException21.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: hi!"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: hi!"));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.02020133322663619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2452.01431084703d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.9974592980455554d, 0.23181376276083315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6146365304031943d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.density((java.lang.Double)0.00484896171005994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.03989422335009239d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-0.5772573681199622d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.2427079157543628d, 10.068175568031705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.155441741893034d);

  }

  @Test
  public void test384() {}
// Defects4J: flaky method
//   @Test
//   public void test384() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.density((java.lang.Double)2.251752586176186d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = normalDistributionImpl0.inverseCumulativeProbability((-2381.990759015578d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.031614690161597764d);
// 
//   }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.405364961712621E-13d, 0.14080321995921186d, 7.776399272372476d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = functionEvaluationException8.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "evaluation failed for argument = {0}", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 0.0d, "hi!", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, d_array13, "", obj_array39);
    java.lang.String str43 = convergenceException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, (-0.7328867165580368d));
    java.lang.String str48 = functionEvaluationException47.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str43.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException8, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException13, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException13, 0.9991523373654427d);
    java.lang.Object[] obj_array18 = convergenceException13.getArguments();
    functionEvaluationException6.addSuppressed((java.lang.Throwable)convergenceException13);
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array21, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException29, "evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array21 = functionEvaluationException20.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array21);
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException18, "org.apache.commons.math.MathException: ", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException25, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test389() {}
// Defects4J: flaky method
//   @Test
//   public void test389() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.resetFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 0.99854975169906d, (-0.11123261570668186d), 12.801827480081469d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test390() {}
// Defects4J: flaky method
//   @Test
//   public void test390() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 9.41522341008929E-23d, 9.41522341008929E-23d, 1.3835323183923204E24d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.density((java.lang.Double)0.08124407643300252d);
    normalDistributionImpl0.setMean(0.9999746495737474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.3976278214498225d);

  }

  @Test
  public void test392() {}
// Defects4J: flaky method
//   @Test
//   public void test392() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-8.0d), (-0.5772573681199622d), 4.0315050281632055E-4d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(5.155441741893034d, 0.230179376687848d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999972937547178d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.6449340668482062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.10607177757201924d));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.String str2 = functionEvaluationException1.getPattern();
    double[] d_array3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array17);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { d_array17 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8, "", obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException20);
    double[] d_array23 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException20, d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    java.lang.Throwable[] throwable_array31 = functionEvaluationException28.getSuppressed();
    double[] d_array33 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array46);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d_array46 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array33, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array23, "", obj_array48);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array3, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "evaluation failed for argument = {0}"+ "'", str2.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(0.23181376392324912d);
    double d5 = normalDistributionImpl0.getMean();
    double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.99854975169906d);
    double d8 = normalDistributionImpl0.getMean();
    double d10 = normalDistributionImpl0.density((java.lang.Double)0.230179376687848d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.7328867165580368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.9780912293042596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.3885125500128247d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8427007929497083d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.817824251332423E-16d, 0.06183653577215903d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999999983d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 0.08124407643300252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test401() {}
// Defects4J: flaky method
//   @Test
//   public void test401() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.044304336123545895d, 6.661338147750939E-16d, 0.004832770392094177d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test402() {}
// Defects4J: flaky method
//   @Test
//   public void test402() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(10.068175568031705d, 0.9998900952501d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setMean(10.0d);
    double d9 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test404() {}
// Defects4J: flaky method
//   @Test
//   public void test404() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(2.124760594183115d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.440892098500626E-16d));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(1.0085509142809812E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-5.892696045007611d), 1.0085509142809812E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test409() {}
// Defects4J: flaky method
//   @Test
//   public void test409() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(37.559267603101205d, 0.0d, 0.20690618776616065d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test411() {}
// Defects4J: flaky method
//   @Test
//   public void test411() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(2.000002571428572d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
// 
//   }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.9991523373654427d, 0.08124407643300252d);

  }

  @Test
  public void test413() {}
// Defects4J: flaky method
//   @Test
//   public void test413() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 3.3390066828560703d, 0.9999746495737474d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(4.194185449450938E-4d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 0.0d, "hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array32 = functionEvaluationException29.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException37, "evaluation failed for argument = {0}", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 8.388370898901876E-4d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array41);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array9);
    java.lang.Object[] obj_array11 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.02020133322663619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.022791663139031318d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma((-1.6653345369377348E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.004799503160655E14d);

  }

  @Test
  public void test418() {}
// Defects4J: flaky method
//   @Test
//   public void test418() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 12.801827480081469d, 37.559267603101205d, 4.194185449450938E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     double d4 = normalDistributionImpl0.inverseCumulativeProbability(0.23181376392324912d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d, 2.000002571428572d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == (-0.7328867165580368d));
// 
//   }

  @Test
  public void test420() {}
// Defects4J: flaky method
//   @Test
//   public void test420() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction8, 0.06183653577215903d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 6.004799503160655E14d, 9.41522341008929E-23d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(2452.01431084703d, 7.776399272372476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.11910535055325921d, 2.251752586176186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9950207692891945d);

  }

  @Test
  public void test424() {}
// Defects4J: flaky method
//   @Test
//   public void test424() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-8.0d), 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.18780905955032967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5905736786314697d);

  }

  @Test
  public void test426() {}
// Defects4J: flaky method
//   @Test
//   public void test426() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, (-32.97900978150099d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18, "evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 0.0d, "hi!", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array30 = functionEvaluationException27.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException31, "Convergence failed", obj_array41);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array47);
    java.lang.Throwable[] throwable_array49 = functionEvaluationException48.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException43, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", (java.lang.Object[])throwable_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.2821802517396011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.160230579026408d);

  }

  @Test
  public void test429() {}
// Defects4J: flaky method
//   @Test
//   public void test429() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.10607177757201924d), (-4.8687563539140556E14d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.9998900952501d, (-1.6653345369377348E-15d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.3390066828560703d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test432() {}
// Defects4J: flaky method
//   @Test
//   public void test432() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 4.199185449450938E-4d, 1751.8796585025225d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    java.lang.Throwable[] throwable_array12 = functionEvaluationException9.getSuppressed();
    double[] d_array14 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array27);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { d_array27 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array14, "", obj_array29);
    double[] d_array32 = functionEvaluationException9.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array32, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable3, Double.NaN, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array40);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test434() {}
// Defects4J: flaky method
//   @Test
//   public void test434() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test435() {}
// Defects4J: flaky method
//   @Test
//   public void test435() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6146365304031943d, Double.NEGATIVE_INFINITY, 3.017544506840715d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.160230579026408d, 8.388370898901876E-4d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d10 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.2821802517396011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.714757758333661d);

  }

  @Test
  public void test440() {}
// Defects4J: flaky method
//   @Test
//   public void test440() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test441() {}
// Defects4J: flaky method
//   @Test
//   public void test441() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction10, 100.0d, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test442() {}
// Defects4J: flaky method
//   @Test
//   public void test442() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
//     double d5 = normalDistributionImpl2.cumulativeProbability(0.9974592980455554d, 0.9999999999996273d);
//     double d8 = normalDistributionImpl2.cumulativeProbability(0.9999999999996273d, 2.124760594183115d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0085509142809812E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.044304336123545895d);
// 
//   }

  @Test
  public void test443() {}
// Defects4J: flaky method
//   @Test
//   public void test443() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     normalDistributionImpl0.setStandardDeviation(0.031614690161597764d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = normalDistributionImpl0.inverseCumulativeProbability(6.004799503160655E14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test444() {}
// Defects4J: flaky method
//   @Test
//   public void test444() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = normalDistributionImpl0.inverseCumulativeProbability((-0.5796037618997741d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.0d);
// 
//   }

  @Test
  public void test445() {}
// Defects4J: flaky method
//   @Test
//   public void test445() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(0.20690618776616065d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = normalDistributionImpl0.cumulativeProbability(1.6449340668482062d, 1.9984014443252818E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
// 
//   }

  @Test
  public void test446() {}
// Defects4J: flaky method
//   @Test
//   public void test446() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     brentSolver0.setMaximalIterationCount(0);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 1.817824251332423E-16d, 2.251752586176186d, 10.068175568031705d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.5796037618997741d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5876034419036329d));

  }

  @Test
  public void test448() {}
// Defects4J: flaky method
//   @Test
//   public void test448() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.7719912089581201d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction9, (-0.5876034419036329d), (-0.10607177757201924d), 13.714757758333661d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
// 
//   }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.00484896171005994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 42532.32942350366d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setStandardDeviation(0.9999972937547178d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = brentSolver0.solve(univariateRealFunction5, 1.0E-6d, 37.559267603101205d, 0.2821802517396011d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);

  }

  @Test
  public void test452() {}
// Defects4J: flaky method
//   @Test
//   public void test452() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
// 
//   }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(0.23181376392324912d);
    normalDistributionImpl0.setMean(0.23181376392324912d);
    double d17 = normalDistributionImpl0.cumulativeProbability(0.02020133322663619d, 5.155441741893034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.5837948698997277d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.9999999999999991d);
    double[] d_array29 = functionEvaluationException28.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    java.lang.String str31 = functionEvaluationException30.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(8.063010056326411E-4d, 0.8423486234825895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4215774622441111d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.5876034419036329d), 3.3390066828560703d, 0.18780905955032967d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test457() {}
// Defects4J: flaky method
//   @Test
//   public void test457() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.7250615875149646d, 0.18780905955032967d, 4.405364961712621E-13d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    double[] d_array10 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { d_array23 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array10, "", obj_array25);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array25);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    java.lang.Throwable[] throwable_array34 = functionEvaluationException31.getSuppressed();
    double[] d_array36 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array36, "", obj_array51);
    java.lang.String str54 = functionEvaluationException31.toString();
    double[] d_array55 = functionEvaluationException31.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException29, d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(10.0d, 5.155441741893034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.577720870946517d);

  }

  @Test
  public void test460() {}
// Defects4J: flaky method
//   @Test
//   public void test460() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.5876034419036329d), (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.024141633039214808d, 0.5272164915810419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9870833429281906d);

  }

  @Test
  public void test462() {}
// Defects4J: flaky method
//   @Test
//   public void test462() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.1283791670955108E-14d);
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    double[] d_array24 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 0.23181376392324912d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = brentSolver0.solve(univariateRealFunction4, 0.0d, 2.4846371771513592E-263d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5204998778130466d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.160230579026408d, 0.9999999999999991d, 5.155441741893034d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() {}
// Defects4J: flaky method
//   @Test
//   public void test468() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(8.501691579662936E-13d, 0.23181376392324912d, 12.801827480081469d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 0.9870833429281906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4935416714640953d);

  }

  @Test
  public void test470() {}
// Defects4J: flaky method
//   @Test
//   public void test470() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.cumulativeProbability(8.388370898901876E-4d);
//     normalDistributionImpl0.setStandardDeviation(0.20690618776616065d);
//     double d9 = normalDistributionImpl0.density((java.lang.Double)2.3546896901618504d);
//     double d11 = normalDistributionImpl0.density((java.lang.Double)7.776399272372476d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = normalDistributionImpl0.inverseCumulativeProbability((-0.5876034419036329d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.2821802517396011d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.817824251332423E-16d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 2.4846371771513592E-263d);
// 
//   }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)2.251752586176186d);
    normalDistributionImpl0.setStandardDeviation(5.155441741893034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.031614690161597764d);

  }

  @Test
  public void test472() {}
// Defects4J: flaky method
//   @Test
//   public void test472() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 4.600161852571429d, 4.194185449450938E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test473() {}
// Defects4J: flaky method
//   @Test
//   public void test473() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i9 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
// 
//   }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    java.lang.Throwable[] throwable_array7 = functionEvaluationException4.getSuppressed();
    double[] d_array9 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array22);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d_array22 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, d_array9, "", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array24);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    int i30 = maxIterationsExceededException28.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(4.194185449450938E-4d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.06183653577215903d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    normalDistributionImpl2.setMean(1751.8796585025225d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.468159146183381d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array2);
    int i4 = maxIterationsExceededException3.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array21 = functionEvaluationException20.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array21);
    int i23 = maxIterationsExceededException18.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3976278214498225d, 0.23181376392324912d, 1.0E-14d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test482() {}
// Defects4J: flaky method
//   @Test
//   public void test482() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.6395513150685832d, 0.004832770392094177d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException4, "evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.6146365304031943d, (-1.4135798584282322E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3073182652015971d);

  }

  @Test
  public void test485() {}
// Defects4J: flaky method
//   @Test
//   public void test485() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.3193152451204537d, 2452.01431084703d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(37.559267603101205d, 0.3976278214498225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 18.978447712275514d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
    double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
    normalDistributionImpl0.setStandardDeviation(0.9999999999999983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);

  }

  @Test
  public void test488() {}
// Defects4J: flaky method
//   @Test
//   public void test488() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(0.9512708021936512d, (-2381.990759015578d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.24197137935127502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2677990175702625d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.28860833245076645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.647093714917523d));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(10.068175568031705d, 0.03989422335009239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.054034895690899d);

  }

  @Test
  public void test493() {}
// Defects4J: flaky method
//   @Test
//   public void test493() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, Double.NaN);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = normalDistributionImpl2.cumulativeProbability(0.9999999999999831d, 0.2677990175702625d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array2 = functionEvaluationException1.getArgument();
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.20690618776616065d, 2.251752586176186d, 0.12367307154431806d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.9984014443252818E-15d, 0.00484896171005994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0024244808550309693d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double d1 = org.apache.commons.math.special.Erf.erf(4.194185449450938E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.7326312065868224E-4d);

  }

  @Test
  public void test499() {}
// Defects4J: flaky method
//   @Test
//   public void test499() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(1.160230579026408d, 0.9999999999996273d, 0.9999999999999991d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array13);
    java.lang.Throwable[] throwable_array16 = mathException15.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

}
