
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest5 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test001"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 3.5612942769887352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test002"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    double d3 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setStandardDeviation(0.14080321995921186d);
    double d7 = normalDistributionImpl2.cumulativeProbability(9.992007221626409E-16d);
    normalDistributionImpl2.setMean(0.024141633039214808d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.5000000000000028d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test003"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-2.6927477616013435d), 1.0085509142809812E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test004"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test005"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 1.1329248472760435E-132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test006"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-5.501081852478442E15d), 0.01247422635436668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.750540926239221E15d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test007"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(3.6057617073158525E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 68.05750073714978d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test008"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-0.03685387438401454d), (-2.750540926239221E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3752704631196105E15d));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test009"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    int i3 = maxIterationsExceededException1.getMaxIterations();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = functionEvaluationException17.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    java.lang.Throwable[] throwable_array25 = functionEvaluationException22.getSuppressed();
    double[] d_array27 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 100.0d);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array40);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { d_array40 };
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array27, "", obj_array42);
    double[] d_array45 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, 1.6510632314621483d);
    functionEvaluationException20.addSuppressed((java.lang.Throwable)functionEvaluationException47);
    java.lang.Throwable[] throwable_array51 = functionEvaluationException20.getSuppressed();
    java.lang.Throwable throwable59 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException63, "evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable59, "org.apache.commons.math.MathException: ", obj_array67);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(4.199185449450938E-4d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test010"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
    double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
    double d16 = normalDistributionImpl0.getMean();
    double d19 = normalDistributionImpl0.cumulativeProbability((-1.2527525318167954E-16d), 0.0d);
    normalDistributionImpl0.setStandardDeviation(0.9974592980455554d);
    double d22 = normalDistributionImpl0.getStandardDeviation();
    double d24 = normalDistributionImpl0.inverseCumulativeProbability(1.0900200405129224E-33d);
    double d26 = normalDistributionImpl0.inverseCumulativeProbability(0.49977341147179954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0025407019544446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 9.99943346975385d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test011"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.02314518589204534d, 0.14080321995921186d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.9999999999999974d);
    double d6 = normalDistributionImpl2.density((java.lang.Double)(-3.7113921675492336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999999999980078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 4.951327219923741E-153d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test012"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.0710748244406708E-21d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test013"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
    double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
    double d15 = normalDistributionImpl0.inverseCumulativeProbability(0.03936849058992711d);
    double d17 = normalDistributionImpl0.cumulativeProbability(0.03936849058992711d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 8.241938184170218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-1.4432899320127035E-15d));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test014"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.0517904681969705E-169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 389.0863867962338d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test015"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(1.4881496770524554d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array17 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, 0.9991523373654427d);
    java.lang.Object[] obj_array29 = convergenceException24.getArguments();
    functionEvaluationException16.addSuppressed((java.lang.Throwable)convergenceException24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { d_array41 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "", obj_array43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32);
    double[] d_array46 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    java.lang.String str53 = functionEvaluationException51.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 100.0d);
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, d_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException60, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, d_array46, "org.apache.commons.math.FunctionEvaluationException: ", obj_array64);
    java.lang.Object[] obj_array69 = functionEvaluationException68.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 0.08124407643300252d, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(0.9804542813234185d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array69);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    double[] d_array78 = functionEvaluationException77.getArgument();
    java.lang.Throwable[] throwable_array79 = functionEvaluationException77.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array79);
    mathException73.addSuppressed((java.lang.Throwable)functionEvaluationException80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "evaluation failed for argument = {0}"+ "'", str53.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array79);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test016"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test017"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    java.lang.String str14 = functionEvaluationException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test018"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    java.lang.Object[] obj_array10 = functionEvaluationException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array10);
    java.lang.String str12 = maxIterationsExceededException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15, "evaluation failed for argument = {0}", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array39);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { d_array39 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException46, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 0.0d, "hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, d_array27, "", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array53);
    int i58 = maxIterationsExceededException11.getMaxIterations();
    int i59 = maxIterationsExceededException11.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "+ "'", str12.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test019"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8265899486773756d, 34.538776394910684d, 2.5040011856360086E29d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.9907508557615997E-14d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test020"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test021() {}
// Defects4J: flaky method
//   @Test
//   public void test021() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test021"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9999999998997919d, 0.27412865452152996d, (-0.03685387438401454d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test022"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.6653345369377348E-15d), 0.02020133322663619d);
    normalDistributionImpl2.setStandardDeviation(4.405364961712621E-13d);

  }

  @Test
  public void test023() {}
// Defects4J: flaky method
//   @Test
//   public void test023() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test023"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 3.017544506840715d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
// 
//   }

  @Test
  public void test024() {}
// Defects4J: flaky method
//   @Test
//   public void test024() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test024"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.38334903307941d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test025"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(37.424485439986206d, 0.99854975169906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 19.211517595842633d);

  }

  @Test
  public void test026() {}
// Defects4J: flaky method
//   @Test
//   public void test026() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test026"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.5796037618997741d), (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test027"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.9998900952501d);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setAbsoluteAccuracy(3.537118876014214E15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test028"); }


    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = functionEvaluationException8.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = functionEvaluationException14.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, 0.9991523373654427d);
    java.lang.Object[] obj_array27 = convergenceException22.getArguments();
    functionEvaluationException14.addSuppressed((java.lang.Throwable)convergenceException22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array39);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { d_array39 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", obj_array41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30);
    double[] d_array44 = functionEvaluationException30.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.String str51 = functionEvaluationException49.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, d_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException58, "evaluation failed for argument = {0}", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "hi!", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, d_array44, "org.apache.commons.math.FunctionEvaluationException: ", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(throwable4, (-2.5864180298021497d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(0.4999991925954849d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array62);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "evaluation failed for argument = {0}"+ "'", str51.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test029"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException2, 0.3073182652015971d);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test030"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.4135798584282322E-16d), 2.155775368014487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test031"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test032"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);

  }

  @Test
  public void test033() {}
// Defects4J: flaky method
//   @Test
//   public void test033() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test033"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i10 = brentSolver0.getIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test034() {}
// Defects4J: flaky method
//   @Test
//   public void test034() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test034"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.20491298740411418d, 0.002352510784985662d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test035"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-1.0d), 10.0d);
    normalDistributionImpl0.setStandardDeviation(13.714757758333661d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.0d);
    double d10 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8413447460685413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 13.714757758333661d);

  }

  @Test
  public void test036() {}
// Defects4J: flaky method
//   @Test
//   public void test036() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test036"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test037"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(5.045554767605033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21912236532930807d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test038"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array1);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test039"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test040"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.934220012338488d, (-0.5772201191715536d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test041"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    java.lang.Object[] obj_array10 = functionEvaluationException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array10);
    java.lang.String str12 = maxIterationsExceededException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15, "evaluation failed for argument = {0}", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array39);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { d_array39 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException46, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 0.0d, "hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, d_array27, "", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array53);
    int i58 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Throwable[] throwable_array59 = maxIterationsExceededException11.getSuppressed();
    int i60 = maxIterationsExceededException11.getMaxIterations();
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "+ "'", str12.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test042"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);

  }

  @Test
  public void test043() {}
// Defects4J: flaky method
//   @Test
//   public void test043() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test043"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.setAbsoluteAccuracy(0.99854975169906d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(0.031614690161597764d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test044"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(8.063010056326411E-4d, "", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException(throwable2, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Convergence failed", obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test045"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "hi!", obj_array2);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException6, 0.5225277383865796d);

  }

  @Test
  public void test046() {}
// Defects4J: flaky method
//   @Test
//   public void test046() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test046"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     double d9 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy((-1.6653345369377348E-15d));
//     brentSolver0.setAbsoluteAccuracy(2.300484076788531d);
//     brentSolver0.setRelativeAccuracy(1.3678850043196786d);
//     double d16 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d20 = brentSolver0.solve(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 1.3678850043196786d);
// 
//   }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test047"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(7.269799434096171d, 0.12898807193303097d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.499311526172495E-11d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test048"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.String str4 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NEGATIVE_INFINITY);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.9974592980455554d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = functionEvaluationException30.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16, "", obj_array31);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException8, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException36, 7.216449660063518E-16d, "evaluation failed for argument = {0}", obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test049"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setRelativeAccuracy((-1.4135798584282322E-16d));
    int i15 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test050"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.3678850043196786d, 8.241938184170218d, 7.3095891376217486d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 6.702010725892759E-4d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test051"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(2.251752586176186d, 3.7340795730916905d);
    double d3 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.251752586176186d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test052"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable[] throwable_array16 = functionEvaluationException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test053() {}
// Defects4J: flaky method
//   @Test
//   public void test053() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test053"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 3.646578387857665E216d, 7.69459862670642E-23d, 3.0891760365197536d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test054() {}
// Defects4J: flaky method
//   @Test
//   public void test054() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test054"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction6, (-1.4432899320127035E-15d), 3.0891760365197536d, (-0.6971990469601056d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test055"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setRelativeAccuracy(0.9948148585222932d);
    double d12 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test056"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy((-1.6653345369377348E-15d));
    brentSolver0.setAbsoluteAccuracy(2.300484076788531d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test057"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.4535819277482746E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.836225681058785d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test058"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.8188349282711478d);
    double d12 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test059() {}
// Defects4J: flaky method
//   @Test
//   public void test059() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test059"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     brentSolver0.resetMaximalIterationCount();
//     double d8 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(6.661338147750939E-16d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(0.24197137935127502d, 1.3835323183923204E24d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-15d);
// 
//   }

  @Test
  public void test060() {}
// Defects4J: flaky method
//   @Test
//   public void test060() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test060"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.26390152686081647d, 0.24197137935127502d, 1.6557069064205444E30d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test061"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d10 = normalDistributionImpl0.cumulativeProbability(2.4846371771513592E-263d, 0.28860833245076645d);
    double d12 = normalDistributionImpl0.density((java.lang.Double)0.09508433627646268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test062"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException4, "evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array8);
    java.lang.Throwable[] throwable_array12 = convergenceException11.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    double[] d_array39 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    java.lang.Throwable[] throwable_array51 = functionEvaluationException48.getSuppressed();
    double[] d_array53 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str62 = functionEvaluationException61.toString();
    java.lang.String str63 = functionEvaluationException61.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException61, 100.0d);
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, d_array66);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { d_array66 };
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57, "", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array53, "", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("", obj_array68);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array68);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array68);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str84 = functionEvaluationException83.toString();
    java.lang.String str85 = functionEvaluationException83.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, 100.0d);
    double[] d_array88 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException87, d_array88);
    java.lang.Object[] obj_array90 = functionEvaluationException89.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException91 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(8.501691579662936E-13d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array90);
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException76, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array90);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException11, "evaluation failed for argument = {0}", obj_array90);
    java.lang.String str95 = mathException94.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str62.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "evaluation failed for argument = {0}"+ "'", str63.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str84.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "evaluation failed for argument = {0}"+ "'", str85.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str95 + "' != '" + "evaluation failed for argument = {0}"+ "'", str95.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test063() {}
// Defects4J: flaky method
//   @Test
//   public void test063() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test063"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(73.4736011393542d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(12.801230239860999d, (-7.107430041123848d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
// 
//   }

  @Test
  public void test064() {}
// Defects4J: flaky method
//   @Test
//   public void test064() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test064"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(1.1964702239256113E31d, 0.3211267710027184d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
// 
//   }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test065"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.4555067698989825d, (-0.5854361103260571d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test066() {}
// Defects4J: flaky method
//   @Test
//   public void test066() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test066"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(0.9999746495737474d);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(4.07221031955012E-4d);
//     brentSolver0.setRelativeAccuracy(8.388370898901876E-4d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(0.9067171305012831d, 0.49145465297899227d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test067"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d5 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test068"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetAbsoluteAccuracy();

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test069"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test070"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(24.61618165230132d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04145999624725482d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test071"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(19.486711038972278d, (-37.595202016186725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test072"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array6);
    java.lang.String str9 = convergenceException8.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    java.lang.String str11 = convergenceException8.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test073"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.23116506060624342d, 1.087566574335373E-36d, 0.9999998716728666d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test075"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    double[] d_array29 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    java.lang.Throwable[] throwable_array36 = functionEvaluationException33.getSuppressed();
    double[] d_array38 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array38, "", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array29, "Convergence failed", obj_array53);
    java.lang.Throwable[] throwable_array58 = functionEvaluationException57.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test076"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-3.5668573237792742d), 1.2722218725854122E-15d, 0.9647807480319565d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test077"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    double[] d_array7 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9647807480319565d, 1.0710748244406708E-21d, (-1.2082636152622077d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test079"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.density((java.lang.Double)50.0d);
    double d6 = normalDistributionImpl0.getMean();
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.008259602831618317d);
    normalDistributionImpl0.setMean(0.0d);
    double d12 = normalDistributionImpl0.density((java.lang.Double)4.0315050281632055E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.8200219698373372d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.39894224798132416d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.17930447302612001d, 0.004731787607204568d, 1.160230579026408d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test081"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(5326.925711704357d, 7.216449660063518E-16d, 1.0710748244406708E-21d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test082"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(7.468159146183381d, 2.124760594183115d, 0.41767472924993015d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9974696888319822d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test083"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.8413447460685413d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test084"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array16);
    int i20 = maxIterationsExceededException19.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException21);
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40);
    java.lang.Object[] obj_array55 = null;
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array55);
    functionEvaluationException25.addSuppressed((java.lang.Throwable)functionEvaluationException40);
    double[] d_array58 = functionEvaluationException25.getArgument();
    java.lang.Throwable throwable60 = null;
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException(throwable60);
    java.lang.Object[] obj_array62 = convergenceException61.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array58, "Convergence failed", obj_array62);
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array58, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", obj_array65);
    java.lang.Throwable throwable68 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException72, "evaluation failed for argument = {0}", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException(throwable68, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException22, d_array58, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test085"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = functionEvaluationException28.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException36, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException36, 0.9991523373654427d);
    java.lang.Object[] obj_array41 = convergenceException36.getArguments();
    functionEvaluationException28.addSuppressed((java.lang.Throwable)convergenceException36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44);
    double[] d_array58 = functionEvaluationException44.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.String str65 = functionEvaluationException63.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, 100.0d);
    double[] d_array68 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, d_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException72, "evaluation failed for argument = {0}", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "hi!", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException36, d_array58, "org.apache.commons.math.FunctionEvaluationException: ", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "org.apache.commons.math.MathException: ", obj_array76);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException82 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: ", obj_array76);
    int i83 = maxIterationsExceededException82.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "evaluation failed for argument = {0}"+ "'", str65.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test086"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(3.436694542774585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3373514758183519d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test087"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test088() {}
// Defects4J: flaky method
//   @Test
//   public void test088() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test088"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.1329248472760435E-132d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test089"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.cumulativeProbability(8.388370898901876E-4d);
    normalDistributionImpl0.setStandardDeviation(0.20690618776616065d);
    double d9 = normalDistributionImpl0.density((java.lang.Double)2.3546896901618504d);
    double d11 = normalDistributionImpl0.density((java.lang.Double)(-3.7113921675492336d));
    double d12 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2821802517396011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.817824251332423E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 9.864539521631257E-94d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.20690618776616065d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test090"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
    brentSolver0.setFunctionValueAccuracy(1.1329248472760435E-132d);
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test091"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.02314518589204534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1868.3087149650319d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test092"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i7 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test093"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0024244808550309693d);
    int i15 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test094"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test095"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.String str15 = mathException14.getPattern();
    java.lang.String str16 = mathException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException27, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    java.lang.Throwable[] throwable_array41 = functionEvaluationException38.getSuppressed();
    double[] d_array43 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str48 = functionEvaluationException47.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    java.lang.String str53 = functionEvaluationException51.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 100.0d);
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, d_array56);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { d_array56 };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException47, "", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array43, "", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException14, d_array23, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    java.lang.Throwable[] throwable_array69 = functionEvaluationException66.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException73, "evaluation failed for argument = {0}", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException78, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException78, 0.9991523373654427d);
    java.lang.Object[] obj_array83 = convergenceException78.getArguments();
    functionEvaluationException71.addSuppressed((java.lang.Throwable)convergenceException78);
    java.lang.Object[] obj_array85 = functionEvaluationException71.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, 0.17930447302612001d, "hi!", obj_array85);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str16.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "evaluation failed for argument = {0}"+ "'", str53.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test096"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test097"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0024244808550309693d);
    double d15 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(4.738273101428645E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2821802517396011d);

  }

  @Test
  public void test098() {}
// Defects4J: flaky method
//   @Test
//   public void test098() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test098"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy((-1.9984014443252818E-15d));
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction13, 10.320420390491613d, 2452.01431084703d, 0.230179376687848d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test099"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test100"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    java.lang.Throwable[] throwable_array16 = mathException15.getSuppressed();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, 0.5772156649015329d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException15, "org.apache.commons.math.FunctionEvaluationException: ", obj_array33);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array33);
    int i37 = maxIterationsExceededException36.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test101"); }


    double[] d_array2 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    java.lang.Throwable[] throwable_array9 = functionEvaluationException6.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test102"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test103"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.2918493497530001d, 0.3652246171796625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2326642637159857d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test104"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.28667472396997007d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test105"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(12.139812649094985d, 1.2744600924596838E-6d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test106"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.0d, 2.3891967393757243d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test107() {}
// Defects4J: flaky method
//   @Test
//   public void test107() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test107"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i10 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 0.9523884343026601d, 359.1342053695754d, 5.977609743934875E-23d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test108"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver11 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver11);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test109"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 1.3193152451204537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test110"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array17);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { d_array17 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(8.063010056326411E-4d, "", obj_array19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException24, 0.6632653490194396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test111() {}
// Defects4J: flaky method
//   @Test
//   public void test111() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test111"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.49188526483354933d, 1.000000000000004d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test112"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(8.388370239047482E-4d, 0.19440319180825583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0010450630674567751d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test113"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    double[] d_array37 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56, "evaluation failed for argument = {0}", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 0.0d, "hi!", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException30, d_array37, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 0.0d, "org.apache.commons.math.MathException: ", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array63);
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str78 = functionEvaluationException77.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, 100.0d);
    double[] d_array86 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException85, d_array86);
    java.lang.Object[] obj_array88 = new java.lang.Object[] { d_array86 };
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException77, "", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(throwable70, (-0.9999999999999986d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(0.3885125500128247d, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.String str97 = functionEvaluationException96.getPattern();
    functionEvaluationException94.addSuppressed((java.lang.Throwable)functionEvaluationException96);
    java.lang.String str99 = functionEvaluationException96.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str78.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "evaluation failed for argument = {0}"+ "'", str83.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str97 + "' != '" + "evaluation failed for argument = {0}"+ "'", str97.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str99 + "' != '" + "evaluation failed for argument = {0}"+ "'", str99.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test114"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("Convergence failed", obj_array1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, (-1.2527525318167954E-16d));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test115"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(7.216449660063518E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test116() {}
// Defects4J: flaky method
//   @Test
//   public void test116() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test116"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.03043872782780972d, (-0.5772156675683043d), 0.26390152686081647d, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test117"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999996273d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.6824861261305506d);
    java.lang.String str5 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    java.lang.Throwable[] throwable_array10 = functionEvaluationException7.getSuppressed();
    double[] d_array12 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array12, "", obj_array27);
    double[] d_array30 = functionEvaluationException7.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    double[] d_array44 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array44, "", obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array59);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array59);
    functionEvaluationException4.addSuppressed((java.lang.Throwable)functionEvaluationException66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test118"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = functionEvaluationException19.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    java.lang.Throwable[] throwable_array28 = functionEvaluationException25.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array50);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d_array50 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "", obj_array52);
    double[] d_array54 = functionEvaluationException41.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    java.lang.String str59 = functionEvaluationException57.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 100.0d);
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException39, d_array54, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, d_array78);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { d_array78 };
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "", obj_array80);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69);
    double[] d_array83 = functionEvaluationException69.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array83);
    java.lang.Object[] obj_array88 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException23, d_array83, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array88);
    java.lang.String str90 = convergenceException23.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "evaluation failed for argument = {0}"+ "'", str59.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str90 + "' != '" + ""+ "'", str90.equals(""));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test119"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test120"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test121() {}
// Defects4J: flaky method
//   @Test
//   public void test121() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test121"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
//     double d16 = normalDistributionImpl0.getMean();
//     double d19 = normalDistributionImpl0.cumulativeProbability((-1.2527525318167954E-16d), 0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 0.0d);
// 
//   }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test122"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(6.546623294800824E-6d, (-1000000.5772156649d), 1.243950275416845E-14d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test123"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean((-0.5796037618997741d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(2.3546896901618504d);
    double d11 = normalDistributionImpl0.cumulativeProbability(9.15210951765572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999820898079987d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test124"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array27);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { d_array27 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18, "", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException30);
    double[] d_array33 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException30, d_array33);
    double[] d_array36 = functionEvaluationException35.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test125"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(3.866343550011478E-168d);
    double d13 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test126"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.Throwable[] throwable_array6 = functionEvaluationException3.getSuppressed();
    double[] d_array8 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array8, "", obj_array23);
    double[] d_array26 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    java.lang.Throwable[] throwable_array38 = functionEvaluationException35.getSuppressed();
    double[] d_array40 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array40, "", obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array55);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array55);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array55);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    java.lang.String str72 = functionEvaluationException70.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, 100.0d);
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException74, d_array75);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { d_array75 };
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "", obj_array77);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException78);
    double[] d_array81 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException78, d_array81);
    double[] d_array84 = functionEvaluationException83.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array84);
    mathException64.addSuppressed((java.lang.Throwable)functionEvaluationException85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "evaluation failed for argument = {0}"+ "'", str72.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test127"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.0539125955565396E-15d, (-2481.039786695942d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test128"); }


    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable5, "org.apache.commons.math.MathException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array13);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable21);
    java.lang.Object[] obj_array23 = mathException22.getArguments();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException19, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.String str29 = functionEvaluationException27.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d);
    double[] d_array32 = functionEvaluationException27.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    functionEvaluationException27.addSuppressed((java.lang.Throwable)functionEvaluationException38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.String str51 = functionEvaluationException49.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, d_array54);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { d_array54 };
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "", obj_array56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("", obj_array56);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 0.29321426428120845d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array56);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException24, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "evaluation failed for argument = {0}"+ "'", str51.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);

  }

  @Test
  public void test129() {}
// Defects4J: flaky method
//   @Test
//   public void test129() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test129"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.02314518589204534d, 0.28860833245076645d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test130"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.49977341147179954d, 50.15170085316694d, 16.05481524422592d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test131"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    double[] d_array29 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    java.lang.Throwable[] throwable_array36 = functionEvaluationException33.getSuppressed();
    double[] d_array38 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array38, "", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array29, "Convergence failed", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26);
    double[] d_array59 = functionEvaluationException26.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test132"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    double[] d_array30 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array40);
    double[] d_array45 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array59);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { d_array59 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 0.0d, "hi!", obj_array73);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array45, "hi!", obj_array73);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException78, "org.apache.commons.math.FunctionEvaluationException: ", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str84 = functionEvaluationException83.toString();
    java.lang.String str85 = functionEvaluationException83.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, 100.0d);
    double[] d_array88 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException87, d_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException78, d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str84.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "evaluation failed for argument = {0}"+ "'", str85.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test133"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = brentSolver0.solve(univariateRealFunction5, 0.24197072451923343d, 0.5099307426331015d, 0.3454074456266303d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test134"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(3.3390066828560703d);
    brentSolver0.setRelativeAccuracy(8.196546357452929E-48d);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 100.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test135"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(0.23181376392324912d);
    double d13 = normalDistributionImpl0.getStandardDeviation();
    double d14 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test136() {}
// Defects4J: flaky method
//   @Test
//   public void test136() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test136"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.2527525318167954E-16d), 1.1329248472760435E-132d, 114.37049431070744d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test137"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    double d4 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.23181376392324912d);
    double d7 = normalDistributionImpl0.getMean();
    double d9 = normalDistributionImpl0.density((java.lang.Double)(-2.2908198515483993d));
    double d12 = normalDistributionImpl0.cumulativeProbability((-2.411530524683778d), 0.2677990175702625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0710748244406708E-21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.8760025828320426d);

  }

  @Test
  public void test138() {}
// Defects4J: flaky method
//   @Test
//   public void test138() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test138"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(1.0E-6d);
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test139"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    java.lang.Throwable[] throwable_array5 = functionEvaluationException2.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array27);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { d_array27 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18, "", obj_array29);
    double[] d_array31 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException16, d_array31, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array41);
    double[] d_array46 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d);
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, d_array60);
    java.lang.Object[] obj_array62 = new java.lang.Object[] { d_array60 };
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException51, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    java.lang.String str69 = functionEvaluationException67.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 100.0d);
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67, "evaluation failed for argument = {0}", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 0.0d, "hi!", obj_array74);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException77 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array46, "hi!", obj_array74);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "evaluation failed for argument = {0}"+ "'", str69.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test140"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.9999746495737474d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(4.07221031955012E-4d);
    brentSolver0.setRelativeAccuracy(7.686097081941952d);
    double d13 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-6d);

  }

  @Test
  public void test141() {}
// Defects4J: flaky method
//   @Test
//   public void test141() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test141"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setRelativeAccuracy(0.3073182652015971d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(36.122938930621494d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test142"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.3193152451204537d, 2.2536010670724077E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test143"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    double[] d_array3 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 0.0d, "hi!", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException14, d_array21, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array47);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException51);
    double[] d_array53 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = functionEvaluationException64.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException66 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str75 = functionEvaluationException74.toString();
    java.lang.String str76 = functionEvaluationException74.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException74, 100.0d);
    double[] d_array79 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException78, d_array79);
    java.lang.Object[] obj_array81 = new java.lang.Object[] { d_array79 };
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException70, "", obj_array81);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException70);
    java.lang.String str84 = functionEvaluationException70.getPattern();
    java.lang.Object[] obj_array85 = functionEvaluationException70.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    java.lang.Object[] obj_array89 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str75.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "evaluation failed for argument = {0}"+ "'", str76.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "evaluation failed for argument = {0}"+ "'", str84.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test144"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy((-0.5796037618997741d));
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test145"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException14, 0.057288494970486215d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    java.lang.Throwable[] throwable_array22 = functionEvaluationException19.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26, "evaluation failed for argument = {0}", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException31, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException31, 0.9991523373654427d);
    java.lang.Object[] obj_array36 = convergenceException31.getArguments();
    functionEvaluationException24.addSuppressed((java.lang.Throwable)convergenceException31);
    java.lang.Throwable[] throwable_array38 = convergenceException31.getSuppressed();
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);

  }

  @Test
  public void test146() {}
// Defects4J: flaky method
//   @Test
//   public void test146() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test146"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test147"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    double d5 = normalDistributionImpl2.cumulativeProbability(6.004799503160655E14d, 8.112963841460668E31d);
    double d7 = normalDistributionImpl2.inverseCumulativeProbability(0.8760025828320426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 11.552334643141497d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test148"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    double[] d_array29 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    java.lang.Throwable[] throwable_array36 = functionEvaluationException33.getSuppressed();
    double[] d_array38 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array38, "", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array29, "Convergence failed", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str61 = convergenceException60.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.String str66 = functionEvaluationException64.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 100.0d);
    double[] d_array69 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, d_array69);
    java.lang.Object[] obj_array71 = functionEvaluationException70.getArguments();
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException60, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str76 = functionEvaluationException75.toString();
    java.lang.String str77 = functionEvaluationException75.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, 100.0d);
    double[] d_array80 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, d_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str85 = functionEvaluationException84.toString();
    java.lang.Object[] obj_array88 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException84, "evaluation failed for argument = {0}", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array80, "hi!", obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException60, "Convergence failed", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str61.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "evaluation failed for argument = {0}"+ "'", str66.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str76.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "evaluation failed for argument = {0}"+ "'", str77.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str85.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test149"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.2722218725854122E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 34.298011517070385d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test150"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    double[] d_array35 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException38, "evaluation failed for argument = {0}", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException20, d_array35, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(throwable8, 0.28667472396997007d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array45);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test151"); }


    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    java.lang.Throwable[] throwable_array21 = functionEvaluationException18.getSuppressed();
    double[] d_array23 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array36);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { d_array36 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException27, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array23, "", obj_array38);
    double[] d_array41 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array41, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array49);
    java.lang.Throwable[] throwable_array52 = functionEvaluationException51.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array11, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(0, "", (java.lang.Object[])throwable_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(0.021367220679333165d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array52);
    java.lang.Throwable throwable57 = null;
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array61 = convergenceException60.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(throwable57, 1.0E-15d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException55, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array61);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test152"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(0.23181376392324912d);
    double d5 = normalDistributionImpl0.getMean();
    double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.99854975169906d);
    double d8 = normalDistributionImpl0.getMean();
    double d9 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.9991278858110495d);
    normalDistributionImpl0.setStandardDeviation(0.05588772450019697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.7328867165580368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.9780912293042596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test153() {}
// Defects4J: flaky method
//   @Test
//   public void test153() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test153"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i9 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(4.0315050281632055E-4d);
//     int i12 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction13, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
// 
//   }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test154"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test155"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    java.lang.Throwable[] throwable_array11 = functionEvaluationException8.getSuppressed();
    double[] d_array13 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array13, "", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array28);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array46);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d_array46 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "", obj_array48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array52 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException49, d_array52);
    double[] d_array55 = functionEvaluationException54.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    double[] d_array58 = functionEvaluationException57.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.String str66 = functionEvaluationException64.getPattern();
    java.lang.Throwable[] throwable_array67 = functionEvaluationException64.getSuppressed();
    double[] d_array69 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str78 = functionEvaluationException77.toString();
    java.lang.String str79 = functionEvaluationException77.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, 100.0d);
    double[] d_array82 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, d_array82);
    java.lang.Object[] obj_array84 = new java.lang.Object[] { d_array82 };
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException73, "", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, d_array69, "", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException("", obj_array84);
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, d_array58, "Convergence failed", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException35, d_array58);
    java.lang.Object[] obj_array92 = convergenceException35.getArguments();
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException35, 2.251752586176186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "evaluation failed for argument = {0}"+ "'", str66.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str78.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "evaluation failed for argument = {0}"+ "'", str79.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test156() {}
// Defects4J: flaky method
//   @Test
//   public void test156() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test156"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(0.021367220679333165d, 50.15170085316694d, 0.0010450630674567751d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test157() {}
// Defects4J: flaky method
//   @Test
//   public void test157() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test157"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(1);
//     double d13 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction14, 0.9999999998997919d, 4.738273101428645E-4d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0E-14d);
// 
//   }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test158"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy((-1.6653345369377348E-15d));
    brentSolver0.setAbsoluteAccuracy(2.300484076788531d);
    brentSolver0.setRelativeAccuracy(1.3678850043196786d);
    double d16 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = brentSolver0.solve(univariateRealFunction18, 1.0069983063649611E-24d, 97.73583491621227d, 1.9984014443252818E-15d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.3678850043196786d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test159"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(9.864539521631257E-94d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0276526955936388E186d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test160"); }


    double d1 = org.apache.commons.math.special.Erf.erf(8.501691579662936E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.593131663563E-13d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test161"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2);
    double[] d_array16 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException37, "evaluation failed for argument = {0}", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = functionEvaluationException44.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array61);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { d_array61 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException52, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str69 = functionEvaluationException68.toString();
    java.lang.String str70 = functionEvaluationException68.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, 100.0d);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException68, "evaluation failed for argument = {0}", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 0.0d, "hi!", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException42, d_array49, "", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 0.0d, "org.apache.commons.math.MathException: ", obj_array75);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array75);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException81 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array75);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str69.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "evaluation failed for argument = {0}"+ "'", str70.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test162"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    java.lang.Throwable[] throwable_array16 = mathException15.getSuppressed();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, 0.5772156649015329d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException15, "org.apache.commons.math.FunctionEvaluationException: ", obj_array33);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test163"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, 0.9999999999999983d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException19);
    double[] d_array22 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException19, d_array22);
    double[] d_array25 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32);
    double[] d_array34 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test164"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    java.lang.String str44 = functionEvaluationException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.0d, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, d_array23, "", obj_array49);
    java.lang.String str53 = convergenceException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, (-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    java.lang.String str61 = functionEvaluationException59.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d);
    double[] d_array64 = functionEvaluationException59.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, d_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57);
    java.lang.String str67 = functionEvaluationException57.toString();
    java.lang.Object[] obj_array68 = functionEvaluationException57.getArguments();
    java.lang.Throwable[] throwable_array69 = functionEvaluationException57.getSuppressed();
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str53.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "evaluation failed for argument = {0}"+ "'", str61.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test165"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException: ", obj_array2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);

  }

  @Test
  public void test166() {}
// Defects4J: flaky method
//   @Test
//   public void test166() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test166"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.7172019422618031d), 0.8948052064722777d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test167"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setAbsoluteAccuracy(5.054034895690899d);
    double d9 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test168() {}
// Defects4J: flaky method
//   @Test
//   public void test168() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test168"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.4999991925954849d, 0.320602444196494d, 0.3518654271643662d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test169"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    functionEvaluationException3.addSuppressed((java.lang.Throwable)functionEvaluationException14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { functionEvaluationException3 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array16);
    int i18 = maxIterationsExceededException17.getMaxIterations();
    int i19 = maxIterationsExceededException17.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test170() {}
// Defects4J: flaky method
//   @Test
//   public void test170() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test170"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(97.73583491621227d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction10, 0.9948148585222932d, 0.0024992132829284586d, 0.9999999950029322d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test171"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.5772201191715536d), 0.9379297396872519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test172"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test173"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetFunctionValueAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    double d10 = brentSolver0.getRelativeAccuracy();
    double d11 = brentSolver0.getFunctionValueAccuracy();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test174"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.9999746495737474d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999746495737474d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test175"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 2.0539125955565396E-15d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test176"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable3, "org.apache.commons.math.MathException: ", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException21, "evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    java.lang.Throwable[] throwable_array38 = functionEvaluationException35.getSuppressed();
    double[] d_array40 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array40, "", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException63, (-0.5796037618997741d));
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException63);
    java.lang.String str67 = mathException63.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test177() {}
// Defects4J: flaky method
//   @Test
//   public void test177() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test177"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0000000000000084d, 0.9999999950029322d, 0.3373514758183519d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test178() {}
// Defects4J: flaky method
//   @Test
//   public void test178() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test178"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 219.71782828310083d, 8.836225681058785d, 100.0d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test179"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d15 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.0539125955565396E-15d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test180"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    double[] d_array30 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array40);
    double[] d_array45 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array59);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { d_array59 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 0.0d, "hi!", obj_array73);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array45, "hi!", obj_array73);
    java.lang.String str78 = functionEvaluationException1.getPattern();
    double[] d_array79 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "evaluation failed for argument = {0}"+ "'", str78.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test181"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test182"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.18780905955032967d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = brentSolver0.solve(univariateRealFunction10, 3.1997805681133777d, 9.831150678421812E7d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test183"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test184"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    java.lang.Throwable[] throwable_array9 = functionEvaluationException6.getSuppressed();
    double[] d_array11 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array24);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { d_array24 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException15, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array11, "", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    int i31 = maxIterationsExceededException30.getMaxIterations();
    java.lang.Object[] obj_array32 = maxIterationsExceededException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(3.537118876014214E15d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    java.lang.String str53 = functionEvaluationException51.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 100.0d);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException51, "evaluation failed for argument = {0}", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 0.0d, "hi!", obj_array58);
    java.lang.String str61 = functionEvaluationException35.getPattern();
    double[] d_array62 = functionEvaluationException35.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array62);
    java.lang.Throwable throwable72 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException76, "evaluation failed for argument = {0}", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array80);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException(throwable72, "org.apache.commons.math.MathException: ", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException84 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException("", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33, "org.apache.commons.math.FunctionEvaluationException: ", obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "evaluation failed for argument = {0}"+ "'", str53.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "evaluation failed for argument = {0}"+ "'", str61.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test185"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.9705241756496736d);
    double d11 = normalDistributionImpl0.density((java.lang.Double)(-4.6629367034256575E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test186"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(4.194185449450938E-4d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable12, "org.apache.commons.math.MathException: ", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException29, (-32.97900978150099d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    java.lang.Throwable[] throwable_array40 = functionEvaluationException37.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException44, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException49, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException49, 0.9991523373654427d);
    java.lang.Object[] obj_array54 = convergenceException49.getArguments();
    functionEvaluationException42.addSuppressed((java.lang.Throwable)convergenceException49);
    double[] d_array57 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    java.lang.Object[] obj_array60 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, d_array57, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException65, "evaluation failed for argument = {0}", obj_array69);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException61, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array69);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException73 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 0.5772156649015329d, "org.apache.commons.math.MathException: ", obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test187"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test188"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(0.09147282067039503d);
    double d15 = normalDistributionImpl0.cumulativeProbability(0.0d, 2.9780912293042596d);
    double d16 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.092903545441004E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test189"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver2 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d3 = brentSolver2.getFunctionValueAccuracy();
    int i4 = brentSolver2.getMaximalIterationCount();
    int i5 = brentSolver2.getIterationCount();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { brentSolver2 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999999991d, "hi!", obj_array6);
    java.lang.String str8 = functionEvaluationException7.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));

  }

  @Test
  public void test190() {}
// Defects4J: flaky method
//   @Test
//   public void test190() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test190"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(0.0d, 0.9999999662961073d, (-654.4833422011337d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
// 
//   }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test191"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array3 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test192"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
    double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
    double d16 = normalDistributionImpl0.getMean();
    double d18 = normalDistributionImpl0.cumulativeProbability(1.1283791670955108E-14d);
    normalDistributionImpl0.setStandardDeviation(0.00484896171005994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 6.661338147750939E-16d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test193"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16);
    double[] d_array19 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException16, d_array19);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    double[] d_array25 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    java.lang.Throwable[] throwable_array34 = functionEvaluationException31.getSuppressed();
    double[] d_array36 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array36, "", obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("", obj_array51);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array25, "Convergence failed", obj_array51);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array51);
    java.lang.Throwable[] throwable_array59 = maxIterationsExceededException58.getSuppressed();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);

  }

  @Test
  public void test194() {}
// Defects4J: flaky method
//   @Test
//   public void test194() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test194"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setFunctionValueAccuracy(0.9991523373654427d);
//     brentSolver0.setMaximalIterationCount((-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = brentSolver0.solve(7.686097081941952d, 3.7340795730916905d, 0.9072478106508295d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test195"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array29 = functionEvaluationException26.getSuppressed();
    double[] d_array30 = functionEvaluationException26.getArgument();
    java.lang.Throwable throwable31 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    java.lang.String str44 = functionEvaluationException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d);
    double[] d_array47 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, d_array47);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { d_array47 };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException38, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(throwable31, (-0.9999999999999986d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array49);
    double[] d_array54 = functionEvaluationException53.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test196"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.6296900228646276d), 0.23181376392324912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test197"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    double d11 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test198"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    brentSolver0.resetMaximalIterationCount();
    int i8 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test199"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 100.0d);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException24, "evaluation failed for argument = {0}", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "hi!", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, (-0.7000116320223337d));
    convergenceException13.addSuppressed((java.lang.Throwable)functionEvaluationException30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array46);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d_array46 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "", obj_array48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array61);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { d_array61 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException52, "", obj_array63);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException52);
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException52, "", obj_array67);
    functionEvaluationException37.addSuppressed((java.lang.Throwable)functionEvaluationException52);
    java.lang.Throwable[] throwable_array70 = functionEvaluationException37.getSuppressed();
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array70);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException13, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array70);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException11, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array70);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test200"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.01309987483026892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5828.89159561413d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test201"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3034017063338823d, 0.20007741497850323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.34590318841207435d);

  }

  @Test
  public void test202() {}
// Defects4J: flaky method
//   @Test
//   public void test202() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test202"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.026982166755772422d, 0.8188349282711478d, 0.01309987483026892d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test203() {}
// Defects4J: flaky method
//   @Test
//   public void test203() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test203"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     int i9 = brentSolver0.getIterationCount();
//     brentSolver0.setAbsoluteAccuracy(9.769962616701378E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(0.20007741497850323d, 49.021576590706935d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
// 
//   }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test204"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-37.595202016186725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test205"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException16.addSuppressed((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException16, 0.5772156649015329d);
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array36);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { d_array36 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException27, "", obj_array38);
    java.lang.String str40 = mathException39.getPattern();
    java.lang.String str41 = mathException39.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException52, "evaluation failed for argument = {0}", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "hi!", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.String str65 = functionEvaluationException63.getPattern();
    java.lang.Throwable[] throwable_array66 = functionEvaluationException63.getSuppressed();
    double[] d_array68 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.String str78 = functionEvaluationException76.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException76, 100.0d);
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, d_array81);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { d_array81 };
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72, "", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, d_array68, "", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException39, d_array48, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException(throwable24, "org.apache.commons.math.MathException: ", obj_array83);
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(0.6408433990152037d, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException93 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + ""+ "'", str40.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str41.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "evaluation failed for argument = {0}"+ "'", str65.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "evaluation failed for argument = {0}"+ "'", str78.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.3224670334240947d, 0.01247422635436668d, (-1.6653345369377348E-15d), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test207"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(1);
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.0801696732209864d);
    brentSolver0.setRelativeAccuracy(0.14080321995921186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test208() {}
// Defects4J: flaky method
//   @Test
//   public void test208() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test208"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0024244808550309693d);
//     double d15 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.2821802517396011d);
// 
//   }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test209"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    java.lang.Throwable[] throwable_array18 = functionEvaluationException15.getSuppressed();
    double[] d_array20 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array20, "", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", obj_array35);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array35);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array35);
    java.lang.Object[] obj_array41 = mathException10.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-3.258231851374386d), "", obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test210"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(2452.01431084703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 16682.152927660798d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test211"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    double[] d_array17 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { d_array29 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 0.0d, "hi!", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException10, d_array17, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str54 = functionEvaluationException53.toString();
    java.lang.String str55 = functionEvaluationException53.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, 100.0d);
    double[] d_array58 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, d_array58);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { d_array58 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException49, "", obj_array60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException61);
    java.lang.Throwable throwable63 = null;
    double[] d_array65 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(throwable63, d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    java.lang.Throwable throwable75 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str80 = functionEvaluationException79.toString();
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException79, "evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException(throwable75, "org.apache.commons.math.MathException: ", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException87 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException("", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException61, d_array65, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array17, "org.apache.commons.math.FunctionEvaluationException: ", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException93 = new org.apache.commons.math.MaxIterationsExceededException((-1), "hi!", obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "evaluation failed for argument = {0}"+ "'", str55.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str80.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test212"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array9);
    java.lang.Object[] obj_array11 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException24, "evaluation failed for argument = {0}", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "hi!", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException0, "Convergence failed", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    java.lang.Throwable[] throwable_array51 = functionEvaluationException48.getSuppressed();
    double[] d_array53 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str62 = functionEvaluationException61.toString();
    java.lang.String str63 = functionEvaluationException61.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException61, 100.0d);
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, d_array66);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { d_array66 };
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57, "", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array53, "", obj_array68);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array68);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException40, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array68);
    convergenceException31.addSuppressed((java.lang.Throwable)functionEvaluationException73);
    java.lang.Object[] obj_array77 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 0.0d, "Convergence failed", obj_array77);
    double[] d_array79 = functionEvaluationException73.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str62.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "evaluation failed for argument = {0}"+ "'", str63.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test213() {}
// Defects4J: flaky method
//   @Test
//   public void test213() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test213"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.4590346826992773d), 0.18780905955032967d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test214"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    java.lang.Object[] obj_array10 = functionEvaluationException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array10);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.String str13 = maxIterationsExceededException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: evaluation failed for argument = {0}"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: evaluation failed for argument = {0}"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test215"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(4.194185449450938E-4d);
    double d10 = normalDistributionImpl0.getMean();
    double d12 = normalDistributionImpl0.density((java.lang.Double)0.983940254119194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 4.194185449450938E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.24595783745241323d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test216"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 1751.8796585025225d);
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.031614690161597764d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array6);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test217"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    double[] d_array16 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array16);
    double[] d_array19 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    java.lang.Throwable[] throwable_array24 = functionEvaluationException21.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, 0.9991523373654427d);
    java.lang.Object[] obj_array38 = convergenceException33.getArguments();
    functionEvaluationException26.addSuppressed((java.lang.Throwable)convergenceException33);
    double[] d_array41 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array41, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array53);
    java.lang.Throwable throwable59 = null;
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str64 = convergenceException63.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    java.lang.String str69 = functionEvaluationException67.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 100.0d);
    double[] d_array72 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, d_array72);
    java.lang.Object[] obj_array74 = functionEvaluationException73.getArguments();
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException63, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array74);
    java.lang.Throwable[] throwable_array76 = mathException75.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((-1.1102230246251565E-16d), "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array76);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException(throwable59, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, (-1.4432899320127035E-15d), "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array76);
    functionEvaluationException18.addSuppressed((java.lang.Throwable)functionEvaluationException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str64.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "evaluation failed for argument = {0}"+ "'", str69.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array76);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test218"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d_array30 };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException21, "", obj_array32);
    double[] d_array34 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "evaluation failed for argument = {0}", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException19, d_array34, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array44);
    double[] d_array49 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d_array63 };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    java.lang.String str72 = functionEvaluationException70.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, 100.0d);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException70, "evaluation failed for argument = {0}", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 0.0d, "hi!", obj_array77);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array49, "hi!", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str87 = functionEvaluationException86.toString();
    java.lang.String str88 = functionEvaluationException86.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException86, 100.0d);
    double[] d_array91 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException90, d_array91);
    java.lang.Throwable[] throwable_array93 = functionEvaluationException90.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array93);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException(throwable2, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array93);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException97 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "evaluation failed for argument = {0}"+ "'", str72.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str87 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str87.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "evaluation failed for argument = {0}"+ "'", str88.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array93);

  }

  @Test
  public void test219() {}
// Defects4J: flaky method
//   @Test
//   public void test219() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test219"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.022791663139031318d, (-7.107430041123848d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test220"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(6.004799503160655E14d, 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test221"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = functionEvaluationException26.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, d_array43);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { d_array43 };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    java.lang.String str52 = functionEvaluationException50.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 100.0d);
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "evaluation failed for argument = {0}", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 0.0d, "hi!", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, d_array31, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 0.0d, "org.apache.commons.math.MathException: ", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array57);
    java.lang.Object[] obj_array64 = maxIterationsExceededException63.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException66, "evaluation failed for argument = {0}", obj_array70);
    double[] d_array72 = functionEvaluationException66.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException76, "evaluation failed for argument = {0}", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException63, d_array72, "org.apache.commons.math.FunctionEvaluationException: Convergence failed", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(1.7902820589844084E-13d, "", obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "evaluation failed for argument = {0}"+ "'", str52.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test222() {}
// Defects4J: flaky method
//   @Test
//   public void test222() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test222"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction8, 7.771561172376096E-16d, 0.03989422335009239d, 5.947773725739693E-19d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.9974592980455554d);
// 
//   }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test223"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);

  }

  @Test
  public void test224() {}
// Defects4J: flaky method
//   @Test
//   public void test224() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test224"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9226010309239396d, 97.73583491621227d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test225() {}
// Defects4J: flaky method
//   @Test
//   public void test225() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test225"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy((-8.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test226"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6258514469070213d, 0.024141633039214808d, 0.013703371306791135d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.10744504450885986d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test227"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    double d4 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(2.300484076788531d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(1.0710748244406708E-21d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.22278651618210146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.300484076788531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-5.574855187145179E-7d));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test228"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    java.lang.String str5 = functionEvaluationException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, Double.NEGATIVE_INFINITY);
    double[] d_array8 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = functionEvaluationException22.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array23);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array23);
    java.lang.Object[] obj_array28 = functionEvaluationException27.getArguments();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test229"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getIterationCount();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(1.9907508557615997E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test230() {}
// Defects4J: flaky method
//   @Test
//   public void test230() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test230"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     double d2 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-15d);
// 
//   }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test231"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(13.518993365271285d, (-5.501081852478442E15d), 1.1562848268667223d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test232"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test233"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    java.lang.Throwable[] throwable_array20 = functionEvaluationException17.getSuppressed();
    double[] d_array22 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array22, "", obj_array37);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array37);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException9, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str54 = functionEvaluationException53.toString();
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException53, "evaluation failed for argument = {0}", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "hi!", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException9, d_array49);
    java.lang.Throwable[] throwable_array61 = convergenceException9.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test234"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array15);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { d_array15 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6, "", obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6);
    double[] d_array20 = functionEvaluationException6.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29, "evaluation failed for argument = {0}", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41, "evaluation failed for argument = {0}", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = functionEvaluationException48.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, d_array65);
    java.lang.Object[] obj_array67 = new java.lang.Object[] { d_array65 };
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    java.lang.String str74 = functionEvaluationException72.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException72, 100.0d);
    java.lang.Object[] obj_array79 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72, "evaluation failed for argument = {0}", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 0.0d, "hi!", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException46, d_array53, "", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 0.0d, "org.apache.commons.math.MathException: ", obj_array79);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException84 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array79);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException85 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array79);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(9.769962616701378E-15d, "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array79);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: evaluation failed for argument = {0}", obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "evaluation failed for argument = {0}"+ "'", str74.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test235"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 1.6395513150685832d);
    double d3 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test236"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array12);
    int i15 = maxIterationsExceededException14.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException14, 0.1316554555017975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 10);

  }

  @Test
  public void test237() {}
// Defects4J: flaky method
//   @Test
//   public void test237() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test237"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
//     brentSolver0.resetFunctionValueAccuracy();
//     double d11 = brentSolver0.getFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction12, 50.15170085316694d, 7.776399272372476d, 2.000002571428572d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-15d);
// 
//   }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test238"); }


    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable5, "org.apache.commons.math.MathException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException20, (-0.11123261570668186d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    java.lang.Throwable[] throwable_array27 = functionEvaluationException24.getSuppressed();
    double[] d_array29 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array42);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { d_array42 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array29, "", obj_array44);
    java.lang.String str47 = functionEvaluationException24.toString();
    functionEvaluationException22.addSuppressed((java.lang.Throwable)functionEvaluationException24);
    java.lang.Throwable[] throwable_array49 = functionEvaluationException22.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 0.9705241756496736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test239"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    double[] d_array29 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    java.lang.Throwable[] throwable_array36 = functionEvaluationException33.getSuppressed();
    double[] d_array38 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array38, "", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array29, "Convergence failed", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.7719912089581201d);
    double[] d_array61 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, d_array61);
    double[] d_array65 = functionEvaluationException59.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test240"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.10296158304049367d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test241"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test242() {}
// Defects4J: flaky method
//   @Test
//   public void test242() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test242"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     int i8 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 1.6449340668482062d, 0.09147282067039503d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 100);
// 
//   }

  @Test
  public void test243() {}
// Defects4J: flaky method
//   @Test
//   public void test243() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test243"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     double d3 = normalDistributionImpl0.density((java.lang.Double)0.08124407643300252d);
//     double d4 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setMean(7.776399272372476d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = normalDistributionImpl0.cumulativeProbability(0.6146658570266453d, 0.11457698994097243d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.3976278214498225d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0d);
// 
//   }

  @Test
  public void test244() {}
// Defects4J: flaky method
//   @Test
//   public void test244() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test244"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 1.0000000000000013d, 0.5331266712753049d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test245"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(4.194185449450938E-4d);
    double d11 = normalDistributionImpl0.cumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.4998326762141427d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test246"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.3835323183923204E24d, 1.4535819277482746E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test247() {}
// Defects4J: flaky method
//   @Test
//   public void test247() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test247"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.013703371306791135d, 12.078081885391443d, 3.6125487901409303d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test248"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.5772156649015329d);
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException30, "evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable26, "org.apache.commons.math.MathException: ", obj_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.2082636152622077d), "org.apache.commons.math.FunctionEvaluationException: ", obj_array34);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException41);
    java.lang.Throwable[] throwable_array43 = mathException13.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);

  }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test249"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(2.124760594183115d);
//     brentSolver0.setAbsoluteAccuracy(34.385425312513625d);
//     brentSolver0.setRelativeAccuracy(0.9999999999999817d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction10, 0.0010450630674567751d, 0.2918493497530001d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test250"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array13);
    java.lang.String str16 = mathException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    double[] d_array24 = functionEvaluationException19.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array26 = functionEvaluationException25.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, 0.9991523373654427d);
    java.lang.Object[] obj_array38 = convergenceException33.getArguments();
    functionEvaluationException25.addSuppressed((java.lang.Throwable)convergenceException33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array50);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d_array50 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "", obj_array52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41);
    double[] d_array55 = functionEvaluationException41.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException69, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "hi!", obj_array73);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, d_array55, "org.apache.commons.math.FunctionEvaluationException: ", obj_array73);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str80 = convergenceException79.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str84 = functionEvaluationException83.toString();
    java.lang.String str85 = functionEvaluationException83.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, 100.0d);
    double[] d_array88 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException87, d_array88);
    java.lang.Object[] obj_array90 = functionEvaluationException89.getArguments();
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException79, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array90);
    java.lang.Throwable[] throwable_array92 = mathException91.getSuppressed();
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException77, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array92);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str80.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str84.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "evaluation failed for argument = {0}"+ "'", str85.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array92);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test251"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(7.771561172376096E-16d, 4.594997034617173E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.886579864025407E-15d);

  }

  @Test
  public void test252() {}
// Defects4J: flaky method
//   @Test
//   public void test252() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test252"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 50.15170085316694d, 0.9870833429281906d, 0.9999820898079987d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test253"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setMean(2.9780912293042596d);
    normalDistributionImpl0.setStandardDeviation(34.538776394910684d);
    double d15 = normalDistributionImpl0.getStandardDeviation();
    double d18 = normalDistributionImpl0.cumulativeProbability((-0.5876034419036329d), 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 34.538776394910684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.12166444319948394d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test254"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test255"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
    normalDistributionImpl0.setMean(1.243950275416845E-14d);
    double d16 = normalDistributionImpl0.cumulativeProbability(1.6449340668481562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.950008295671426d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test256"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean((-0.5796037618997741d));
    double d8 = normalDistributionImpl0.density((java.lang.Double)1751.8796585025225d);
    double d9 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.5796037618997741d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test257"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 0.00484896171005994d);
    java.lang.Object[] obj_array21 = functionEvaluationException20.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test258"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, 0.9991523373654427d);
    java.lang.Object[] obj_array13 = functionEvaluationException12.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(0.08056352156689162d, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test259"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test260"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array1);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test261"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException2, 0.3073182652015971d);
    java.lang.Throwable[] throwable_array5 = functionEvaluationException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test262"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test263"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(9.831150678421812E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7109792076089277E9d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test264"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(6.004799503160655E14d, 6.661338147750939E-16d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test265"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i10 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test266"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, (-1.1102230246251565E-16d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array4);
    double[] d_array6 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test267"); }


    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable5, "org.apache.commons.math.MathException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(1.817824251332423E-16d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array13);
    java.lang.String str20 = functionEvaluationException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    double[] d_array37 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str48 = functionEvaluationException47.toString();
    java.lang.String str49 = functionEvaluationException47.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, 100.0d);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, d_array52);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { d_array52 };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException43, "", obj_array54);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException56 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array54);
    int i57 = maxIterationsExceededException56.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str62 = functionEvaluationException61.toString();
    java.lang.String str63 = functionEvaluationException61.getPattern();
    java.lang.Throwable[] throwable_array64 = functionEvaluationException61.getSuppressed();
    double[] d_array66 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str75 = functionEvaluationException74.toString();
    java.lang.String str76 = functionEvaluationException74.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException74, 100.0d);
    double[] d_array79 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException78, d_array79);
    java.lang.Object[] obj_array81 = new java.lang.Object[] { d_array79 };
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException70, "", obj_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException61, d_array66, "", obj_array81);
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException("", obj_array81);
    java.lang.Object[] obj_array85 = convergenceException84.getArguments();
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException56, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array37, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException87, 1.0710748244406708E-21d);
    java.lang.String str90 = functionEvaluationException87.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "evaluation failed for argument = {0}"+ "'", str49.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str62.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "evaluation failed for argument = {0}"+ "'", str63.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str75.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "evaluation failed for argument = {0}"+ "'", str76.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str90 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str90.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test268"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.03989421653751776d, 0.013703371306791135d, 0.15365913260079783d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8607666954411971d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test269"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d3 = brentSolver0.getRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test270"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-4.440892098500626E-16d));
    java.lang.Throwable throwable2 = null;
    double[] d_array4 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    java.lang.String str9 = functionEvaluationException8.toString();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException8);
    double[] d_array11 = functionEvaluationException8.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { d_array23 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14, "", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 0.057288494970486215d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 100.0d);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array40);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { d_array40 };
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31, "", obj_array42);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31);
    double[] d_array45 = functionEvaluationException31.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array45);
    java.lang.Object[] obj_array47 = functionEvaluationException46.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array47);
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array11, "Convergence failed", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException57, "evaluation failed for argument = {0}", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array61);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException64 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test271"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    double d10 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test272"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(7.721367774568233E7d, 0.3034017063338823d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test273"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setMean(2.9780912293042596d);
    normalDistributionImpl0.setStandardDeviation(34.538776394910684d);
    double d15 = normalDistributionImpl0.getStandardDeviation();
    double d16 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 34.538776394910684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 34.538776394910684d);

  }

  @Test
  public void test274() {}
// Defects4J: flaky method
//   @Test
//   public void test274() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test274"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.09147282067039503d);
//     brentSolver0.resetMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction6, 0.17308863426538812d, 0.6730251644578144d, 0.020139616266550513d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test275"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.09147282067039503d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test276"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.020139616266550513d, (-0.7172019422618031d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test277"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
    double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
    double d15 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d16 = normalDistributionImpl0.getMean();
    double d18 = normalDistributionImpl0.inverseCumulativeProbability(0.34590318841207435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 9.603595133758644d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test278"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test279"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(50.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.9019896707617336d);

  }

  @Test
  public void test280() {}
// Defects4J: flaky method
//   @Test
//   public void test280() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test280"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 8.329415334701891E-76d, 0.029052545694658885d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test281() {}
// Defects4J: flaky method
//   @Test
//   public void test281() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test281"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.20491298740411418d, 1.6449340668481562d, 1.2722218725854122E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test282() {}
// Defects4J: flaky method
//   @Test
//   public void test282() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test282"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.23829727830408887d, 0.5204998778130466d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test283() {}
// Defects4J: flaky method
//   @Test
//   public void test283() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test283"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.5146925914804813d, 1.7109792076089277E9d, 0.9999999999999937d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test284() {}
// Defects4J: flaky method
//   @Test
//   public void test284() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test284"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 17.207932020170716d, 0.39961655293386267d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test285"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "hi!", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    int i30 = maxIterationsExceededException29.getMaxIterations();
    int i31 = maxIterationsExceededException29.getMaxIterations();
    java.lang.String str32 = maxIterationsExceededException29.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test286"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.11910535055325921d, 0.950008295671426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5345568231123425d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test287"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    double[] d_array22 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.99854975169906d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array29 = functionEvaluationException28.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array42);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { d_array42 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.9999999999999991d, "", obj_array44);
    double[] d_array48 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException50, "evaluation failed for argument = {0}", obj_array54);
    double[] d_array56 = functionEvaluationException50.getArgument();
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array56, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str63 = functionEvaluationException62.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    double[] d_array71 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, d_array71);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { d_array71 };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException62, "", obj_array73);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException62);
    java.lang.String str76 = functionEvaluationException62.getPattern();
    java.lang.Object[] obj_array77 = functionEvaluationException62.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str63.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "evaluation failed for argument = {0}"+ "'", str76.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);

  }

  @Test
  public void test288() {}
// Defects4J: flaky method
//   @Test
//   public void test288() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test288"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.004731787607204568d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test289"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test290"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.6449340668482062d, 0.9999999999996273d);
    double d4 = normalDistributionImpl2.cumulativeProbability(1.0069983063649611E-24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.049991704328504416d);

  }

  @Test
  public void test291() {}
// Defects4J: flaky method
//   @Test
//   public void test291() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test291"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
//     double d4 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setStandardDeviation(0.23181376392324912d);
//     normalDistributionImpl0.setMean((-1.6653345369377348E-15d));
//     normalDistributionImpl0.setMean((-1.280532177144226d));
//     double d11 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.2676506002282294E30d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-8.0d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.23181376392324912d);
// 
//   }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test292"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13);
    java.lang.Throwable throwable15 = null;
    double[] d_array17 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    java.lang.Throwable throwable27 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(throwable27, "org.apache.commons.math.MathException: ", obj_array35);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array17, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException44, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException49, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 0.2427079157543628d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException55, "evaluation failed for argument = {0}", obj_array59);
    double[] d_array61 = functionEvaluationException55.getArgument();
    double[] d_array62 = functionEvaluationException55.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    java.lang.String str72 = functionEvaluationException70.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, 100.0d);
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException74, d_array75);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { d_array75 };
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "", obj_array77);
    java.lang.Throwable[] throwable_array79 = mathException78.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, d_array62, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    functionEvaluationException42.addSuppressed((java.lang.Throwable)functionEvaluationException82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "evaluation failed for argument = {0}"+ "'", str72.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array79);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test293"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, 100.0d);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException23, "evaluation failed for argument = {0}", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 0.0d, "hi!", obj_array30);
    double[] d_array35 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    double[] d_array44 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array44, "", obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array35, "Convergence failed", obj_array59);
    java.lang.Throwable[] throwable_array64 = functionEvaluationException32.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str69 = functionEvaluationException68.toString();
    java.lang.String str70 = functionEvaluationException68.getPattern();
    java.lang.String str71 = functionEvaluationException68.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, Double.NEGATIVE_INFINITY);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, 0.9974592980455554d);
    java.lang.Throwable[] throwable_array76 = functionEvaluationException75.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException65, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException2, 50.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-0.5796037617121083d), "org.apache.commons.math.FunctionEvaluationException: Convergence failed", (java.lang.Object[])throwable_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, (-8.881784197001252E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str69.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "evaluation failed for argument = {0}"+ "'", str70.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "evaluation failed for argument = {0}"+ "'", str71.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array76);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test294"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(42532.32942350366d);
    double d9 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 42532.32942350366d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test295"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.1274772786351184E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test296"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(5.003999585967212E14d);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.909601630670037E108d), 0.008259602831618317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test297"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test298"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array2);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test299"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test300"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test301"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy((-2381.990759015578d));
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy((-0.03685387438401454d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test302"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    int i4 = brentSolver0.getIterationCount();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = brentSolver0.solve(univariateRealFunction8, (-0.6940659669666995d), 0.002352510784985662d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);

  }

  @Test
  public void test303() {}
// Defects4J: flaky method
//   @Test
//   public void test303() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test303"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(5.605438554552866E-4d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test304"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    double[] d_array10 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { d_array23 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array10, "", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("", obj_array25);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test305"); }


    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException10, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable6, "org.apache.commons.math.MathException: ", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(4.199185449450938E-4d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array14);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException38);
    double[] d_array41 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException38, d_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    java.lang.Throwable[] throwable_array49 = functionEvaluationException46.getSuppressed();
    double[] d_array51 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    java.lang.String str61 = functionEvaluationException59.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, d_array64);
    java.lang.Object[] obj_array66 = new java.lang.Object[] { d_array64 };
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException55, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, d_array51, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array41, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str76 = functionEvaluationException75.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str80 = functionEvaluationException79.toString();
    java.lang.String str81 = functionEvaluationException79.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, 100.0d);
    double[] d_array84 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, d_array84);
    java.lang.Object[] obj_array86 = new java.lang.Object[] { d_array84 };
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException75, "", obj_array86);
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException("", obj_array86);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array86);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array92 = functionEvaluationException91.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException89, d_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException89, 0.3989422804014327d);
    java.lang.Object[] obj_array96 = maxIterationsExceededException89.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array41, "evaluation failed for argument = {0}", obj_array96);
    org.apache.commons.math.MathException mathException98 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "evaluation failed for argument = {0}"+ "'", str61.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str76.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str80.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "evaluation failed for argument = {0}"+ "'", str81.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array96);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test306"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.9053851170499454d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7995982870908174d));

  }

  @Test
  public void test307() {}
// Defects4J: flaky method
//   @Test
//   public void test307() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test307"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
// 
//   }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2452.01431084703d, 0.12872275775688205d, 27.79334105585346d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test309"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.6296900228646276d), 1.3678850043196786d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test310"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(19.486711038972278d, 0.13884189586703805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test311"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(8.591355436071701E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-116396.64619930813d));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test312"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(4.738273101428645E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.654394311310137d);

  }

  @Test
  public void test313() {}
// Defects4J: flaky method
//   @Test
//   public void test313() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test313"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     double d9 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(5.977609743934875E-23d);
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction13, 0.4998326762141427d, 0.17930447302612001d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-14d);
// 
//   }

  @Test
  public void test314() {}
// Defects4J: flaky method
//   @Test
//   public void test314() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test314"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
// 
//   }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test315"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 34.538776394910684d);
    double[] d_array9 = functionEvaluationException8.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    java.lang.Throwable throwable11 = null;
    double[] d_array13 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    java.lang.String str18 = functionEvaluationException17.toString();
    double[] d_array19 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = functionEvaluationException30.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array31);
    double[] d_array34 = functionEvaluationException33.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test316"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test317"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-1.0d), 10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability(0.7612729725711884d, 4.600161852571429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8413447460685413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.22324490933011432d);

  }

  @Test
  public void test318() {}
// Defects4J: flaky method
//   @Test
//   public void test318() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test318"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     double d9 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(4.738273101428645E-4d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(2.3891967393757243d, (-0.6940659669666995d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-15d);
// 
//   }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test319"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i3 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test320"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i14 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test321"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    java.lang.Throwable[] throwable_array16 = functionEvaluationException3.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999980078d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test322"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    double[] d_array16 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-8.0d), "hi!", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException1, d_array16, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41);
    java.lang.String str43 = mathException42.getPattern();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: "+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test323"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable3, "org.apache.commons.math.MathException: ", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException21, "evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    java.lang.Throwable[] throwable_array38 = functionEvaluationException35.getSuppressed();
    double[] d_array40 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array40, "", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    java.lang.String str71 = functionEvaluationException69.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, 100.0d);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, d_array74);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { d_array74 };
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException65, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, 100.0d);
    java.lang.Object[] obj_array88 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException81, "evaluation failed for argument = {0}", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, 0.0d, "hi!", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException90, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array93 = functionEvaluationException90.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 0.0d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array93);
    java.lang.String str95 = convergenceException16.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "evaluation failed for argument = {0}"+ "'", str71.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "evaluation failed for argument = {0}"+ "'", str83.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str95 + "' != '" + ""+ "'", str95.equals(""));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test324"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test325() {}
// Defects4J: flaky method
//   @Test
//   public void test325() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test325"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(34.538776394910684d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test326() {}
// Defects4J: flaky method
//   @Test
//   public void test326() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test326"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     double d10 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(3.84351470881783E-5d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction14, 7.216449660063518E-16d, 1.325498840813132E-38d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-14d);
// 
//   }

  @Test
  public void test327() {}
// Defects4J: flaky method
//   @Test
//   public void test327() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test327"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.6824861261305506d);
//     int i10 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test328"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test329"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array21 = functionEvaluationException20.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, 0.2677990175702625d);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str28 = convergenceException27.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array36);
    java.lang.Object[] obj_array38 = functionEvaluationException37.getArguments();
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException27, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array38);
    java.lang.Throwable[] throwable_array40 = mathException39.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.1102230246251565E-16d), "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array40);
    double[] d_array42 = functionEvaluationException41.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str48 = functionEvaluationException47.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    java.lang.String str53 = functionEvaluationException51.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 100.0d);
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, d_array56);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { d_array56 };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException47, "", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.String str66 = functionEvaluationException64.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 100.0d);
    double[] d_array69 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, d_array69);
    java.lang.Throwable[] throwable_array71 = functionEvaluationException68.getSuppressed();
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException60, "", (java.lang.Object[])throwable_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array42, "hi!", (java.lang.Object[])throwable_array71);
    java.lang.Throwable[] throwable_array75 = functionEvaluationException74.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str28.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "evaluation failed for argument = {0}"+ "'", str53.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "evaluation failed for argument = {0}"+ "'", str66.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test330"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.03043872782780972d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-33.381114216082054d));

  }

  @Test
  public void test331() {}
// Defects4J: flaky method
//   @Test
//   public void test331() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test331"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.09147282067039503d);
//     double d5 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction6, 8.210874830007023E-41d, (-3.647093714917523d), 0.9999998713691205d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test332"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16);
    double[] d_array19 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException16, d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    java.lang.Throwable[] throwable_array27 = functionEvaluationException24.getSuppressed();
    double[] d_array29 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array42);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { d_array42 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array29, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array19, "", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("", obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test333"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = brentSolver0.solve(univariateRealFunction10, 0.11289398671286133d, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test334"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test335"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-5.501081852478442E15d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test336"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.4054537648310353d, 0.020139616266550513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2127966905487929d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test337"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.5577651971104205d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test338() {}
// Defects4J: flaky method
//   @Test
//   public void test338() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test338"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.7172019422618031d), 3.885780586188048E-16d, 9.016677409275971d, 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test339"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 1.817824251332423E-16d);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test340"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.14156397429878298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15867715637204846d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test341"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Throwable[] throwable_array27 = functionEvaluationException24.getSuppressed();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException16, "", (java.lang.Object[])throwable_array27);
    int i30 = maxIterationsExceededException16.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test342"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 5.977609743934875E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test343"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    double[] d_array30 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.String str51 = functionEvaluationException49.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, d_array54);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { d_array54 };
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "", obj_array56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45);
    double[] d_array59 = functionEvaluationException45.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array59);
    double[] d_array63 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    java.lang.String str73 = functionEvaluationException71.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, 100.0d);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, d_array76);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { d_array76 };
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67, "", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException80, 0.057288494970486215d);
    java.lang.Throwable[] throwable_array83 = convergenceException80.getSuppressed();
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array83);
    java.lang.Object[] obj_array85 = mathException84.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "Convergence failed", obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "evaluation failed for argument = {0}"+ "'", str51.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "evaluation failed for argument = {0}"+ "'", str73.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test344"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.Throwable[] throwable_array6 = functionEvaluationException3.getSuppressed();
    double[] d_array8 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array8, "", obj_array23);
    double[] d_array26 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException30, "evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array26, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array34);
    java.lang.Throwable[] throwable_array37 = functionEvaluationException36.getSuppressed();
    java.lang.String str38 = functionEvaluationException36.toString();
    double[] d_array39 = functionEvaluationException36.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test345"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    java.lang.Throwable[] throwable_array5 = functionEvaluationException2.getSuppressed();
    double[] d_array7 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { d_array20 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array7, "", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("", obj_array22);
    java.lang.Object[] obj_array26 = convergenceException25.getArguments();
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException30, 0.9999999999999983d);
    convergenceException25.addSuppressed((java.lang.Throwable)maxIterationsExceededException30);
    java.lang.Object[] obj_array34 = maxIterationsExceededException30.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test346"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(147.14409707015307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.988010480318736d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test347"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy((-0.5796037618997741d));
    brentSolver0.resetFunctionValueAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.02535367551369805d);
    double d13 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.02535367551369805d);

  }

  @Test
  public void test348() {}
// Defects4J: flaky method
//   @Test
//   public void test348() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test348"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9804542813234185d, (-116396.64619930813d), (-0.9788182853967219d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test349"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    java.lang.String str5 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.99854975169906d);
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException(throwable9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array17);
    java.lang.Throwable[] throwable_array21 = convergenceException20.getSuppressed();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = functionEvaluationException32.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35);
    double[] d_array49 = functionEvaluationException35.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array49);
    java.lang.String str51 = functionEvaluationException32.getPattern();
    java.lang.Throwable[] throwable_array52 = functionEvaluationException32.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 24.61618165230132d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test350"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(32.236191301916634d, 0.39961655293386267d);
    double d3 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 32.236191301916634d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test351"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array21 = functionEvaluationException20.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, 0.3989422804014327d);
    java.lang.Object[] obj_array25 = maxIterationsExceededException18.getArguments();
    int i26 = maxIterationsExceededException18.getMaxIterations();
    int i27 = maxIterationsExceededException18.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test352"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array2 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30);
    java.lang.Object[] obj_array32 = functionEvaluationException31.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "", obj_array32);
    java.lang.Object[] obj_array36 = functionEvaluationException17.getArguments();
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 0.013703371306791135d, "Convergence failed", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException54.addSuppressed((java.lang.Throwable)functionEvaluationException56);
    java.lang.Throwable[] throwable_array58 = functionEvaluationException56.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 2452.01431084703d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);

  }

  @Test
  public void test353() {}
// Defects4J: flaky method
//   @Test
//   public void test353() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test353"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0710654263042414d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test354"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException(throwable1);
    java.lang.Object[] obj_array3 = convergenceException2.getArguments();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("Convergence failed", obj_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array15);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { d_array15 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6, "", obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException18);
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException18, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException4, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    java.lang.Throwable[] throwable_array35 = functionEvaluationException32.getSuppressed();
    double[] d_array37 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array50);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d_array50 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array37, "", obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("", obj_array52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException56 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array52);
    int i57 = maxIterationsExceededException56.getMaxIterations();
    java.lang.Object[] obj_array58 = maxIterationsExceededException56.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(3.537118876014214E15d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test355"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, Double.NaN);
    double d4 = normalDistributionImpl2.cumulativeProbability(2452.01431084703d);
    double d6 = normalDistributionImpl2.density((java.lang.Double)0.6824861261305506d);
    normalDistributionImpl2.setStandardDeviation(0.9072478106508295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test356"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9512708021936512d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test357"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    double[] d_array30 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array40);
    java.lang.String str44 = convergenceException43.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test358"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);

  }

  @Test
  public void test359() {}
// Defects4J: flaky method
//   @Test
//   public void test359() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test359"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     int i4 = brentSolver0.getIterationCount();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction8, 0.5577651971104205d, (-1.2706694099465747d), 4.951327219923741E-153d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 100.0d);
// 
//   }

  @Test
  public void test360() {}
// Defects4J: flaky method
//   @Test
//   public void test360() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test360"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 0.320602444196494d, 1.8028808536579263E29d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test361"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.9999998713691205d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5772158791570289d));

  }

  @Test
  public void test362() {}
// Defects4J: flaky method
//   @Test
//   public void test362() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test362"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount((-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test363"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 7.3095891376217486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test364"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(8.836225681058785d, 1.3193152451204537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.077770463089619d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test365"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test366"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException15, "evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException27, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException58, "evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 0.0d, "hi!", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException32, d_array39, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 0.0d, "org.apache.commons.math.MathException: ", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(0.8413447460685413d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array65);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array65);
    int i73 = maxIterationsExceededException72.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test367"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-8.0d));
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    int i12 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test368"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, 100.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array28);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { d_array28 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "", obj_array30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "", obj_array34);
    functionEvaluationException4.addSuppressed((java.lang.Throwable)functionEvaluationException19);
    java.lang.Throwable[] throwable_array37 = functionEvaluationException4.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array37);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { throwable_array37 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test369"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy((-0.6971990469601056d));
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test370"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array15);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { d_array15 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6, "", obj_array17);
    double[] d_array19 = functionEvaluationException6.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array25 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    double[] d_array38 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, d_array38);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { d_array38 };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-8.0d), "hi!", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException4, d_array19, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 11.400913740040735d, "org.apache.commons.math.ConvergenceException: ", obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test371"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, 0.9991523373654427d);
    java.lang.Object[] obj_array22 = convergenceException17.getArguments();
    functionEvaluationException10.addSuppressed((java.lang.Throwable)convergenceException17);
    java.lang.Object[] obj_array24 = functionEvaluationException10.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: ", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test372() {}
// Defects4J: flaky method
//   @Test
//   public void test372() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test372"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.6730251644578144d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test373() {}
// Defects4J: flaky method
//   @Test
//   public void test373() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test373"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test374"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 18.978447712275514d);
    double d4 = normalDistributionImpl2.cumulativeProbability(4.405364961712621E-13d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.0d, 0.3976278214498225d);
    double d8 = normalDistributionImpl2.getStandardDeviation();
    double d10 = normalDistributionImpl2.inverseCumulativeProbability(0.2948299072308731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5000000000000092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.008357846089710463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 18.978447712275514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-10.235628525570492d));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test375"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.5772156649015329d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { d_array29 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13, "org.apache.commons.math.FunctionEvaluationException: ", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, 0.320602444196494d);
    java.lang.Object[] obj_array36 = convergenceException33.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test376"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = functionEvaluationException8.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "evaluation failed for argument = {0}", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 0.0d, "hi!", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, d_array13, "", obj_array39);
    java.lang.String str43 = convergenceException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, (-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.String str51 = functionEvaluationException49.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d);
    double[] d_array54 = functionEvaluationException49.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str43.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "evaluation failed for argument = {0}"+ "'", str51.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test377"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test378"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetFunctionValueAccuracy();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.6258514469070213d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test379"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-5.551115123125783E-16d), (-37.595202016186725d), 1.683293282944502d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test380"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array36);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException52, "evaluation failed for argument = {0}", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "hi!", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, d_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    java.lang.Throwable[] throwable_array69 = functionEvaluationException66.getSuppressed();
    double[] d_array71 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str76 = functionEvaluationException75.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str80 = functionEvaluationException79.toString();
    java.lang.String str81 = functionEvaluationException79.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, 100.0d);
    double[] d_array84 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, d_array84);
    java.lang.Object[] obj_array86 = new java.lang.Object[] { d_array84 };
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException75, "", obj_array86);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, d_array71, "", obj_array86);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array86);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException90 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array86);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str76.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str80.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "evaluation failed for argument = {0}"+ "'", str81.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test381"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.021405182655144E-14d, 0.20824324728232935d, 6.004799503160655E14d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.18799050641555226d);

  }

  @Test
  public void test382() {}
// Defects4J: flaky method
//   @Test
//   public void test382() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test382"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(univariateRealFunction4, 7.6482234567968606d, 2.1069696055252842E-7d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test383"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.21912236532930807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.06668896253406d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test384"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.021405182655144E-14d, 8.501691579662936E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.301916048964225E-13d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test385"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array2 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    java.lang.String str7 = functionEvaluationException6.toString();
    double[] d_array8 = functionEvaluationException6.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    double[] d_array17 = functionEvaluationException11.getArgument();
    double[] d_array18 = functionEvaluationException11.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = functionEvaluationException32.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 1.8570368735253437d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array33);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6, "evaluation failed for argument = {0}", obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test386() {}
// Defects4J: flaky method
//   @Test
//   public void test386() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test386"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9999746495737474d, 29.636544937597257d, (-1.8200219698373372d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test387"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test388"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test389"); }


    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException10, "evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable6, "org.apache.commons.math.MathException: ", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array14);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    java.lang.String str44 = functionEvaluationException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.0d, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array54 = functionEvaluationException51.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException58, "evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException55, "Convergence failed", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException21, 0.7719912089581201d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array65);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test390"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.166516044083275d, 0.8672601435939529d, 0.5991034564030799d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.8371463381461908E-8d);

  }

  @Test
  public void test391() {}
// Defects4J: flaky method
//   @Test
//   public void test391() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test391"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(1.021405182655144E-14d, (-32.97900978150099d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test392() {}
// Defects4J: flaky method
//   @Test
//   public void test392() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test392"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     double d9 = brentSolver0.getAbsoluteAccuracy();
//     int i10 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(0.22324490933011432d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 100);
// 
//   }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test393"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1000000.5772156649d), (-0.5772156675683043d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test394"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 100.0d);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    double[] d_array25 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28, "evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException10, d_array25, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array35);
    java.lang.Throwable throwable39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(throwable39, "org.apache.commons.math.MathException: ", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array25, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test395"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    int i3 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test396"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array16);
    int i20 = maxIterationsExceededException19.getMaxIterations();
    int i21 = maxIterationsExceededException19.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test397"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.10744504450885986d, 1.1283791670955108E-14d, 1.087566574335373E-36d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.03345166104231254d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test398"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.3835323183923204E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.5522438855355834E25d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test399"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    double[] d_array37 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56, "evaluation failed for argument = {0}", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 0.0d, "hi!", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException30, d_array37, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 0.0d, "org.apache.commons.math.MathException: ", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array63);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test400() {}
// Defects4J: flaky method
//   @Test
//   public void test400() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test400"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.11289398671286133d, 0.0d, 0.28860833245076645d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test401"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(0.7719912089581201d);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    double d12 = brentSolver0.getRelativeAccuracy();
    int i13 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.7719912089581201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test402"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array2 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array15);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { d_array15 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.String str29 = functionEvaluationException27.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d);
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array32);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { d_array32 };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException23, "", obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException35);
    double[] d_array38 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException35, d_array38);
    double[] d_array41 = functionEvaluationException40.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    double[] d_array44 = functionEvaluationException43.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    java.lang.String str52 = functionEvaluationException50.getPattern();
    java.lang.Throwable[] throwable_array53 = functionEvaluationException50.getSuppressed();
    double[] d_array55 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.String str65 = functionEvaluationException63.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, 100.0d);
    double[] d_array68 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, d_array68);
    java.lang.Object[] obj_array70 = new java.lang.Object[] { d_array68 };
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException59, "", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array55, "", obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("", obj_array70);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array44, "Convergence failed", obj_array70);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40);
    java.lang.String str78 = mathException77.toString();
    java.lang.Object[] obj_array79 = mathException77.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 1.0E-15d, "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array79);
    double[] d_array81 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "evaluation failed for argument = {0}"+ "'", str52.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "evaluation failed for argument = {0}"+ "'", str65.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: "+ "'", str78.equals("org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test403"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    java.lang.Throwable[] throwable_array16 = functionEvaluationException3.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException21, "evaluation failed for argument = {0}", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    double[] d_array45 = functionEvaluationException40.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.String str66 = functionEvaluationException64.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 100.0d);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException64, "evaluation failed for argument = {0}", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 0.0d, "hi!", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException38, d_array45, "", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 0.0d, "org.apache.commons.math.MathException: ", obj_array71);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array71);
    java.lang.Throwable[] throwable_array77 = maxIterationsExceededException76.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array77);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException79 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array77);
    int i80 = maxIterationsExceededException79.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "evaluation failed for argument = {0}"+ "'", str66.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 10);

  }

  @Test
  public void test404() {}
// Defects4J: flaky method
//   @Test
//   public void test404() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test404"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.5772156675683043d), 7.69459862670724E-23d, 51.800904244971264d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test405"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(7.216449660063518E-16d, 7.113726594239666E-4d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test406"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.2427079157543628d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test407"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.6408433990152037d, "hi!", obj_array2);
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    java.lang.Throwable[] throwable_array16 = functionEvaluationException13.getSuppressed();
    double[] d_array18 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array18, "", obj_array33);
    double[] d_array36 = functionEvaluationException13.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException40, "evaluation failed for argument = {0}", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array36, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(throwable7, Double.NaN, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array44);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array44);
    double[] d_array50 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException49, d_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);

  }

  @Test
  public void test408() {}
// Defects4J: flaky method
//   @Test
//   public void test408() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test408"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.2326642637159857d, (-0.5772573681199622d), 0.3034017063338823d, 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test409"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.1639263785705195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.436046072299968d));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test410"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = functionEvaluationException21.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7, "", obj_array22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array22);
    java.lang.String str27 = maxIterationsExceededException26.getPattern();
    int i28 = maxIterationsExceededException26.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 100);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test411"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setRelativeAccuracy(73.4736011393542d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    int i13 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test412"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-0.0369557648345803d), 0.8197756575342916d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.39140994634985565d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test413"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array4 = convergenceException3.getSuppressed();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array4);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(100, "", (java.lang.Object[])throwable_array4);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test414() {}
// Defects4J: flaky method
//   @Test
//   public void test414() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test414"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.getMean();
//     double d6 = normalDistributionImpl0.getStandardDeviation();
//     double d8 = normalDistributionImpl0.density((java.lang.Double)0.3976278214498225d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.5772156649015329d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.3925605720537655d);
// 
//   }

  @Test
  public void test415() {}
// Defects4J: flaky method
//   @Test
//   public void test415() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test415"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-12.759559924059653d), 0.0d, 32.236191301916634d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test416"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy((-1.6653345369377348E-15d));
    brentSolver0.setAbsoluteAccuracy(2.300484076788531d);
    brentSolver0.setRelativeAccuracy(1.3678850043196786d);
    double d16 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.3678850043196786d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test417"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("", obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test418"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(12.139812649094985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 17.844668789670646d);

  }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test419"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 13.714757758333661d, (-1.909601630670037E108d), 0.5199471116748599d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test420"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.9984276832729877d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test421"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test422"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    int i8 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test423"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 0.9991523373654427d);
    java.lang.String str11 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    double[] d_array39 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array39, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array47);
    java.lang.Throwable throwable52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    java.lang.Throwable[] throwable_array61 = functionEvaluationException58.getSuppressed();
    double[] d_array63 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    java.lang.String str73 = functionEvaluationException71.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, 100.0d);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, d_array76);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { d_array76 };
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67, "", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array63, "", obj_array78);
    double[] d_array81 = functionEvaluationException58.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str86 = functionEvaluationException85.toString();
    java.lang.Object[] obj_array89 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException85, "evaluation failed for argument = {0}", obj_array89);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array81, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array89);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(throwable52, Double.NaN, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array89);
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException("", obj_array89);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "hi!", obj_array89);
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str11.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "evaluation failed for argument = {0}"+ "'", str73.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str86.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test424"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.5272164915810419d);
    java.lang.String str2 = functionEvaluationException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0.527"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0.527"));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test425"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.toString();
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test426() {}
// Defects4J: flaky method
//   @Test
//   public void test426() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test426"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.3976278214498225d, 1.3224670334240947d, 1.6449405729935918d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test427"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-0.5796037618997741d));
    double d6 = normalDistributionImpl0.getMean();
    double d8 = normalDistributionImpl0.density((java.lang.Double)5.045554767605033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.12367307154431806d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.8421986253858697E-5d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test428"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean((-0.5796037618997741d));
    double d7 = normalDistributionImpl0.getMean();
    double d10 = normalDistributionImpl0.cumulativeProbability(5.236694313300948E-109d, 0.3034017063338823d);
    double d11 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-0.5796037618997741d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.09247426926523772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.5796037618997741d));

  }

  @Test
  public void test429() {}
// Defects4J: flaky method
//   @Test
//   public void test429() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test429"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(0.49977341147179954d, 0.2948299072308731d, 0.6408433990152037d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
// 
//   }

  @Test
  public void test430() {}
// Defects4J: flaky method
//   @Test
//   public void test430() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test430"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     double d7 = brentSolver0.getRelativeAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
// 
//   }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test431"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    java.lang.String str24 = functionEvaluationException1.getPattern();
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, (-2.5864180298021497d));
    double[] d_array30 = functionEvaluationException29.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test432"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d2 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.9804542813234185d);
    double d7 = normalDistributionImpl0.cumulativeProbability((-7.107430041123848d), 0.6955116644626345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.38784405260474725d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test433"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    double d3 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setStandardDeviation(0.14080321995921186d);
    double d6 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean((-1.0000000000000058E14d));
    double d10 = normalDistributionImpl2.cumulativeProbability((-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.14080321995921186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test434"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver11 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver12 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver13 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver13);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test435"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException(throwable0);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    double[] d_array5 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    java.lang.String str44 = functionEvaluationException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.0d, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, d_array23, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array49);
    functionEvaluationException3.addSuppressed((java.lang.Throwable)functionEvaluationException53);
    double[] d_array55 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, d_array65);
    java.lang.Object[] obj_array67 = functionEvaluationException66.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.String str78 = functionEvaluationException76.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException76, 100.0d);
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, d_array81);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { d_array81 };
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72, "", obj_array83);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72);
    java.lang.String str86 = functionEvaluationException72.getPattern();
    java.lang.Object[] obj_array87 = functionEvaluationException72.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array87);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    java.lang.Object[] obj_array92 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "evaluation failed for argument = {0}"+ "'", str78.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "evaluation failed for argument = {0}"+ "'", str86.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test436"); }


    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable10, "org.apache.commons.math.MathException: ", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(0.06183653577215903d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array18);
    double[] d_array28 = functionEvaluationException27.getArgument();
    java.lang.Throwable[] throwable_array29 = functionEvaluationException27.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test437"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.09147282067039503d, 0.11910535055325921d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.03989422335009239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.11910535055325921d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test438"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(2.124760594183115d);
    brentSolver0.setMaximalIterationCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test439"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array9);
    java.lang.Object[] obj_array11 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    java.lang.String str15 = mathException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, 100.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array28);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { d_array28 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "", obj_array30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19);
    double[] d_array33 = functionEvaluationException19.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    java.lang.Throwable throwable38 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array59);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { d_array59 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "", obj_array61);
    double[] d_array63 = functionEvaluationException50.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException48, d_array63, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array73);
    java.lang.Throwable throwable77 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.Object[] obj_array85 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException81, "evaluation failed for argument = {0}", obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array85);
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException(throwable77, "org.apache.commons.math.MathException: ", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(throwable38, d_array63, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(8.112963841460668E31d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException14, 10.166516044083275d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array85);
    java.lang.String str93 = functionEvaluationException92.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str1.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str15.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"+ "'", str93.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test440"); }


    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable13, "org.apache.commons.math.MathException: ", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(0.06183653577215903d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array21);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test441"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(17.207932020170716d);
    java.lang.String str2 = functionEvaluationException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "evaluation failed for argument = {0}"+ "'", str2.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test442"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.02535367551369805d, 2.9780912293042596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9996433029232245d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test443"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-4.168336986896375d), 8.501691579662936E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test444() {}
// Defects4J: flaky method
//   @Test
//   public void test444() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test444"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test445"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.230179376687848d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(3.84351470881783E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test446"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.23932120095310594d, 0.4334896228896939d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test447"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9991278858110495d, (-2381.990759015578d), 0.8413447460685413d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test448"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.String str3 = mathException2.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str3.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test449() {}
// Defects4J: flaky method
//   @Test
//   public void test449() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test449"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.28667472396997007d, (-8.0d), (-0.4590346826992773d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test450"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(2.886579864025407E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.200142580097732E29d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test451"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.4999991925954849d, 37.424485439986206d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4424906541753444E-15d);

  }

  @Test
  public void test452() {}
// Defects4J: flaky method
//   @Test
//   public void test452() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test452"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.11910535055325921d, 73.4736011393542d, 2.4846371771513592E-263d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test453() {}
// Defects4J: flaky method
//   @Test
//   public void test453() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test453"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(7.577720870946517d, 0.2427079157543628d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test454"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    double[] d_array16 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array16);
    double[] d_array19 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    java.lang.Throwable[] throwable_array31 = functionEvaluationException28.getSuppressed();
    double[] d_array33 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array46);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d_array46 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array33, "", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("", obj_array48);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array22, "Convergence failed", obj_array48);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18);
    java.lang.String str56 = mathException55.toString();
    java.lang.Object[] obj_array57 = mathException55.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException55, 0.3073182652015971d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException63, "evaluation failed for argument = {0}", obj_array67);
    double[] d_array69 = functionEvaluationException63.getArgument();
    double[] d_array70 = functionEvaluationException63.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str79 = functionEvaluationException78.toString();
    java.lang.String str80 = functionEvaluationException78.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException78, 100.0d);
    double[] d_array83 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException82, d_array83);
    java.lang.Object[] obj_array85 = functionEvaluationException84.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array85);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, 1.8570368735253437d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 0.9999999999999974d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: "+ "'", str56.equals("org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str79.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "evaluation failed for argument = {0}"+ "'", str80.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);

  }

  @Test
  public void test455() {}
// Defects4J: flaky method
//   @Test
//   public void test455() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test455"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0069983063649611E-24d, (-1.280532177144226d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test456() {}
// Defects4J: flaky method
//   @Test
//   public void test456() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test456"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.5876034419036329d), 4.194185449450938E-4d, (-9.992007221626409E-16d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test457"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.1057356107046381d), 0.23829727830408887d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test458"); }


    double[] d_array0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.String str6 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, Double.NEGATIVE_INFINITY);
    double[] d_array9 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array22);
    java.lang.Object[] obj_array24 = functionEvaluationException23.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array24);
    java.lang.Object[] obj_array29 = functionEvaluationException28.getArguments();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test459"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    double d10 = brentSolver0.getRelativeAccuracy();
    int i11 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test460"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(3.9019896707617336d, 3.499311526172495E-11d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test461"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(50.0d, 1868.3087149650319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test462"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    double d11 = normalDistributionImpl0.getMean();
    double d13 = normalDistributionImpl0.cumulativeProbability(8.063010056326411E-4d);
    double d14 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 3.885780586188048E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.99854975169906d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test463"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.9999820898079987d, 1.665334536937738E-15d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test464"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array5);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)mathException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test465"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-8.0d));
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-8.0d));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test466"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9067171305012831d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test467"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test468"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(5671135.39722387d, 0.8607666954411971d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2835568.128995283d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test469"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = functionEvaluationException9.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, 0.9991523373654427d);
    java.lang.Object[] obj_array22 = convergenceException17.getArguments();
    functionEvaluationException9.addSuppressed((java.lang.Throwable)convergenceException17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25);
    double[] d_array39 = functionEvaluationException25.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str54 = functionEvaluationException53.toString();
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException53, "evaluation failed for argument = {0}", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "hi!", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array39, "org.apache.commons.math.FunctionEvaluationException: ", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-0.0369557648345803d), "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test470"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    int i9 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test471"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.5905736786314697d);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException29, "evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = functionEvaluationException36.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException60, "evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 0.0d, "hi!", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException34, d_array41, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 0.0d, "org.apache.commons.math.MathException: ", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array67);
    java.lang.Throwable throwable74 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str86 = functionEvaluationException85.toString();
    java.lang.String str87 = functionEvaluationException85.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException85, 100.0d);
    double[] d_array90 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException89, d_array90);
    java.lang.Object[] obj_array92 = new java.lang.Object[] { d_array90 };
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException81, "", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(throwable74, (-0.9999999999999986d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException98 = new org.apache.commons.math.ConvergenceException(throwable4, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException99 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, (-1.280532177144226d), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str86.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str87 + "' != '" + "evaluation failed for argument = {0}"+ "'", str87.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test472"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array2 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    java.lang.String str7 = functionEvaluationException6.toString();
    double[] d_array8 = functionEvaluationException6.getArgument();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "org.apache.commons.math.MaxIterationsExceededException: evaluation failed for argument = {0}", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test473"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    double d12 = normalDistributionImpl0.inverseCumulativeProbability(0.5272164915810419d);
    double d14 = normalDistributionImpl0.cumulativeProbability(0.14156397429878298d);
    normalDistributionImpl0.setStandardDeviation(0.9523884343026601d);
    double d18 = normalDistributionImpl0.inverseCumulativeProbability(0.03989422335009239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.068175568031705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-7.771561172376096E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 8.33149664023482d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test474"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean((-0.5796037618997741d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(10.068175568031705d);
    normalDistributionImpl0.setStandardDeviation(50.659657622560225d);
    double d14 = normalDistributionImpl0.density((java.lang.Double)0.9986070594795848d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.5796037618997741d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.007749753954998036d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test475"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array4 = new double[] { (-1.0d), 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test476"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.4334896228896939d, (-1.909601630670037E108d), 2.961815330133692d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test477"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean((-0.5796037618997741d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getMean();
    double d9 = normalDistributionImpl0.getMean();
    double d11 = normalDistributionImpl0.cumulativeProbability(27.79334105585346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.5796037618997741d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.5796037618997741d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999878d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test478"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "evaluation failed for argument = {0}", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 34.538776394910684d);
    double[] d_array9 = functionEvaluationException8.getArgument();
    double[] d_array10 = functionEvaluationException8.getArgument();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8);
    java.lang.String str12 = functionEvaluationException8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));

  }

  @Test
  public void test479() {}
// Defects4J: flaky method
//   @Test
//   public void test479() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test479"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.243950275416845E-14d, 11.936557389980164d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test480() {}
// Defects4J: flaky method
//   @Test
//   public void test480() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test480"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.19440319180825583d, 0.99854975169906d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test481"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.String str2 = functionEvaluationException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array4 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "evaluation failed for argument = {0}"+ "'", str2.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test482() {}
// Defects4J: flaky method
//   @Test
//   public void test482() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test482"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.01247422635436668d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test483"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(4.405364961712621E-13d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.3753697406182055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test484"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(7.69459862670642E-23d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test485"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetRelativeAccuracy();
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test486() {}
// Defects4J: flaky method
//   @Test
//   public void test486() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test486"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
// 
//   }

  @Test
  public void test487() {}
// Defects4J: flaky method
//   @Test
//   public void test487() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test487"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean((-0.5796037618997741d));
//     double d8 = normalDistributionImpl0.density((java.lang.Double)1751.8796585025225d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = normalDistributionImpl0.inverseCumulativeProbability(9.640524338589419d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test488"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(0.983940254119194d);
    double d6 = normalDistributionImpl0.density((java.lang.Double)7.771561172376096E-16d);
    double d8 = normalDistributionImpl0.cumulativeProbability(0.07185353164262576d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.4054537648310353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5291074117495651d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test489"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(2.124760594183115d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(4.822921109679486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test490"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8427007929497151d));

  }

  @Test
  public void test491() {}
// Defects4J: flaky method
//   @Test
//   public void test491() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test491"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d7 = normalDistributionImpl0.getStandardDeviation();
//     double d10 = normalDistributionImpl0.cumulativeProbability(2.4846371771513592E-263d, 0.28860833245076645d);
//     double d11 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = normalDistributionImpl0.cumulativeProbability(1.3224670334240947d, 0.021367220679333165d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
// 
//   }

  @Test
  public void test492() {}
// Defects4J: flaky method
//   @Test
//   public void test492() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test492"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(0.8188349282711478d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test493() {}
// Defects4J: flaky method
//   @Test
//   public void test493() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test493"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.7360853032792052d, 0.0010450630674567751d, (-12.759559924059653d), 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test494() {}
// Defects4J: flaky method
//   @Test
//   public void test494() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test494"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.160230579026408d, (-12.759559924059653d), (-0.6940659669666995d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test495() {}
// Defects4J: flaky method
//   @Test
//   public void test495() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test495"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     double d11 = normalDistributionImpl0.cumulativeProbability(0.5272164915810419d);
//     double d12 = normalDistributionImpl0.getMean();
//     double d14 = normalDistributionImpl0.cumulativeProbability(0.0015292656190026145d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = normalDistributionImpl0.cumulativeProbability(6.020743238430578d, 0.6824861261305506d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
// 
//   }

  @Test
  public void test496() {}
// Defects4J: flaky method
//   @Test
//   public void test496() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test496"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy((-0.9999999999999986d));
//     int i10 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     int i12 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 100);
// 
//   }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test497"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    double d11 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(0.23181376392324912d);
    double d16 = normalDistributionImpl0.cumulativeProbability(0.0d, 1.243950275416845E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 4.829470157119431E-15d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test498"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.6146658570266453d, 0.9949969456791976d, 8.112963841460668E31d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.588286948900302d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test499"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(2.9780912293042596d, Double.NaN, 0.22309557251263454d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test500"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    double[] d_array3 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 0.0d, "hi!", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException14, d_array21, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array47);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException51);
    double[] d_array53 = functionEvaluationException1.getArgument();
    double[] d_array54 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

}
