
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest8 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test001"); }


    double d1 = org.apache.commons.math.special.Erf.erf(6.661338147750939E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.516515190900769E-16d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test002"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(0.0d);
    double d13 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = brentSolver0.solve(univariateRealFunction15, 0.992288250765196d, 19.486711038972278d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.9999999999996273d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test003"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.4054537648310353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7828159632281073d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test004"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.1657341758564144E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array4 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array17);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { d_array17 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 9.41522341008929E-23d);
    java.lang.String str24 = functionEvaluationException23.toString();
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test005"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.8463474386606181d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test006"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    double[] d_array3 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    java.lang.String str8 = functionEvaluationException7.toString();
    double[] d_array9 = functionEvaluationException7.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = functionEvaluationException21.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test007"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3211267710027184d, 1.6395513150685832d, 0.0d, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() {}
// Defects4J: flaky method
//   @Test
//   public void test008() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test008"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.setRelativeAccuracy(0.03989422335009239d);
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction7, 0.9999303730506544d, 0.03936849058992788d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test009"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    java.lang.Throwable[] throwable_array10 = functionEvaluationException7.getSuppressed();
    double[] d_array12 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array12, "", obj_array27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.2706694099465747d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -0.7", obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test010"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    double[] d_array18 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    double[] d_array44 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array44, "", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException31, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "Convergence failed", obj_array59);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "org.apache.commons.math.FunctionEvaluationException: ", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException67 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test011"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.6653345369377348E-15d), 0.02020133322663619d);
    normalDistributionImpl2.setStandardDeviation(0.5121414205928195d);
    double d6 = normalDistributionImpl2.density((java.lang.Double)50.15170085316694d);
    normalDistributionImpl2.setStandardDeviation(0.17203076475749512d);
    double d9 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1.6653345369377348E-15d));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test012"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { d_array29 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "", obj_array31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException32);
    double[] d_array35 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException32, d_array35);
    double[] d_array38 = functionEvaluationException37.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44);
    double[] d_array61 = functionEvaluationException44.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 0.99854975169906d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array68 = functionEvaluationException67.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.String str78 = functionEvaluationException76.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException76, 100.0d);
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, d_array81);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { d_array81 };
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72, "", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 0.9999999999999991d, "", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(2.5110173919621328E17d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "evaluation failed for argument = {0}"+ "'", str78.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test013"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability(6.546623294800824E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5000026117248262d);

  }

  @Test
  public void test014() {}
// Defects4J: flaky method
//   @Test
//   public void test014() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test014"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.41767472924993015d, 1.6684667244576223d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test015() {}
// Defects4J: flaky method
//   @Test
//   public void test015() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test015"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     int i10 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction11, 147.14409707015307d, 6.546623294800824E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 100);
// 
//   }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test016"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    java.lang.Object[] obj_array10 = functionEvaluationException9.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    double[] d_array26 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array26);
    java.lang.Throwable[] throwable_array28 = functionEvaluationException9.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(throwable0, "hi!", (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test017() {}
// Defects4J: flaky method
//   @Test
//   public void test017() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test017"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i10 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy((-0.11123261570668186d));
//     int i13 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.06183653577215903d);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy((-0.1057356107046381d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d21 = brentSolver0.solve(0.5203007332041957d, 0.14156397429878298d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 0);
// 
//   }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test018"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.density((java.lang.Double)50.0d);
    double d6 = normalDistributionImpl0.getMean();
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.008259602831618317d);
    normalDistributionImpl0.setMean(0.0d);
    java.lang.Double d11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = normalDistributionImpl0.density(d11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.8200219698373372d));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test019"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    double[] d_array39 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 1.6510632314621483d);
    functionEvaluationException14.addSuppressed((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array59);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { d_array59 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 0.0d, "hi!", obj_array73);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array76);
    functionEvaluationException48.addSuppressed((java.lang.Throwable)functionEvaluationException77);
    java.lang.Object[] obj_array79 = functionEvaluationException77.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 0.5991034564030799d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test020"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(205.86186779751472d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 889.0623264586188d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test021"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(4.567453400562893E-221d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: ", obj_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array21);
    int i24 = maxIterationsExceededException23.getMaxIterations();
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable32, "org.apache.commons.math.MathException: ", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException23, 0.3976278214498225d, "org.apache.commons.math.MathException: ", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.013703371306791135d, "", obj_array40);
    double[] d_array51 = functionEvaluationException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test022"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test023() {}
// Defects4J: flaky method
//   @Test
//   public void test023() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test023"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount((-1));
//     int i12 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
// 
//   }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test024"); }


    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable5, "org.apache.commons.math.MathException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array13);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable21);
    java.lang.Object[] obj_array23 = mathException22.getArguments();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException19, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array23);
    int i25 = maxIterationsExceededException19.getMaxIterations();
    java.lang.String str26 = maxIterationsExceededException19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"+ "'", str26.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test025"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable7, "org.apache.commons.math.MathException: ", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException22, (-0.11123261570668186d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    java.lang.Throwable[] throwable_array29 = functionEvaluationException26.getSuppressed();
    double[] d_array31 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array31, "", obj_array46);
    java.lang.String str49 = functionEvaluationException26.toString();
    functionEvaluationException24.addSuppressed((java.lang.Throwable)functionEvaluationException26);
    java.lang.Throwable[] throwable_array51 = functionEvaluationException24.getSuppressed();
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test026"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test027"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.6653345369377348E-15d), 0.02020133322663619d);
    normalDistributionImpl2.setStandardDeviation(0.5121414205928195d);
    double d5 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5121414205928195d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test028"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(24.61618165230132d, 0.9999999999999963d, 1.817824251332423E-16d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test029"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array2 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array2);
    double[] d_array6 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { d_array18 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9, "", obj_array20);
    java.lang.String str22 = mathException21.getPattern();
    java.lang.String str23 = mathException21.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "hi!", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    java.lang.Throwable[] throwable_array48 = functionEvaluationException45.getSuppressed();
    double[] d_array50 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d_array63 };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array50, "", obj_array65);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException21, d_array30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    java.lang.Throwable[] throwable_array76 = functionEvaluationException73.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str81 = functionEvaluationException80.toString();
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException80, "evaluation failed for argument = {0}", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException85, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException85, 0.9991523373654427d);
    java.lang.Object[] obj_array90 = convergenceException85.getArguments();
    functionEvaluationException78.addSuppressed((java.lang.Throwable)convergenceException85);
    java.lang.Object[] obj_array92 = functionEvaluationException78.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, 0.17930447302612001d, "hi!", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str23.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str81.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test030"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    double d4 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(2.300484076788531d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(1.0710748244406708E-21d);
    normalDistributionImpl0.setMean(11.400913740040735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.300484076788531d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test031"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(6.673180595320046d);
    java.lang.Object[] obj_array2 = functionEvaluationException1.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test032() {}
// Defects4J: flaky method
//   @Test
//   public void test032() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test032"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
// 
//   }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test033"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.9984014443252818E-15d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test034"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test035"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.18780905955032967d);
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 0.0d, "hi!", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException14, d_array21, "", obj_array47);
    java.lang.String str51 = convergenceException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException14, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException14, (-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    java.lang.String str59 = functionEvaluationException57.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 100.0d);
    double[] d_array62 = functionEvaluationException57.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, d_array62);
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver67 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d68 = brentSolver67.getFunctionValueAccuracy();
    int i69 = brentSolver67.getMaximalIterationCount();
    int i70 = brentSolver67.getIterationCount();
    java.lang.Object[] obj_array71 = new java.lang.Object[] { brentSolver67 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999999991d, "hi!", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array62, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((-4.8687563539140556E14d), "evaluation failed for argument = {0}", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(throwable3, 4.0315050281632055E-4d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Object[] obj_array78 = convergenceException77.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str51.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "evaluation failed for argument = {0}"+ "'", str59.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test036"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy((-1.1102230246251565E-16d));
    int i11 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test037"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "hi!", obj_array26);
    java.lang.String str29 = functionEvaluationException3.getPattern();
    double[] d_array30 = functionEvaluationException3.getArgument();
    double[] d_array31 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array50);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d_array50 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(0.6730251644578144d, "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "Convergence failed", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(10.166516044083275d, "", obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);

  }

  @Test
  public void test038() {}
// Defects4J: flaky method
//   @Test
//   public void test038() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test038"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(0.0d, (-8.422784335098466d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test039() {}
// Defects4J: flaky method
//   @Test
//   public void test039() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test039"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test040"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy((-2381.990759015578d));
    brentSolver0.resetRelativeAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    double d11 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test041"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.5556224384979498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test042() {}
// Defects4J: flaky method
//   @Test
//   public void test042() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test042"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.961815330133692d, 0.0d, 6.661338147750939E-16d, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test043"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.9999999999999963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test044"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.4935416714640953d, 0.8427007929497188d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(1.0517904681969705E-169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8427007929497188d);

  }

  @Test
  public void test045() {}
// Defects4J: flaky method
//   @Test
//   public void test045() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test045"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.2522581406620041d, 0.09147282067039503d, 2.896246648422634E-13d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test046"); }


    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, "org.apache.commons.math.MathException: ", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array16);
    java.lang.Throwable throwable27 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29, "evaluation failed for argument = {0}", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { d_array48 };
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException39, "", obj_array50);
    double[] d_array52 = functionEvaluationException39.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d);
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException55, "evaluation failed for argument = {0}", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException37, d_array52, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array62);
    java.lang.Throwable throwable66 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException70, "evaluation failed for argument = {0}", obj_array74);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array74);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException(throwable66, "org.apache.commons.math.MathException: ", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(throwable27, d_array52, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    java.lang.Throwable[] throwable_array80 = functionEvaluationException79.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException24, 0.03989421653751776d, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array80);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException81);
    double[] d_array83 = functionEvaluationException81.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test047"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-2381.990759015578d), 306.21202613224904d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test048"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.Throwable[] throwable_array6 = functionEvaluationException3.getSuppressed();
    double[] d_array8 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array8, "", obj_array23);
    double[] d_array26 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException30, "evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array26, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array34);
    java.lang.Throwable[] throwable_array37 = functionEvaluationException36.getSuppressed();
    java.lang.String str38 = functionEvaluationException36.toString();
    java.lang.Throwable throwable45 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(throwable45, "org.apache.commons.math.MathException: ", obj_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str63 = functionEvaluationException62.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str67 = functionEvaluationException66.toString();
    java.lang.String str68 = functionEvaluationException66.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 100.0d);
    double[] d_array71 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, d_array71);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { d_array71 };
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException62, "", obj_array73);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException59, "evaluation failed for argument = {0}", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str80 = functionEvaluationException79.toString();
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException79, "evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException75, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str63.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "evaluation failed for argument = {0}"+ "'", str68.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str80.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test049"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(4.600161852571429d, 1.3224670334240947d);
    normalDistributionImpl2.setMean(0.009252903064182638d);
    double d6 = normalDistributionImpl2.density((java.lang.Double)1.0025407019544446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.22752313983886763d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test050"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.Throwable[] throwable_array3 = mathException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test051"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(5.605438554552866E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test052"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test053"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d7 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    normalDistributionImpl0.setStandardDeviation(2.8631944318290126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test054"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-6.846346438660619d), 0.9985497518129052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test055"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.18780905955032967d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test056"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.5991034564030799d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6031499131758329d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test057"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(5.003999585967212E14d, 1.2841268970438012E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test058"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setAbsoluteAccuracy(0.99854975169906d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test059() {}
// Defects4J: flaky method
//   @Test
//   public void test059() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test059"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.3373514758183519d, 3.866343550011478E-168d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test060"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.5772156649015329d);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    java.lang.String str37 = mathException36.getPattern();
    java.lang.String str38 = mathException36.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, d_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    java.lang.Throwable[] throwable_array63 = functionEvaluationException60.getSuppressed();
    double[] d_array65 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, d_array78);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { d_array78 };
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array65, "", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException83 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException36, d_array45, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException(throwable21, "org.apache.commons.math.MathException: ", obj_array80);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array80);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    java.lang.Object[] obj_array88 = mathException87.getArguments();
    java.lang.Object[] obj_array89 = mathException87.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str38.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test061"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(2.0511950146444985E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.875206856785943E15d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test062"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.49188526483354933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.07464069342124d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test063"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy((-2.411530524683778d));
    brentSolver0.resetMaximalIterationCount();
    int i13 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-0.9947428267952065d));
    brentSolver0.setRelativeAccuracy(0.013703371306791135d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);

  }

  @Test
  public void test064() {}
// Defects4J: flaky method
//   @Test
//   public void test064() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test064"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9999999999999815d, 0.0d, 0.20007741497850323d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test065"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.997460529484891d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0014711327513921013d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test066"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    normalDistributionImpl0.setStandardDeviation(0.031614690161597764d);
    double d4 = normalDistributionImpl0.cumulativeProbability(0.23932120095310594d);
    normalDistributionImpl0.setStandardDeviation(0.8411336279469619d);
    normalDistributionImpl0.setStandardDeviation(0.9917271901091059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999999999999815d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test067"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    double[] d_array20 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.99854975169906d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array27 = functionEvaluationException26.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 100.0d);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array40);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { d_array40 };
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.9999999999999991d, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.2527525318167954E-16d), "org.apache.commons.math.ConvergenceException: ", obj_array42);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException46, "org.apache.commons.math.MaxIterationsExceededException: evaluation failed for argument = {0}", obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test068"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test069"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array1);

  }

  @Test
  public void test070() {}
// Defects4J: flaky method
//   @Test
//   public void test070() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test070"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, (-2.750540926239221E15d), 0.3454074456266303d, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test071() {}
// Defects4J: flaky method
//   @Test
//   public void test071() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test071"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0010450630674567751d, 0.39961655293386267d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation((-0.5772573681199622d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test072"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "hi!", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    int i30 = maxIterationsExceededException29.getMaxIterations();
    int i31 = maxIterationsExceededException29.getMaxIterations();
    int i32 = maxIterationsExceededException29.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test073"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    normalDistributionImpl2.setMean(0.5272164915810419d);
    normalDistributionImpl2.setStandardDeviation(1.1283791670955108E-14d);
    double d7 = normalDistributionImpl2.getStandardDeviation();
    double d9 = normalDistributionImpl2.density((java.lang.Double)0.8463474386606181d);
    double d11 = normalDistributionImpl2.cumulativeProbability(0.5272164915810419d);
    double d13 = normalDistributionImpl2.cumulativeProbability(0.20007741497850323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.1283791670955108E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test074() {}
// Defects4J: flaky method
//   @Test
//   public void test074() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test074"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
//     double d4 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setStandardDeviation(2.300484076788531d);
//     double d7 = normalDistributionImpl0.getStandardDeviation();
//     double d8 = normalDistributionImpl0.getMean();
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     double d11 = normalDistributionImpl0.density((java.lang.Double)(-1.4432899320127035E-15d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = normalDistributionImpl0.inverseCumulativeProbability(3.1997805681133777d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-8.0d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 2.300484076788531d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 2.300484076788531d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.17341666670362482d);
// 
//   }

  @Test
  public void test075() {}
// Defects4J: flaky method
//   @Test
//   public void test075() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test075"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.density((java.lang.Double)50.0d);
//     double d7 = normalDistributionImpl0.cumulativeProbability(Double.NaN);
//     double d8 = normalDistributionImpl0.getStandardDeviation();
//     double d10 = normalDistributionImpl0.cumulativeProbability(2.000002571428572d);
//     double d11 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = normalDistributionImpl0.cumulativeProbability(0.012311975293094904d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.9226010309239396d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.5772156649015329d);
// 
//   }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test076"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getMaximalIterationCount();
    int i8 = brentSolver0.getMaximalIterationCount();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(2.653719322287529E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test077"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    double[] d_array24 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array24);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array27);
    java.lang.Throwable[] throwable_array29 = functionEvaluationException7.getSuppressed();
    java.lang.Object[] obj_array30 = functionEvaluationException7.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test078"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy((-32.97900978150099d));
    brentSolver0.setRelativeAccuracy(0.3454074456266303d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test079"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-0.6971990469601056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test080"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array21 = functionEvaluationException20.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, 0.2677990175702625d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    java.lang.Throwable[] throwable_array29 = functionEvaluationException26.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException38, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException38, 0.9991523373654427d);
    java.lang.Object[] obj_array43 = convergenceException38.getArguments();
    functionEvaluationException31.addSuppressed((java.lang.Throwable)convergenceException38);
    double[] d_array46 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array46);
    java.lang.Object[] obj_array49 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array46, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException54, "evaluation failed for argument = {0}", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array58);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(10);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException63);
    functionEvaluationException50.addSuppressed((java.lang.Throwable)convergenceException64);
    functionEvaluationException24.addSuppressed((java.lang.Throwable)functionEvaluationException50);
    double[] d_array67 = functionEvaluationException24.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);

  }

  @Test
  public void test081() {}
// Defects4J: flaky method
//   @Test
//   public void test081() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test081"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.027478779065923782d, 1.1329248472760435E-132d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test082"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    double d11 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy((-5.501081852478442E15d));
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(0.5331266712753049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test083"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array17);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { d_array17 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array19);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("Convergence failed", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(9.99943346975385d, "", obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test084"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException15);
    java.lang.Throwable[] throwable_array17 = functionEvaluationException15.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array29);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { d_array29 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 0.0d, "hi!", obj_array43);
    double[] d_array48 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    java.lang.Throwable[] throwable_array55 = functionEvaluationException52.getSuppressed();
    double[] d_array57 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str62 = functionEvaluationException61.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    java.lang.String str67 = functionEvaluationException65.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, 100.0d);
    double[] d_array70 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, d_array70);
    java.lang.Object[] obj_array72 = new java.lang.Object[] { d_array70 };
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException61, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array57, "", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array48, "Convergence failed", obj_array72);
    java.lang.Throwable[] throwable_array77 = functionEvaluationException45.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    java.lang.String str84 = functionEvaluationException81.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, Double.NEGATIVE_INFINITY);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, 0.9974592980455554d);
    java.lang.Throwable[] throwable_array89 = functionEvaluationException88.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException78, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array89);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array89);
    double[] d_array92 = functionEvaluationException15.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str62.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "evaluation failed for argument = {0}"+ "'", str67.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "evaluation failed for argument = {0}"+ "'", str83.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "evaluation failed for argument = {0}"+ "'", str84.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test085"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array2 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 0.9999999999999831d);
    java.lang.String str8 = functionEvaluationException7.getPattern();
    java.lang.String str9 = functionEvaluationException7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test086"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.String str24 = functionEvaluationException22.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array27);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { d_array27 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 0.0d, "hi!", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, d_array15, "", obj_array41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test087"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean((-0.5796037618997741d));
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.38784405260474725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.8645464405018773d));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test088"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.9999746495737474d);
    double d8 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9999746495737474d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test089"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.8413447460685413d);
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    double d12 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test090"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    double[] d_array24 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array24);
    java.lang.String str26 = functionEvaluationException7.getPattern();
    double[] d_array27 = functionEvaluationException7.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test091"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    normalDistributionImpl2.setMean(0.5272164915810419d);
    double d6 = normalDistributionImpl2.inverseCumulativeProbability(4.0315050281632055E-4d);
    double d8 = normalDistributionImpl2.cumulativeProbability(1.1274772786351184E-15d);
    normalDistributionImpl2.setMean(49.021576590706935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-32.97900978150099d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.4789768447391632d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test092"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d2 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.9804542813234185d);
    double d6 = normalDistributionImpl0.inverseCumulativeProbability(0.11577046394455176d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.2159446793909623d));

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test093"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getRelativeAccuracy();
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test094() {}
// Defects4J: flaky method
//   @Test
//   public void test094() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test094"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test095() {}
// Defects4J: flaky method
//   @Test
//   public void test095() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test095"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     double d9 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     int i11 = brentSolver0.getIterationCount();
//     double d12 = brentSolver0.getAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction13, 0.9999726012768542d, (-1.9153180099072777d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.0d);
// 
//   }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test096"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(3.414811171863637d);
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: ", obj_array3);
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.06959569194706716d, "", obj_array7);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test097"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.22324490933011432d, 0.1516580206471818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2996928606179796d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test098"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    double[] d_array18 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    double[] d_array44 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array44, "", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException31, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "Convergence failed", obj_array59);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "org.apache.commons.math.FunctionEvaluationException: ", obj_array59);
    java.lang.Throwable[] throwable_array67 = functionEvaluationException19.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array67);

  }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test099"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
//     double d5 = normalDistributionImpl2.cumulativeProbability(0.9974592980455554d, 0.9999999999996273d);
//     double d8 = normalDistributionImpl2.cumulativeProbability(0.9999999999996273d, 2.124760594183115d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = normalDistributionImpl2.inverseCumulativeProbability(1.3224670334240947d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0085509142809812E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.044304336123545895d);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test100"); }


    double[] d_array3 = new double[] { 10.0d, 10.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { d_array18 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9, "", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array26 = functionEvaluationException25.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException23, d_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException23, 0.3989422804014327d);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0.3989422804014327d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: hi!", obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test101"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.03267251796356549d), 5326.925711704357d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test102() {}
// Defects4J: flaky method
//   @Test
//   public void test102() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test102"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(9.014404268289631E28d, 9.769962616701378E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = normalDistributionImpl2.cumulativeProbability(0.9999999999999963d, 8.196546357452929E-48d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test103"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test104() {}
// Defects4J: flaky method
//   @Test
//   public void test104() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test104"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.7719912089581201d);
//     double d9 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     brentSolver0.setAbsoluteAccuracy(0.9320254303797737d);
//     brentSolver0.setAbsoluteAccuracy(1.8371463381461908E-8d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-14d);
// 
//   }

  @Test
  public void test105() {}
// Defects4J: flaky method
//   @Test
//   public void test105() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test105"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = normalDistributionImpl0.inverseCumulativeProbability(36.122938930621494d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
// 
//   }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test106"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.setAbsoluteAccuracy(0.00484896171005994d);
    brentSolver0.setFunctionValueAccuracy(0.99854975169906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test107"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = functionEvaluationException5.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    functionEvaluationException5.addSuppressed((java.lang.Throwable)functionEvaluationException16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { functionEvaluationException5 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(6.440960231935844E-6d, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test108"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "hi!", obj_array29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array29);
    int i33 = maxIterationsExceededException32.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32);
    java.lang.Throwable[] throwable_array35 = maxIterationsExceededException32.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test109"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.33772359135799446d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test110"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    double[] d_array16 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { d_array31 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22, "", obj_array33);
    java.lang.Throwable[] throwable_array35 = functionEvaluationException22.getSuppressed();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array35);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13, "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test111"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy((-81.9999995d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test112"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(12.801827480081469d, 8.388370898901876E-4d);
    double d5 = normalDistributionImpl2.cumulativeProbability(0.01309987483026892d, 1751.8796585025225d);
    double d7 = normalDistributionImpl2.density((java.lang.Double)(-0.5772573681199622d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test113"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(12.801827480081469d, 8.388370898901876E-4d);
    double d5 = normalDistributionImpl2.cumulativeProbability(Double.NaN, 1.9984014443252818E-15d);
    double d6 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.22309557251263454d);
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d10 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 8.388370898901876E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.22309557251263454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 12.801827480081469d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test114"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    double d8 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test115"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 6.661338147750939E-16d);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test116"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    normalDistributionImpl2.setMean(0.5272164915810419d);
    normalDistributionImpl2.setStandardDeviation(1.1283791670955108E-14d);
    double d8 = normalDistributionImpl2.inverseCumulativeProbability(0.31851494194048136d);
    double d9 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5272164915810419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.1283791670955108E-14d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test117"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.41767472924993015d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7525136954529863d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test118"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    double d10 = brentSolver0.getAbsoluteAccuracy();
    double d11 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test119"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test120() {}
// Defects4J: flaky method
//   @Test
//   public void test120() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test120"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 11.400913740040735d, 0.6538690059659439d, (-2.411530524683778d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test121"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array12);
    java.lang.Object[] obj_array15 = functionEvaluationException14.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test122"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    int i12 = brentSolver0.getIterationCount();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-6d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test123"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);
    double[] d_array4 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = functionEvaluationException14.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17);
    double[] d_array31 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array31);
    java.lang.String str33 = functionEvaluationException14.getPattern();
    java.lang.Throwable[] throwable_array34 = functionEvaluationException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array34);
    java.lang.Object[] obj_array36 = convergenceException35.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test124"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.Throwable[] throwable_array15 = functionEvaluationException2.getSuppressed();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array15);
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException27, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable23, "org.apache.commons.math.MathException: ", obj_array31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException16, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -0.585", obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test125() {}
// Defects4J: flaky method
//   @Test
//   public void test125() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test125"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.6653345369377348E-15d), 1.0025407019544446d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test126"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.String str15 = mathException14.getPattern();
    java.lang.String str16 = mathException14.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException27, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    java.lang.Throwable[] throwable_array41 = functionEvaluationException38.getSuppressed();
    double[] d_array43 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str48 = functionEvaluationException47.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    java.lang.String str53 = functionEvaluationException51.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 100.0d);
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, d_array56);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { d_array56 };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException47, "", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array43, "", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException14, d_array23, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    java.lang.String str73 = functionEvaluationException71.getPattern();
    java.lang.Throwable[] throwable_array74 = functionEvaluationException71.getSuppressed();
    double[] d_array76 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str81 = functionEvaluationException80.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str85 = functionEvaluationException84.toString();
    java.lang.String str86 = functionEvaluationException84.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException84, 100.0d);
    double[] d_array89 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException88, d_array89);
    java.lang.Object[] obj_array91 = new java.lang.Object[] { d_array89 };
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException80, "", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, d_array76, "", obj_array91);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException94 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array91);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException95 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(1.3193152451204537d, "evaluation failed for argument = {0}", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException98 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -0.7", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str16.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "evaluation failed for argument = {0}"+ "'", str53.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "evaluation failed for argument = {0}"+ "'", str73.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str81.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str85.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "evaluation failed for argument = {0}"+ "'", str86.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test127"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.33772359135799446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test128"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    java.lang.String str24 = functionEvaluationException1.getPattern();
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable29, "org.apache.commons.math.MathException: ", obj_array37);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, (-0.7000116320223337d), "", obj_array37);
    double[] d_array43 = functionEvaluationException1.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array45 = functionEvaluationException1.getArgument();
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str47 = mathException46.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test129() {}
// Defects4J: flaky method
//   @Test
//   public void test129() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test129"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(12.801827480081469d, 8.388370898901876E-4d);
//     double d5 = normalDistributionImpl2.cumulativeProbability(Double.NaN, 1.9984014443252818E-15d);
//     double d6 = normalDistributionImpl2.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = normalDistributionImpl2.cumulativeProbability(0.8197756575342916d, 0.33894773614708096d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 12.801827480081469d);
// 
//   }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test130"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.2722218725854122E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test131"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.316183189951047d);

  }

  @Test
  public void test132() {}
// Defects4J: flaky method
//   @Test
//   public void test132() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test132"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.11910535055325921d);
//     brentSolver0.setRelativeAccuracy(0.9977580471125176d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = brentSolver0.solve(univariateRealFunction15, 1.087566574335373E-36d, 6.020743238430578d, (-12.759559924059653d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test133"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-1.4432899320127035E-15d));
    double d13 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.6146365304031943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-1.4432899320127035E-15d));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test134"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    java.lang.Object[] obj_array10 = functionEvaluationException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array10);
    java.lang.Throwable throwable14 = null;
    double[] d_array16 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, 100.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array28);
    java.lang.Throwable[] throwable_array30 = functionEvaluationException27.getSuppressed();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array30);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array30);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "", (java.lang.Object[])throwable_array30);
    int i35 = maxIterationsExceededException11.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array50);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d_array50 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    java.lang.String str59 = functionEvaluationException57.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 100.0d);
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 0.0d, "hi!", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array64);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException11, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array64);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "evaluation failed for argument = {0}"+ "'", str59.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test135"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.3454074456266303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.0140181476723726d));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test136"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = functionEvaluationException19.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    java.lang.Throwable[] throwable_array28 = functionEvaluationException25.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array50);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d_array50 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "", obj_array52);
    double[] d_array54 = functionEvaluationException41.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    java.lang.String str59 = functionEvaluationException57.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 100.0d);
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException39, d_array54, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, d_array78);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { d_array78 };
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "", obj_array80);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69);
    double[] d_array83 = functionEvaluationException69.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array83);
    java.lang.Object[] obj_array88 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException23, d_array83, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    double[] d_array91 = functionEvaluationException90.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "evaluation failed for argument = {0}"+ "'", str59.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test137() {}
// Defects4J: flaky method
//   @Test
//   public void test137() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test137"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.011550382640335338d, 0.2677990175702625d, 0.0d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test138"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.0539125955565396E-15d, 2.251752586176186d, 0.9999999999995227d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test139"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test140"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test141"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(3.3390066828560703d);
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test142() {}
// Defects4J: flaky method
//   @Test
//   public void test142() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test142"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.008259603234077706d, 0.09147282067039503d, 1.6510632314621483d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test143"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test144"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    java.lang.Throwable[] throwable_array21 = convergenceException20.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test145"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(306.21202613224904d, 0.8463474386606181d);
    normalDistributionImpl2.setMean(5.977609743985971E-23d);
    double d5 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8463474386606181d);

  }

  @Test
  public void test146() {}
// Defects4J: flaky method
//   @Test
//   public void test146() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test146"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
// 
//   }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test147"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException4, "evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array24);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { d_array24 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException15, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 0.0d, "hi!", obj_array38);
    java.lang.String str41 = functionEvaluationException15.getPattern();
    double[] d_array42 = functionEvaluationException15.getArgument();
    double[] d_array43 = functionEvaluationException15.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array52 = functionEvaluationException51.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, d_array65);
    java.lang.Object[] obj_array67 = new java.lang.Object[] { d_array65 };
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 4.600161852571429d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-8.0d), "hi!", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(0.28667472396997007d, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException12, d_array43, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);

  }

  @Test
  public void test148() {}
// Defects4J: flaky method
//   @Test
//   public void test148() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test148"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.291183679297116E-4d, 0.007749753954998036d, (-0.5772156675683043d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test149"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = functionEvaluationException12.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array13);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array17);
    java.lang.String str19 = convergenceException18.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "+ "'", str19.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test150() {}
// Defects4J: flaky method
//   @Test
//   public void test150() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test150"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
//     double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
//     double d15 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = normalDistributionImpl0.inverseCumulativeProbability((-0.9788182853967219d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);
// 
//   }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test151"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-1.0d), 10.0d);
    normalDistributionImpl0.setStandardDeviation(13.714757758333661d);
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.8413447460685413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8413447460685413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 13.714757887248497d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test152"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    double d7 = brentSolver0.getRelativeAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    double d11 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test153() {}
// Defects4J: flaky method
//   @Test
//   public void test153() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test153"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
//     double d9 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.3193152451204537d);
//     double d12 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction14, 51.171436359168744d, (-81.9999995d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.0E-14d);
// 
//   }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test154"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2);
    mathException0.addSuppressed((java.lang.Throwable)convergenceException5);
    java.lang.String str7 = mathException0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str7.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test155() {}
// Defects4J: flaky method
//   @Test
//   public void test155() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test155"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-6.661338147750939E-16d), 1.0517904681969705E-169d, 0.0d, 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test156"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.3193152451204537d);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    int i13 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.3193152451204537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test157"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.20491298740411418d, 7.468159146183381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.354383166847107E-5d);

  }

  @Test
  public void test158() {}
// Defects4J: flaky method
//   @Test
//   public void test158() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test158"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
//     double d9 = normalDistributionImpl0.getStandardDeviation();
//     double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
//     double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
//     double d15 = normalDistributionImpl0.density((java.lang.Double)0.02020133322663619d);
//     double d18 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-0.9999999999999986d));
//     double d19 = normalDistributionImpl0.getMean();
//     normalDistributionImpl0.setMean(0.2326642637159857d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d23 = normalDistributionImpl0.inverseCumulativeProbability(389.0863867962338d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 9.41522341008929E-23d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-1.1102230246251565E-16d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 10.0d);
// 
//   }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test159"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.00484896171005994d);
    java.lang.Throwable[] throwable_array4 = functionEvaluationException3.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(10, "", (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test160"); }


    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable9, "org.apache.commons.math.MathException: ", obj_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array17);
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    double[] d_array53 = functionEvaluationException40.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56, "evaluation failed for argument = {0}", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException38, d_array53, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array63);
    java.lang.Throwable throwable67 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException71, "evaluation failed for argument = {0}", obj_array75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array75);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException(throwable67, "org.apache.commons.math.MathException: ", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(throwable28, d_array53, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    java.lang.Throwable[] throwable_array81 = functionEvaluationException80.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException25, 0.03989421653751776d, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array81);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Object[])throwable_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array81);

  }

  @Test
  public void test161() {}
// Defects4J: flaky method
//   @Test
//   public void test161() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test161"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(Double.NEGATIVE_INFINITY, 0.0d, 0.17930447302612001d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
// 
//   }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test162"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array6);
    java.lang.String str9 = mathException8.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d);
    double[] d_array17 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    functionEvaluationException12.addSuppressed((java.lang.Throwable)functionEvaluationException23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array39);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { d_array39 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", obj_array41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 0.29321426428120845d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array41);
    java.lang.String str47 = convergenceException46.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: "+ "'", str47.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test163"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array12);
    int i15 = maxIterationsExceededException14.getMaxIterations();
    java.lang.Object[] obj_array16 = maxIterationsExceededException14.getArguments();
    int i17 = maxIterationsExceededException14.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    java.lang.Throwable[] throwable_array24 = functionEvaluationException21.getSuppressed();
    double[] d_array26 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array39);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { d_array39 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array26, "", obj_array41);
    double[] d_array44 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException48, "evaluation failed for argument = {0}", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array44, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array52);
    maxIterationsExceededException14.addSuppressed((java.lang.Throwable)functionEvaluationException19);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test164"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.03989421653751776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-25.57972922452351d));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test165"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array26);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array26);
    java.lang.Throwable throwable31 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException35, "evaluation failed for argument = {0}", obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array39);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable31, "org.apache.commons.math.MathException: ", obj_array39);
    mathException14.addSuppressed((java.lang.Throwable)mathException42);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException42);
    java.lang.String str45 = mathException42.toString();
    java.lang.Throwable[] throwable_array46 = mathException42.getSuppressed();
    java.lang.Object[] obj_array47 = mathException42.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException: "+ "'", str45.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test166"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getIterationCount();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);

  }

  @Test
  public void test167() {}
// Defects4J: flaky method
//   @Test
//   public void test167() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test167"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(5.340202060362771E-4d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test168() {}
// Defects4J: flaky method
//   @Test
//   public void test168() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test168"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction7, 0.03989422335009239d, 9.41522341008929E-23d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test169"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma((-0.9999999999999986d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.800570320390928E29d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test170"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9342871751068991d, 18.978447712275514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999954890277d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test171"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    java.lang.String str2 = functionEvaluationException1.getPattern();
    double[] d_array3 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "evaluation failed for argument = {0}"+ "'", str2.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test172"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.19440319180825583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5540844723296234d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test173"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test174() {}
// Defects4J: flaky method
//   @Test
//   public void test174() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test174"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy((-2.5864180298021497d));
//     double d10 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d13 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == (-2.5864180298021497d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0E-6d);
// 
//   }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test175"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test176"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    double[] d_array16 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array16);
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(throwable24, "org.apache.commons.math.MathException: ", obj_array32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array32);
    java.lang.String str40 = convergenceException39.getPattern();
    functionEvaluationException17.addSuppressed((java.lang.Throwable)convergenceException39);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str40.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test177"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(throwable3, 0.9999972937547178d);
    java.lang.Object[] obj_array6 = functionEvaluationException5.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("Convergence failed", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(73.4736011393542d, "", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test178() {}
// Defects4J: flaky method
//   @Test
//   public void test178() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test178"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 1.0000000000000002d, 0.11611659123409711d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test179() {}
// Defects4J: flaky method
//   @Test
//   public void test179() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test179"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetMaximalIterationCount();
//     double d11 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-6d);
// 
//   }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test180"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(4.405364961712621E-13d);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.648722138446187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test181"); }


    double d1 = org.apache.commons.math.special.Erf.erf(1.9984014443252818E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.254954557270225E-15d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test182"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.getMean();
    double d6 = normalDistributionImpl0.getStandardDeviation();
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d9 = normalDistributionImpl0.density((java.lang.Double)1.3678850043196786d);
    double d12 = normalDistributionImpl0.cumulativeProbability((-0.6940659669666995d), 0.9999972937547178d);
    double d14 = normalDistributionImpl0.cumulativeProbability(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.2918493497530001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.5619584665102008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.5d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test183"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    java.lang.Throwable[] throwable_array7 = functionEvaluationException4.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 0.9991523373654427d);
    java.lang.Object[] obj_array21 = convergenceException16.getArguments();
    functionEvaluationException9.addSuppressed((java.lang.Throwable)convergenceException16);
    java.lang.Object[] obj_array23 = functionEvaluationException9.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array23);
    double[] d_array25 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    java.lang.Object[] obj_array50 = functionEvaluationException49.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array50);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array50);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException35, "", obj_array50);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 4.0315050281632055E-4d, "hi!", obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test184"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    double[] d_array39 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 1.6510632314621483d);
    functionEvaluationException14.addSuppressed((java.lang.Throwable)functionEvaluationException41);
    java.lang.Throwable[] throwable_array45 = functionEvaluationException14.getSuppressed();
    java.lang.Throwable throwable53 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str58 = functionEvaluationException57.toString();
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException57, "evaluation failed for argument = {0}", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array61);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException(throwable53, "org.apache.commons.math.MathException: ", obj_array61);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException65 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(4.199185449450938E-4d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array61);
    double[] d_array70 = functionEvaluationException14.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str58.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test185"); }


    double[] d_array1 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(d_array1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array1);
    java.lang.Throwable throwable4 = null;
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, (-1.1102230246251565E-16d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    double[] d_array18 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array26 = convergenceException25.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable22, 1.0E-15d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Convergence failed", (java.lang.Object[])throwable_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array18, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test186"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.049991704328504416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 401.66513861484464d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test187"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.49999999999999445d, 1.8318679906315083E-15d);
    double d4 = normalDistributionImpl2.density((java.lang.Double)0.7612729725711884d);
    double d7 = normalDistributionImpl2.cumulativeProbability((-1.6653345369377348E-15d), 25.075727328991523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test188"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(1.7109792076089277E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 21.260331679303913d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test189"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.9523884343026601d);
    java.lang.Throwable[] throwable_array2 = functionEvaluationException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test190() {}
// Defects4J: flaky method
//   @Test
//   public void test190() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test190"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.28189688810289576d, 2.3131808011159833d, 0.11457698994097243d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test191"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.5772156649015329d);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    java.lang.String str37 = mathException36.getPattern();
    java.lang.String str38 = mathException36.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, d_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    java.lang.Throwable[] throwable_array63 = functionEvaluationException60.getSuppressed();
    double[] d_array65 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, d_array78);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { d_array78 };
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array65, "", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException83 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException36, d_array45, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException(throwable21, "org.apache.commons.math.MathException: ", obj_array80);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array80);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    java.lang.String str88 = mathException13.getPattern();
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str38.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + ""+ "'", str88.equals(""));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test192"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    java.lang.Throwable[] throwable_array5 = functionEvaluationException2.getSuppressed();
    double[] d_array7 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { d_array20 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array7, "", obj_array22);
    double[] d_array25 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException29, "evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array33);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test193"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test194"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(1.5620931930193649E-6d);
    int i14 = brentSolver0.getIterationCount();
    double d15 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test195"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.9998900952501d);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setAbsoluteAccuracy(19.830881256288617d);
    brentSolver0.setAbsoluteAccuracy(0.14080321995921186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test196() {}
// Defects4J: flaky method
//   @Test
//   public void test196() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test196"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 3.0891760365197536d, 8.501691579662936E-13d, 34.538776394910684d, 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test197"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy((-0.11123261570668186d));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(1.2841268970438012E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test198"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array1);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test199"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    normalDistributionImpl0.setMean(0.13884189586703805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test200"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(3.414811171863637d);
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: ", obj_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException6, "evaluation failed for argument = {0}", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = functionEvaluationException13.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d_array30 };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException21, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "evaluation failed for argument = {0}", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 0.0d, "hi!", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException11, d_array18, "", obj_array44);
    double[] d_array48 = functionEvaluationException47.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array48);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array52);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test201() {}
// Defects4J: flaky method
//   @Test
//   public void test201() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test201"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.49999999999999445d, 4.800570320390928E29d, 0.3211267710027184d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test202"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.31361277893623996d);
    double[] d_array2 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test203"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d11 = normalDistributionImpl0.cumulativeProbability((-1.4135798584282322E-16d), 0.5272164915810419d);
    double d13 = normalDistributionImpl0.density((java.lang.Double)9.864539521631257E-94d);
    normalDistributionImpl0.setStandardDeviation(0.05588772450019697d);
    double d17 = normalDistributionImpl0.density((java.lang.Double)1538176.1067903377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-1.6653345369377348E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 7.69459862670642E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test204"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.8318679906315083E-15d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test205"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.cumulativeProbability(8.388370898901876E-4d);
    double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.5772156649015329d);
    double d9 = normalDistributionImpl0.density((java.lang.Double)(-1.1102230246251565E-16d));
    normalDistributionImpl0.setMean(6.661338147750939E-16d);
    normalDistributionImpl0.setMean(0.49999999999999445d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2821802517396011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.7719912089581201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.33772359135799446d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test206"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
    brentSolver0.setRelativeAccuracy(0.031614690161597764d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d14 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 4.194185449450938E-4d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test207"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.String str4 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NEGATIVE_INFINITY);
    double[] d_array7 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = functionEvaluationException21.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array22);
    java.lang.String str27 = functionEvaluationException26.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test208"); }


    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable5, "org.apache.commons.math.MathException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.9998900952501d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test209"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    java.lang.Throwable[] throwable_array20 = functionEvaluationException17.getSuppressed();
    double[] d_array22 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array22, "", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("", obj_array37);
    mathException14.addSuppressed((java.lang.Throwable)convergenceException40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException40, 0.5146925914804813d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test210"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.setRelativeAccuracy(0.02535367551369805d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.1102230246251565E-16d));
    brentSolver0.setAbsoluteAccuracy(8.112963841460668E31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test211"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.22309557251263454d, 3.436694542774585d);
    normalDistributionImpl2.setMean((-8.0d));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test212"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = functionEvaluationException12.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable0, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test213"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test214"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.getMean();
    double d6 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(4.405364961712621E-13d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.38334903307941d);
    double d13 = normalDistributionImpl0.cumulativeProbability(0.026982166755772422d, 1.9510736124666046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test215"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "hi!", obj_array26);
    java.lang.String str29 = functionEvaluationException3.getPattern();
    double[] d_array30 = functionEvaluationException3.getArgument();
    double[] d_array31 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, d_array43);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { d_array43 };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "", obj_array45);
    java.lang.Throwable[] throwable_array47 = functionEvaluationException34.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array47);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);

  }

  @Test
  public void test216() {}
// Defects4J: flaky method
//   @Test
//   public void test216() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test216"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.06959569194706716d, 13.518993365271285d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test217() {}
// Defects4J: flaky method
//   @Test
//   public void test217() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test217"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d6 = normalDistributionImpl0.cumulativeProbability(0.9379297396872519d);
//     double d8 = normalDistributionImpl0.cumulativeProbability(9.825473767932635E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = normalDistributionImpl0.inverseCumulativeProbability((-1.2005644571880265E75d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 0.6408433990152037d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.28189688810289903d);
// 
//   }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test218"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    java.lang.Object[] obj_array10 = functionEvaluationException9.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    double[] d_array26 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array26);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array29);
    java.lang.Throwable[] throwable_array31 = functionEvaluationException9.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    java.lang.Throwable[] throwable_array37 = functionEvaluationException34.getSuppressed();
    double[] d_array39 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str48 = functionEvaluationException47.toString();
    java.lang.String str49 = functionEvaluationException47.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, 100.0d);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, d_array52);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { d_array52 };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException43, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array39, "", obj_array54);
    double[] d_array57 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    java.lang.String str59 = functionEvaluationException58.getPattern();
    java.lang.Throwable throwable61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.String str66 = functionEvaluationException64.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 100.0d);
    double[] d_array69 = functionEvaluationException64.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array69);
    java.lang.Throwable[] throwable_array72 = functionEvaluationException71.getSuppressed();
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException(throwable61, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array72);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException58, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array72);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0.527", (java.lang.Object[])throwable_array72);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException((-1), "hi!", (java.lang.Object[])throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "evaluation failed for argument = {0}"+ "'", str49.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "evaluation failed for argument = {0}"+ "'", str59.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "evaluation failed for argument = {0}"+ "'", str66.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test219"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test220"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(7.644350386286469E-23d, 21.446670542295948d, (-0.9947428267952065d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test221"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.48812089089905736d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.Object[] obj_array6 = functionEvaluationException5.getArguments();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array6);
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    java.lang.Throwable[] throwable_array31 = functionEvaluationException28.getSuppressed();
    double[] d_array33 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array46);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d_array46 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array33, "", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array48);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(throwable10, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array48);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", obj_array48);
    java.lang.String str56 = mathException55.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}"));

  }

  @Test
  public void test222() {}
// Defects4J: flaky method
//   @Test
//   public void test222() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test222"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(100);
//     double d10 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy((-1.2005644571880265E75d));
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = brentSolver0.solve(13.518993365271285d, 17.844668789670646d, 10.320420390491613d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-14d);
// 
//   }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test223"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    double[] d_array17 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.String str40 = functionEvaluationException38.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, d_array43);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { d_array43 };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "", obj_array45);
    double[] d_array47 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    java.lang.String str52 = functionEvaluationException50.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 100.0d);
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50, "evaluation failed for argument = {0}", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException32, d_array47, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array57);
    java.lang.Throwable throwable61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException65, "evaluation failed for argument = {0}", obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(throwable61, "org.apache.commons.math.MathException: ", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array47, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(8.112963841460668E31d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array69);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(2.155775368014487d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", obj_array69);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "evaluation failed for argument = {0}"+ "'", str40.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "evaluation failed for argument = {0}"+ "'", str52.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test224"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test225"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.25375232077471693d);

  }

  @Test
  public void test226() {}
// Defects4J: flaky method
//   @Test
//   public void test226() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test226"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i8 = brentSolver0.getIterationCount();
//     double d9 = brentSolver0.getRelativeAccuracy();
//     double d10 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy((-1.0000000000000058E14d));
//     double d13 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0E-15d);
// 
//   }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test227"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array16);
    java.lang.Throwable[] throwable_array21 = convergenceException20.getSuppressed();
    java.lang.Throwable[] throwable_array22 = convergenceException20.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test228"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    java.lang.Throwable[] throwable_array9 = functionEvaluationException6.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 0.8413447460685413d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 0.9991523373654427d);
    java.lang.Object[] obj_array23 = convergenceException18.getArguments();
    functionEvaluationException11.addSuppressed((java.lang.Throwable)convergenceException18);
    java.lang.Object[] obj_array25 = functionEvaluationException11.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: ", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-2.750540926239221E15d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.1616400019937217d, 1.9510736124666046d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test230"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setFunctionValueAccuracy(0.5000000000000043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test231() {}
// Defects4J: flaky method
//   @Test
//   public void test231() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test231"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.13721571407369793d, 9.599904364199139d, 1.0069983063649611E-24d, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test232() {}
// Defects4J: flaky method
//   @Test
//   public void test232() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test232"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.20007741497850323d, 34.298011517070385d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test233() {}
// Defects4J: flaky method
//   @Test
//   public void test233() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test233"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i9 = brentSolver0.getIterationCount();
//     double d10 = brentSolver0.getAbsoluteAccuracy();
//     int i11 = brentSolver0.getIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(0.9999999999999983d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
// 
//   }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test234"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    java.lang.String str27 = functionEvaluationException1.getPattern();
    double[] d_array28 = functionEvaluationException1.getArgument();
    double[] d_array29 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    double[] d_array31 = functionEvaluationException30.getArgument();
    double[] d_array32 = functionEvaluationException30.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test235"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);

  }

  @Test
  public void test236() {}
// Defects4J: flaky method
//   @Test
//   public void test236() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test236"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.13884189586703805d, 8.33149664023482d, 0.6632653490194396d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test237"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy((-1.4135798584282322E-16d));
    double d10 = brentSolver0.getAbsoluteAccuracy();
    double d11 = brentSolver0.getAbsoluteAccuracy();
    int i12 = brentSolver0.getIterationCount();
    double d13 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test238"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.00484896171005994d, 10.166516044083275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999829484645d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test239"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test240() {}
// Defects4J: flaky method
//   @Test
//   public void test240() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test240"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.320420390491613d, 0.6545477253033767d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test241"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
    brentSolver0.setRelativeAccuracy(0.031614690161597764d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d14 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy((-9.790433972544614E13d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 4.194185449450938E-4d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test242"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.008259602831618317d, (-4.875206856785943E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test243"); }


    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable12, "org.apache.commons.math.MathException: ", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(0.2821802517396011d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(1.0900200405129224E-33d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test244"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.6653345369377348E-15d), 0.02020133322663619d);
    normalDistributionImpl2.setStandardDeviation(0.5121414205928195d);
    double d6 = normalDistributionImpl2.density((java.lang.Double)(-0.7000116320223337d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.30608273279005493d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test245"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999999999999963d, (-32.97900978150099d), 1.7109792076089277E9d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test246"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(8.836225681058785d);
    brentSolver0.setFunctionValueAccuracy(0.5203007332041957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test247"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.setFunctionValueAccuracy(0.2821802517396011d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0024244808550309693d);
    double d15 = brentSolver0.getAbsoluteAccuracy();
    int i16 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test248"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9907247823857345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005424879204618538d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test249"); }


    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12, "evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, "org.apache.commons.math.MathException: ", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = functionEvaluationException34.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array35);
    java.lang.String str37 = maxIterationsExceededException36.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException40, "evaluation failed for argument = {0}", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str48 = functionEvaluationException47.toString();
    java.lang.String str49 = functionEvaluationException47.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, 100.0d);
    double[] d_array52 = functionEvaluationException47.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    java.lang.String str61 = functionEvaluationException59.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, d_array64);
    java.lang.Object[] obj_array66 = new java.lang.Object[] { d_array64 };
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException55, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    java.lang.String str73 = functionEvaluationException71.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, 100.0d);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException71, "evaluation failed for argument = {0}", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 0.0d, "hi!", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException45, d_array52, "", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException36, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array78);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException23, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(0.13884189586703805d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str48.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "evaluation failed for argument = {0}"+ "'", str49.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "evaluation failed for argument = {0}"+ "'", str61.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "evaluation failed for argument = {0}"+ "'", str73.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test250"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    java.lang.Object[] obj_array19 = functionEvaluationException18.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(0.24197137935127502d, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = functionEvaluationException43.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d);
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, d_array60);
    java.lang.Object[] obj_array62 = new java.lang.Object[] { d_array60 };
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException51, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    java.lang.String str69 = functionEvaluationException67.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 100.0d);
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67, "evaluation failed for argument = {0}", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 0.0d, "hi!", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException41, d_array48, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 0.0d, "org.apache.commons.math.MathException: ", obj_array74);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException79 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array74);
    java.lang.Throwable[] throwable_array80 = maxIterationsExceededException79.getSuppressed();
    functionEvaluationException20.addSuppressed((java.lang.Throwable)maxIterationsExceededException79);
    java.lang.String str82 = functionEvaluationException20.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "evaluation failed for argument = {0}"+ "'", str69.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test251"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(4.194185449450938E-4d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = functionEvaluationException14.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 73.4736011393542d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test252"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    double[] d_array24 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 1.6510632314621483d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test253"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test254"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.9379297396872519d, 32.236191301916634d);
    double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.8463474386606181d);
    normalDistributionImpl2.setStandardDeviation(0.49145465297899227d);
    normalDistributionImpl2.setStandardDeviation(9.593131663563E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 33.84763269030361d);

  }

  @Test
  public void test255() {}
// Defects4J: flaky method
//   @Test
//   public void test255() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test255"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(6.654236608930138d, 7.196191567232105d, 0.020139616266550513d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test256"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.5905736786314697d);
    double[] d_array2 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test257"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test258"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test259"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array21 = functionEvaluationException20.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, 0.3989422804014327d);
    int i25 = maxIterationsExceededException18.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array36);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { d_array36 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException27, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException43, "evaluation failed for argument = {0}", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 0.0d, "hi!", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 0.9999999999999991d);
    double[] d_array55 = functionEvaluationException54.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test260"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    int i5 = brentSolver0.getMaximalIterationCount();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test261"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    int i5 = brentSolver0.getMaximalIterationCount();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test262"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.3193152451204537d);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.3193152451204537d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test263"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(0.23181376392324912d);
    normalDistributionImpl0.setStandardDeviation(0.9998900952501d);
    double d16 = normalDistributionImpl0.cumulativeProbability(0.7719912089581201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-1.1102230246251565E-15d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test264"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.9999746495737474d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(4.07221031955012E-4d);
    brentSolver0.setRelativeAccuracy(8.388370898901876E-4d);
    int i13 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test265"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.5772156649015329d);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    java.lang.String str37 = mathException36.getPattern();
    java.lang.String str38 = mathException36.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, d_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    java.lang.Throwable[] throwable_array63 = functionEvaluationException60.getSuppressed();
    double[] d_array65 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, d_array78);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { d_array78 };
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array65, "", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException83 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException36, d_array45, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException(throwable21, "org.apache.commons.math.MathException: ", obj_array80);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array80);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array80);
    java.lang.String str88 = mathException13.getPattern();
    java.lang.String str89 = mathException13.getPattern();
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    java.lang.Throwable[] throwable_array91 = mathException13.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str38.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + ""+ "'", str88.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str89 + "' != '" + ""+ "'", str89.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test266"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.9999999999999991d);
    double[] d_array29 = functionEvaluationException28.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException41, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException41, 0.9991523373654427d);
    java.lang.Object[] obj_array46 = convergenceException41.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999996273d, "hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46);
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException58, "evaluation failed for argument = {0}", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array62);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException(throwable54, "org.apache.commons.math.MathException: ", obj_array62);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException66 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException48, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 32.40278435460937d, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);

  }

  @Test
  public void test267() {}
// Defects4J: flaky method
//   @Test
//   public void test267() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test267"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 68.05750073714978d, 0.057288494970486215d, 1.683293282944502d, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test268"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d12 = brentSolver0.getFunctionValueAccuracy();
    double d13 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test269"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy((-0.9999999999999986d));
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    int i12 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.4334896228896939d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test270"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test271() {}
// Defects4J: flaky method
//   @Test
//   public void test271() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test271"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9999999950029322d, 9.381415069339173d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test272() {}
// Defects4J: flaky method
//   @Test
//   public void test272() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test272"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.9999999999999991d);
//     int i12 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction13, 37.424485439986206d, 21.260331679303913d, 0.021367220679333165d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
// 
//   }

  @Test
  public void test273() {}
// Defects4J: flaky method
//   @Test
//   public void test273() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test273"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl0.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
// 
//   }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test274"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test275"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(27.79334105585346d);
    brentSolver0.setMaximalIterationCount(0);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = brentSolver0.solve(univariateRealFunction16, 1.4432899320127035E-15d, 22.06668896253406d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test276"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-1.0d), 10.0d);
    normalDistributionImpl0.setStandardDeviation(13.714757758333661d);
    normalDistributionImpl0.setStandardDeviation(0.9705241756496736d);
    double d10 = normalDistributionImpl0.getMean();
    double d12 = normalDistributionImpl0.density((java.lang.Double)0.5440398244542077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8413447460685413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.35129289781847345d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test277"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test278"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { d_array41 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "evaluation failed for argument = {0}", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 0.0d, "hi!", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, d_array29, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.0d, "org.apache.commons.math.MathException: ", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array55);
    java.lang.Throwable[] throwable_array61 = maxIterationsExceededException60.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(1.3193152451204537d, "org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array61);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str66 = convergenceException65.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    java.lang.String str71 = functionEvaluationException69.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, 100.0d);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, d_array74);
    java.lang.Object[] obj_array76 = functionEvaluationException75.getArguments();
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException65, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array76);
    java.lang.Throwable[] throwable_array78 = mathException77.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.1102230246251565E-16d), "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array78);
    double[] d_array80 = functionEvaluationException79.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str66.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "evaluation failed for argument = {0}"+ "'", str71.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test279"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.9974592980455554d);

  }

  @Test
  public void test280() {}
// Defects4J: flaky method
//   @Test
//   public void test280() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test280"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.5876034419036329d), 0.9705241756496736d);
//     double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.03963439170038985d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation(0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == (-2.2908198515483993d));
// 
//   }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test281"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.String str6 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, Double.NEGATIVE_INFINITY);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.9974592980455554d);
    java.lang.Object[] obj_array11 = functionEvaluationException3.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array11);
    java.lang.String str13 = maxIterationsExceededException12.getPattern();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test282"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2);
    double[] d_array16 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    java.lang.Throwable[] throwable_array29 = functionEvaluationException26.getSuppressed();
    double[] d_array31 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array31, "", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("", obj_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array16, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str56 = convergenceException55.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    java.lang.String str61 = functionEvaluationException59.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, d_array64);
    java.lang.Object[] obj_array66 = functionEvaluationException65.getArguments();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException55, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: hi!", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str56.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "evaluation failed for argument = {0}"+ "'", str61.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test283() {}
// Defects4J: flaky method
//   @Test
//   public void test283() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test283"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 8.112963841460668E31d, 0.3652246171796625d, 0.8463474386606181d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test284() {}
// Defects4J: flaky method
//   @Test
//   public void test284() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test284"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.1283791670955108E-14d, 0.11611659123409711d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test285"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(73.4736011393542d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test286"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(2.0539125955565396E-15d);
    double d10 = brentSolver0.getAbsoluteAccuracy();
    int i11 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test287"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    java.lang.Throwable[] throwable_array8 = functionEvaluationException5.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d_array30 };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException21, "", obj_array32);
    double[] d_array34 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException37, "evaluation failed for argument = {0}", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException19, d_array34, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array44);
    double[] d_array49 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d_array63 };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    java.lang.String str72 = functionEvaluationException70.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, 100.0d);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException70, "evaluation failed for argument = {0}", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 0.0d, "hi!", obj_array77);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array49, "hi!", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5);
    java.lang.Throwable[] throwable_array83 = functionEvaluationException5.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(throwable1, 2.1188192535093538E-27d, "org.apache.commons.math.FunctionEvaluationException: Convergence failed", (java.lang.Object[])throwable_array83);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Convergence failed", (java.lang.Object[])throwable_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "evaluation failed for argument = {0}"+ "'", str72.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array83);

  }

  @Test
  public void test288() {}
// Defects4J: flaky method
//   @Test
//   public void test288() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test288"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(12.801827480081469d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(27.79334105585346d);
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = brentSolver0.solve(3.499311526172495E-11d, 0.3073182652015971d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test289"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.0891760365197536d, 5.07464069342124d, 5.194772587571172E-22d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() {}
// Defects4J: flaky method
//   @Test
//   public void test290() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test290"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.817824251332423E-16d, (-1.1102230246251565E-15d), 0.0d, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test291"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, d_array23);
    java.lang.Object[] obj_array25 = functionEvaluationException24.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException10, "", obj_array25);
    java.lang.Object[] obj_array29 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array42);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { d_array42 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "", obj_array44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33);
    java.lang.String str47 = functionEvaluationException33.getPattern();
    java.lang.Object[] obj_array48 = functionEvaluationException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    java.lang.Throwable[] throwable_array58 = functionEvaluationException55.getSuppressed();
    double[] d_array60 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str69 = functionEvaluationException68.toString();
    java.lang.String str70 = functionEvaluationException68.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, 100.0d);
    double[] d_array73 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException72, d_array73);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { d_array73 };
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException64, "", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, d_array60, "", obj_array75);
    double[] d_array78 = functionEvaluationException55.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str83 = functionEvaluationException82.toString();
    java.lang.Object[] obj_array86 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException82, "evaluation failed for argument = {0}", obj_array86);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, d_array78, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array86);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(0.11910535055325921d, "", obj_array86);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: ", obj_array86);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException2, "", obj_array86);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException92 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str69.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "evaluation failed for argument = {0}"+ "'", str70.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str83.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test292"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(306.21202613224904d, 0.8463474386606181d);
    normalDistributionImpl2.setMean(5.977609743985971E-23d);
    normalDistributionImpl2.setMean(9.016677409275971d);

  }

  @Test
  public void test293() {}
// Defects4J: flaky method
//   @Test
//   public void test293() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test293"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9991278858110495d, 0.052901983702053346d, 0.027478779065923782d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test294"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(3.646578387857665E216d);
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test295"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(68.05750073714978d, 0.3479786905107837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4134012884606454E-128d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test296"); }


    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable7, "org.apache.commons.math.MathException: ", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.String str29 = functionEvaluationException27.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d);
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array32);
    java.lang.Object[] obj_array34 = functionEvaluationException33.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array34);
    java.lang.String str36 = maxIterationsExceededException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException39, "evaluation failed for argument = {0}", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = functionEvaluationException46.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d_array63 };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str71 = functionEvaluationException70.toString();
    java.lang.String str72 = functionEvaluationException70.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, 100.0d);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException70, "evaluation failed for argument = {0}", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 0.0d, "hi!", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException44, d_array51, "", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException35, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array77);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException22, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException("", obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "+ "'", str36.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "evaluation failed for argument = {0}"+ "'", str72.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test297"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException4, "evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException11, 0.5412336552656712d);
    int i14 = maxIterationsExceededException11.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test298"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    java.lang.Object[] obj_array9 = functionEvaluationException5.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test299"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.5772201191715536d), 3.9019896707617336d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test300"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable9, "org.apache.commons.math.MathException: ", obj_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(1.817824251332423E-16d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array17);
    java.lang.String str24 = functionEvaluationException23.toString();
    double[] d_array25 = functionEvaluationException23.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    double[] d_array37 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, d_array37);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { d_array37 };
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException40.addSuppressed((java.lang.Throwable)functionEvaluationException42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException40, 0.5772156649015329d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException40, 0.23181376392324912d);
    functionEvaluationException26.addSuppressed((java.lang.Throwable)mathException40);
    java.lang.Object[] obj_array49 = mathException40.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test301"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array7);
    int i10 = maxIterationsExceededException9.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    double[] d_array38 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, d_array38);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { d_array38 };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "evaluation failed for argument = {0}", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 0.0d, "hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, d_array26, "", obj_array52);
    java.lang.String str56 = convergenceException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, (-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str63 = functionEvaluationException62.toString();
    java.lang.String str64 = functionEvaluationException62.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, 100.0d);
    double[] d_array67 = functionEvaluationException62.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException60);
    java.lang.String str70 = functionEvaluationException60.toString();
    java.lang.Object[] obj_array71 = functionEvaluationException60.getArguments();
    java.lang.Throwable[] throwable_array72 = functionEvaluationException60.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException9, 9.41522341008929E-23d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str56.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str63.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "evaluation failed for argument = {0}"+ "'", str64.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test302"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test303"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test304"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.density((java.lang.Double)100.0d);
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.getMean();
    double d6 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(0.5099307426331015d);
    double d9 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.5099307426331015d);

  }

  @Test
  public void test305() {}
// Defects4J: flaky method
//   @Test
//   public void test305() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test305"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
//     double d3 = normalDistributionImpl2.getStandardDeviation();
//     normalDistributionImpl2.setStandardDeviation(8.112963841460668E31d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation((-37.595202016186725d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 10.0d);
// 
//   }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test306"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test307"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array9);
    java.lang.Object[] obj_array11 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    double[] d_array38 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, d_array38);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { d_array38 };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "evaluation failed for argument = {0}", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 0.0d, "hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, d_array26, "", obj_array52);
    java.lang.String str56 = convergenceException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, 2.0539125955565396E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, (-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str63 = functionEvaluationException62.toString();
    java.lang.String str64 = functionEvaluationException62.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, 100.0d);
    double[] d_array67 = functionEvaluationException62.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.String str78 = functionEvaluationException76.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException76, 100.0d);
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, d_array81);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { d_array81 };
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72, "", obj_array83);
    java.lang.Throwable[] throwable_array85 = mathException84.getSuppressed();
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException12, d_array67, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str56.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str63.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "evaluation failed for argument = {0}"+ "'", str64.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "evaluation failed for argument = {0}"+ "'", str78.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array85);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test308"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d8 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test309"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException18, "evaluation failed for argument = {0}", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 0.0d, "hi!", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array30 = functionEvaluationException27.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException35, "evaluation failed for argument = {0}", obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 8.388370898901876E-4d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array39);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test310"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.07185353164262576d);
    int i12 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setRelativeAccuracy(9.41522341008929E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test311"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException14);
    java.lang.String str17 = convergenceException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, 100.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array28);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { d_array28 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "", obj_array30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException31);
    java.lang.Throwable throwable33 = null;
    double[] d_array35 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable33, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    java.lang.Throwable throwable45 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(throwable45, "org.apache.commons.math.MathException: ", obj_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException31, d_array35, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, d_array35);
    java.lang.Throwable[] throwable_array62 = functionEvaluationException61.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array62);
    java.lang.Object[] obj_array64 = convergenceException63.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "+ "'", str17.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test312() {}
// Defects4J: flaky method
//   @Test
//   public void test312() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test312"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.3925605720537655d, 5828.89159561413d, 1.1964702239256113E31d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test313"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.String str11 = functionEvaluationException9.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 100.0d);
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { d_array14 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array16);
    java.lang.Object[] obj_array19 = functionEvaluationException18.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(0.24197137935127502d, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = functionEvaluationException43.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str52 = functionEvaluationException51.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d);
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, d_array60);
    java.lang.Object[] obj_array62 = new java.lang.Object[] { d_array60 };
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException51, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    java.lang.String str69 = functionEvaluationException67.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 100.0d);
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67, "evaluation failed for argument = {0}", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 0.0d, "hi!", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException41, d_array48, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 0.0d, "org.apache.commons.math.MathException: ", obj_array74);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException79 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array74);
    java.lang.Throwable[] throwable_array80 = maxIterationsExceededException79.getSuppressed();
    functionEvaluationException20.addSuppressed((java.lang.Throwable)maxIterationsExceededException79);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str84 = convergenceException83.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str88 = functionEvaluationException87.toString();
    java.lang.String str89 = functionEvaluationException87.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException87, 100.0d);
    double[] d_array92 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException91, d_array92);
    java.lang.Object[] obj_array94 = functionEvaluationException93.getArguments();
    org.apache.commons.math.MathException mathException95 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException83, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array94);
    java.lang.Throwable[] throwable_array96 = mathException95.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException97 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException79, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str52.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "evaluation failed for argument = {0}"+ "'", str69.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str84.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str88.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str89 + "' != '" + "evaluation failed for argument = {0}"+ "'", str89.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array96);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test314"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    java.lang.Throwable[] throwable_array5 = functionEvaluationException2.getSuppressed();
    double[] d_array7 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { d_array20 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array7, "", obj_array22);
    java.lang.String str25 = functionEvaluationException2.getPattern();
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "", obj_array27);
    java.lang.Throwable[] throwable_array29 = convergenceException28.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test315"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.4678945387205862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.131191109888313d));

  }

  @Test
  public void test316() {}
// Defects4J: flaky method
//   @Test
//   public void test316() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test316"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test317"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.6653345369377348E-15d), 0.02020133322663619d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(35.48403760118173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.02020133322663619d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test318"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 13.714757758333661d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test319"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(throwable1, 0.9999972937547178d);
    java.lang.Object[] obj_array4 = functionEvaluationException3.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("Convergence failed", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(1.4881496770524554d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = functionEvaluationException13.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    double[] d_array20 = functionEvaluationException19.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str23 = functionEvaluationException22.toString();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException22, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 0.9991523373654427d);
    java.lang.Object[] obj_array32 = convergenceException27.getArguments();
    functionEvaluationException19.addSuppressed((java.lang.Throwable)convergenceException27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35);
    double[] d_array49 = functionEvaluationException35.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException63, "evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "hi!", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException("", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, d_array49, "org.apache.commons.math.FunctionEvaluationException: ", obj_array67);
    java.lang.Object[] obj_array72 = functionEvaluationException71.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, 0.08124407643300252d, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array72);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array72);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException5, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException5, 0.9999999999961484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str23.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test320"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test321() {}
// Defects4J: flaky method
//   @Test
//   public void test321() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test321"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy((-1.9984014443252818E-15d));
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test322"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9986070594795848d, 2.000002571428572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8649725166560899d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test323"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(17.207932020170716d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array24 = functionEvaluationException23.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException21, d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException30, "evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 0.9999999999999831d, "", obj_array34);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25);
    double[] d_array40 = functionEvaluationException25.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    java.lang.Throwable[] throwable_array48 = functionEvaluationException45.getSuppressed();
    double[] d_array50 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d_array63 };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array50, "", obj_array65);
    double[] d_array68 = functionEvaluationException45.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException72, "evaluation failed for argument = {0}", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array68, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array40, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("", obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(5.605438554552866E-4d, 2.3767641896452666E31d, (-1.2527525318167954E-16d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() {}
// Defects4J: flaky method
//   @Test
//   public void test325() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test325"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     double d8 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setMaximalIterationCount(10);
//     int i13 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 0);
// 
//   }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test326"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getIterationCount();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    int i11 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9999999999999997d, 1.1380278367712124E-4d, 0.10973305514841059d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test328"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);
    double[] d_array4 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = functionEvaluationException19.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    java.lang.Throwable[] throwable_array27 = functionEvaluationException24.getSuppressed();
    double[] d_array29 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array42);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { d_array42 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array29, "", obj_array44);
    double[] d_array47 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 1.6510632314621483d);
    functionEvaluationException22.addSuppressed((java.lang.Throwable)functionEvaluationException49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d);
    double[] d_array59 = functionEvaluationException54.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, d_array59, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array62);
    java.lang.Throwable[] throwable_array64 = functionEvaluationException49.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(8.112963841460668E31d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", (java.lang.Object[])throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test329"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test330"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    double d12 = normalDistributionImpl0.inverseCumulativeProbability(0.5272164915810419d);
    double d14 = normalDistributionImpl0.cumulativeProbability(0.14156397429878298d);
    normalDistributionImpl0.setStandardDeviation(0.9523884343026601d);
    double d17 = normalDistributionImpl0.getMean();
    double d19 = normalDistributionImpl0.density((java.lang.Double)0.8057342758200532d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.068175568031705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-7.771561172376096E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.423487281141572E-21d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test331"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    java.lang.String str12 = functionEvaluationException10.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, d_array15);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { d_array15 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6, "", obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array23 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException20, d_array23);
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException20, "org.apache.commons.math.MathException: ", obj_array26);
    java.lang.Throwable[] throwable_array28 = convergenceException27.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test332() {}
// Defects4J: flaky method
//   @Test
//   public void test332() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test332"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 3.866343550011478E-168d, 0.03989422335009239d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test333"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.19440319180825583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21662816119860567d);

  }

  @Test
  public void test334() {}
// Defects4J: flaky method
//   @Test
//   public void test334() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test334"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.19472415428481626d), 9.640524338589419d, 1.2722218725854122E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test335"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test336"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array6);
    java.lang.String str9 = mathException8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.MathException: evaluation failed for argument = 1"+ "'", str9.equals("org.apache.commons.math.MathException: evaluation failed for argument = 1"));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test337"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i7 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test338"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);

  }

  @Test
  public void test339() {}
// Defects4J: flaky method
//   @Test
//   public void test339() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test339"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     double d8 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setMaximalIterationCount(1);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-14d);
// 
//   }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test340"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    normalDistributionImpl0.setMean(1.6449340668481562d);
    double d14 = normalDistributionImpl0.density((java.lang.Double)5.605438554552866E-4d);
    normalDistributionImpl0.setStandardDeviation(0.11457698994097243d);
    double d17 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.10296158304049367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.11457698994097243d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test341"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test342"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.686117098501283d, 0.4171920359282821d, 1.4432899320127035E-15d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test343"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException9, (-3.647093714917523d), "", obj_array27);
    int i32 = maxIterationsExceededException9.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test344"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);
    java.lang.Throwable[] throwable_array4 = functionEvaluationException3.getSuppressed();
    java.lang.Object[] obj_array5 = functionEvaluationException3.getArguments();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    java.lang.String str7 = mathException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str7.equals("org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test345"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(34.538776394910684d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy((-1000000.5772156649d));
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 34.538776394910684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test346"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.6940659669666995d), 0.4171920359282821d, (-6.436046072299968d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test347"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.9998900952501d);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetFunctionValueAccuracy();
    double d12 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9998900952501d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test348"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.resetRelativeAccuracy();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    double d14 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9999999999996273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.9999999999996273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.0d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test349"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
    brentSolver0.setRelativeAccuracy(0.031614690161597764d);
    brentSolver0.setAbsoluteAccuracy((-7.107430041123848d));
    double d13 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = brentSolver0.solve(univariateRealFunction16, (-1.0000000000000058E14d), 2.423487281141572E-21d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.031614690161597764d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test350"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = functionEvaluationException11.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array18 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException25, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException25, 0.9991523373654427d);
    java.lang.Object[] obj_array30 = convergenceException25.getArguments();
    functionEvaluationException17.addSuppressed((java.lang.Throwable)convergenceException25);
    functionEvaluationException7.addSuppressed((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 0.39224839963168934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test351"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Throwable[] throwable_array27 = functionEvaluationException24.getSuppressed();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException16, "", (java.lang.Object[])throwable_array27);
    java.lang.String str30 = mathException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    double[] d_array37 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    functionEvaluationException32.addSuppressed((java.lang.Throwable)functionEvaluationException43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.817824251332423E-16d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.String str66 = functionEvaluationException64.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 100.0d);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException64, "evaluation failed for argument = {0}", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 0.0d, "hi!", obj_array71);
    java.lang.String str74 = functionEvaluationException48.getPattern();
    double[] d_array75 = functionEvaluationException48.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, d_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException29, d_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "evaluation failed for argument = {0}"+ "'", str66.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "evaluation failed for argument = {0}"+ "'", str74.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test352"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.7719912089581201d);
    double d9 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test353"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    java.lang.Throwable[] throwable_array10 = functionEvaluationException7.getSuppressed();
    double[] d_array12 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array12, "", obj_array27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(1.3193152451204537d, "evaluation failed for argument = {0}", obj_array27);
    java.lang.String str33 = functionEvaluationException32.getPattern();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test354"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test355"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.7115254385998633d, 5.947773725739693E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999998819d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test356"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test357"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(3.499311526172495E-11d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test358"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.4811647009096901d, 0.9977580471125176d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test359"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test360"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.2427079157543628d, 1.0E-14d);
    double d4 = normalDistributionImpl2.density((java.lang.Double)1.0E-14d);
    normalDistributionImpl2.setMean(0.9226010309239396d);
    double d7 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.cumulativeProbability(0.4215774622441111d);
    double d11 = normalDistributionImpl2.cumulativeProbability(12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9226010309239396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test361"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, 19.486711038972278d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test362"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-8.0d));
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(2452.01431084703d);
    brentSolver0.setRelativeAccuracy(0.33772359135799446d);
    double d15 = brentSolver0.getRelativeAccuracy();
    int i16 = brentSolver0.getMaximalIterationCount();
    double d17 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.33772359135799446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.33772359135799446d);

  }

  @Test
  public void test363() {}
// Defects4J: flaky method
//   @Test
//   public void test363() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test363"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.027478779065923782d, (-3.1340704288891157d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test364"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.resetMaximalIterationCount();
    double d12 = brentSolver0.getFunctionValueAccuracy();
    double d13 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.9977580471125176d);
    int i16 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test365"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    java.lang.Throwable[] throwable_array7 = functionEvaluationException4.getSuppressed();
    double[] d_array9 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array22);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d_array22 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, d_array9, "", obj_array24);
    double[] d_array27 = functionEvaluationException4.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31, "evaluation failed for argument = {0}", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array27, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.String str51 = functionEvaluationException49.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, d_array54);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { d_array54 };
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array56);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(8.063010056326411E-4d, "", obj_array56);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array56);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException62, 0.553106456367118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "evaluation failed for argument = {0}"+ "'", str51.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test366"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Throwable[] throwable_array12 = functionEvaluationException9.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", (java.lang.Object[])throwable_array12);
    double[] d_array17 = new double[] { 10.0d, 0.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.String str29 = functionEvaluationException27.getPattern();
    java.lang.Throwable[] throwable_array30 = functionEvaluationException27.getSuppressed();
    double[] d_array32 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, d_array45);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { d_array45 };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException36, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array32, "", obj_array47);
    double[] d_array50 = functionEvaluationException27.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException54, "evaluation failed for argument = {0}", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array50, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(throwable21, Double.NaN, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array58);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "org.apache.commons.math.FunctionEvaluationException: ", obj_array58);
    mathException0.addSuppressed((java.lang.Throwable)functionEvaluationException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test367"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2);
    double[] d_array16 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    java.lang.Throwable[] throwable_array29 = functionEvaluationException26.getSuppressed();
    double[] d_array31 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, d_array31, "", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("", obj_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(0.3989422804014327d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array16, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str56 = convergenceException55.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    java.lang.String str61 = functionEvaluationException59.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, d_array64);
    java.lang.Object[] obj_array66 = functionEvaluationException65.getArguments();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException55, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: hi!", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array66);
    java.lang.Throwable throwable76 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str81 = functionEvaluationException80.toString();
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException80, "evaluation failed for argument = {0}", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array84);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException(throwable76, "org.apache.commons.math.MathException: ", obj_array84);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException88 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException("", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(1.817824251332423E-16d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array84);
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str56.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "evaluation failed for argument = {0}"+ "'", str61.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str81.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test368"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    normalDistributionImpl2.setMean(0.5272164915810419d);
    normalDistributionImpl2.setStandardDeviation(1.1283791670955108E-14d);
    double d7 = normalDistributionImpl2.getStandardDeviation();
    double d9 = normalDistributionImpl2.density((java.lang.Double)0.8463474386606181d);
    double d11 = normalDistributionImpl2.cumulativeProbability(1.2841268970438012E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.1283791670955108E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test369() {}
// Defects4J: flaky method
//   @Test
//   public void test369() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test369"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.9974592980455554d);
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction8, (-654.4833422011337d), 0.4678945387205862d, 19.830881256288617d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test370() {}
// Defects4J: flaky method
//   @Test
//   public void test370() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test370"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean(10.0d);
//     normalDistributionImpl0.setStandardDeviation(100.0d);
//     normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
//     double d12 = normalDistributionImpl0.inverseCumulativeProbability(0.5272164915810419d);
//     double d14 = normalDistributionImpl0.cumulativeProbability(0.14156397429878298d);
//     normalDistributionImpl0.setStandardDeviation(0.9523884343026601d);
//     double d17 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = normalDistributionImpl0.inverseCumulativeProbability(2.2536010670724077E30d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 10.068175568031705d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == (-7.771561172376096E-16d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 10.0d);
// 
//   }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test371"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    int i9 = brentSolver0.getIterationCount();
    brentSolver0.setAbsoluteAccuracy(9.769962616701378E-15d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test372() {}
// Defects4J: flaky method
//   @Test
//   public void test372() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test372"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.1283791670955108E-14d);
//     brentSolver0.resetRelativeAccuracy();
//     double d9 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0d);
// 
//   }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test373"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array8 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    java.lang.String str14 = functionEvaluationException12.getPattern();
    java.lang.Throwable[] throwable_array15 = functionEvaluationException12.getSuppressed();
    double[] d_array17 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.String str27 = functionEvaluationException25.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d_array30 };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException21, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array17, "", obj_array32);
    double[] d_array35 = functionEvaluationException12.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException39, "evaluation failed for argument = {0}", obj_array43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.9999999999999991d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str56 = functionEvaluationException55.toString();
    java.lang.String str57 = functionEvaluationException55.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d);
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException55, "evaluation failed for argument = {0}", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    java.lang.String str71 = functionEvaluationException69.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, 100.0d);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, d_array74);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { d_array74 };
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException65, "", obj_array76);
    double[] d_array78 = functionEvaluationException65.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, 100.0d);
    java.lang.Object[] obj_array88 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException81, "evaluation failed for argument = {0}", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException63, d_array78, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 7.074237752028427E15d, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, (-116396.64619930813d), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "evaluation failed for argument = {0}"+ "'", str14.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str56.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "evaluation failed for argument = {0}"+ "'", str57.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "evaluation failed for argument = {0}"+ "'", str71.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "evaluation failed for argument = {0}"+ "'", str83.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test374"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
    double d13 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-14d);
    double d15 = normalDistributionImpl0.inverseCumulativeProbability(0.008357846089710463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3546896901618504d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 7.607097738719545d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test375"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
    double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
    double d16 = normalDistributionImpl0.getMean();
    double d19 = normalDistributionImpl0.cumulativeProbability((-1.2527525318167954E-16d), 0.0d);
    double d21 = normalDistributionImpl0.inverseCumulativeProbability(0.9985497518129052d);
    double d23 = normalDistributionImpl0.density((java.lang.Double)1.6449405729935918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 12.978091253363667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.770184543814373E-16d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test376"); }


    double[] d_array1 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(d_array1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array1);
    java.lang.Throwable throwable4 = null;
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array6);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test377"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException6, "evaluation failed for argument = {0}", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array10);
    int i15 = maxIterationsExceededException14.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test378() {}
// Defects4J: flaky method
//   @Test
//   public void test378() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test378"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9907247823857345d, 0.0d, 2.423487281141572E-21d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test379"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { d_array18 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array20);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("Convergence failed", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(0.1516580206471818d, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test380() {}
// Defects4J: flaky method
//   @Test
//   public void test380() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test380"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-5.551115123125783E-16d), 1.683293282944502d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test381"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d9 = brentSolver0.getRelativeAccuracy();
    double d10 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test382"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.resetRelativeAccuracy();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    double d14 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9999999999996273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.9999999999996273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.0d);

  }

  @Test
  public void test383() {}
// Defects4J: flaky method
//   @Test
//   public void test383() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test383"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
//     brentSolver0.setRelativeAccuracy(0.031614690161597764d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction13, 0.17930447302612001d, 0.057288494970486215d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test384"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, Double.NaN);
    double d4 = normalDistributionImpl2.cumulativeProbability(2452.01431084703d);
    double d6 = normalDistributionImpl2.cumulativeProbability(13.714757887248497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test385"); }


    double[] d_array0 = null;
    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() {}
// Defects4J: flaky method
//   @Test
//   public void test386() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test386"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 18.978447712275514d);
//     double d4 = normalDistributionImpl2.cumulativeProbability(4.405364961712621E-13d);
//     double d7 = normalDistributionImpl2.cumulativeProbability(0.0d, 0.3976278214498225d);
//     normalDistributionImpl2.setMean(0.9072478106508295d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation((-7.999161162976096d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 0.5000000000000092d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.008357846089710463d);
// 
//   }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test387"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    double d11 = brentSolver0.getRelativeAccuracy();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test388"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Throwable[] throwable_array12 = functionEvaluationException9.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array17 = convergenceException16.getSuppressed();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array17);
    convergenceException14.addSuppressed((java.lang.Throwable)mathException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test389"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test390() {}
// Defects4J: flaky method
//   @Test
//   public void test390() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test390"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.6449340668482062d, 0.9999999999996273d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation((-2481.039786695942d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test391"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-2.5864180298021497d), 0.06959569194706716d);
    double d4 = normalDistributionImpl2.density((java.lang.Double)1.1612890481935438d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test392"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array29 = functionEvaluationException26.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 8.388370898901876E-4d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array38);
    double[] d_array42 = functionEvaluationException26.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50);
    functionEvaluationException26.addSuppressed((java.lang.Throwable)mathException51);
    java.lang.Throwable[] throwable_array53 = functionEvaluationException26.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);

  }

  @Test
  public void test393() {}
// Defects4J: flaky method
//   @Test
//   public void test393() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test393"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.6824861261305506d);
//     int i10 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test394"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy((-1.0177626276543552E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test395"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.density((java.lang.Double)50.0d);
    double d6 = normalDistributionImpl0.getMean();
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.008259602831618317d);
    normalDistributionImpl0.setStandardDeviation(1.0069983063649611E-24d);
    double d12 = normalDistributionImpl0.inverseCumulativeProbability(0.9072478106508295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.8200219698373372d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.5772162184286427d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test396"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    java.lang.String str29 = functionEvaluationException28.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = functionEvaluationException42.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array43);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28, "", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException20, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException48, 1.6557069064205444E30d);
    java.lang.String str51 = functionEvaluationException50.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1"));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test397"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test398"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    double d4 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.23181376392324912d);
    normalDistributionImpl0.setMean((-1.6653345369377348E-15d));
    normalDistributionImpl0.setMean((-1.280532177144226d));
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(1.3576436537893675E-212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.23181376392324912d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test399"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    int i9 = brentSolver0.getIterationCount();
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test400() {}
// Defects4J: flaky method
//   @Test
//   public void test400() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test400"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i10 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy((-0.11123261570668186d));
//     int i13 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.06183653577215903d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 0);
// 
//   }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test401"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { d_array13 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4, "", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test402"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.08056352156689162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09070990674065216d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test403"); }


    java.lang.Throwable throwable2 = null;
    double[] d_array4 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Throwable[] throwable_array18 = functionEvaluationException15.getSuppressed();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668482062d, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str23 = convergenceException22.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    java.lang.String str28 = functionEvaluationException26.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 100.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, d_array31);
    java.lang.Object[] obj_array33 = functionEvaluationException32.getArguments();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException22, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException34, d_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    java.lang.Throwable[] throwable_array63 = functionEvaluationException60.getSuppressed();
    double[] d_array65 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str70 = functionEvaluationException69.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str74 = functionEvaluationException73.toString();
    java.lang.String str75 = functionEvaluationException73.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, d_array78);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { d_array78 };
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException69, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array65, "", obj_array80);
    double[] d_array83 = functionEvaluationException60.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str88 = functionEvaluationException87.toString();
    java.lang.Object[] obj_array91 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException87, "evaluation failed for argument = {0}", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, d_array83, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(0.11910535055325921d, "", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array41, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array91);
    double[] d_array96 = functionEvaluationException95.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(d_array96);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException98 = new org.apache.commons.math.FunctionEvaluationException(d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str23.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "evaluation failed for argument = {0}"+ "'", str28.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str70.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str74.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "evaluation failed for argument = {0}"+ "'", str75.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str88.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test404"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test405"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "evaluation failed for argument = {0}", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.String str26 = functionEvaluationException24.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d);
    double[] d_array29 = functionEvaluationException24.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { d_array41 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "evaluation failed for argument = {0}", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 0.0d, "hi!", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, d_array29, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 0.0d, "org.apache.commons.math.MathException: ", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(1.5620931930193649E-6d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "evaluation failed for argument = {0}"+ "'", str26.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test406"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(7.352503386675496d, 3.436694542774585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9555300792735254d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test407"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(2.000002571428572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6449330277000014d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test408"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -0.585", obj_array1);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test409"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver11 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver12 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver13 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver13);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test410"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    java.lang.String str16 = mathException15.getPattern();
    java.lang.String str17 = mathException15.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "hi!", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    double[] d_array44 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, d_array57);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { d_array57 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array44, "", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array24, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array59);
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "evaluation failed for argument = {0}", obj_array65);
    java.lang.String str67 = functionEvaluationException66.toString();
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException66);
    java.lang.Object[] obj_array69 = functionEvaluationException66.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array69);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException71, 2.2536010670724077E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str17.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}"+ "'", str67.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test411() {}
// Defects4J: flaky method
//   @Test
//   public void test411() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test411"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-7.107430041123848d), 0.008259603234077706d, 0.14156397429878298d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test412"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "hi!", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, (-0.7000116320223337d));
    java.lang.Throwable[] throwable_array23 = functionEvaluationException20.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(0.950008295671426d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array23);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException27, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    java.lang.String str48 = functionEvaluationException46.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 100.0d);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array51);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { d_array51 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException58, "evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 0.0d, "hi!", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException32, d_array39, "", obj_array65);
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException25, d_array39, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: ", obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test413"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(249.2053024556966d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test414"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(17.207932020170716d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(Double.NEGATIVE_INFINITY);
    double[] d_array24 = functionEvaluationException23.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException21, d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException30, "evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 0.9999999999999831d, "", obj_array34);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25);
    double[] d_array40 = functionEvaluationException25.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    java.lang.Throwable[] throwable_array48 = functionEvaluationException45.getSuppressed();
    double[] d_array50 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str59 = functionEvaluationException58.toString();
    java.lang.String str60 = functionEvaluationException58.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException62, d_array63);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d_array63 };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array50, "", obj_array65);
    double[] d_array68 = functionEvaluationException45.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException72, "evaluation failed for argument = {0}", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array68, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array40, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str59.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "evaluation failed for argument = {0}"+ "'", str60.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test415"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    double d10 = brentSolver0.getRelativeAccuracy();
    double d11 = brentSolver0.getFunctionValueAccuracy();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test416"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array21);
    java.lang.Throwable[] throwable_array26 = convergenceException25.getSuppressed();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3, "", (java.lang.Object[])throwable_array26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test417"); }


    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable7, "org.apache.commons.math.MathException: ", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(4.199185449450938E-4d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array15);
    double[] d_array23 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str32 = functionEvaluationException31.toString();
    java.lang.String str33 = functionEvaluationException31.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 100.0d);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array36);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { d_array36 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException27, "", obj_array38);
    java.lang.Throwable[] throwable_array40 = mathException39.getSuppressed();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("Convergence failed", (java.lang.Object[])throwable_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "org.apache.commons.math.MaxIterationsExceededException: evaluation failed for argument = {0}", (java.lang.Object[])throwable_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str32.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "evaluation failed for argument = {0}"+ "'", str33.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test418() {}
// Defects4J: flaky method
//   @Test
//   public void test418() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test418"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getMean();
//     normalDistributionImpl0.setStandardDeviation(100.0d);
//     double d4 = normalDistributionImpl0.getStandardDeviation();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = normalDistributionImpl0.cumulativeProbability(2.3131808011159833d, 0.5556224384979498d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 100.0d);
// 
//   }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test419"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.1562848268667223d, 0.34590318841207435d, 7.216449660063518E-16d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test420"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.setRelativeAccuracy(0.02535367551369805d);
    brentSolver0.setFunctionValueAccuracy(6.673180595320046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test421"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3678794411721741d, 0.9999999998997919d, 4.912736883966318E-15d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test422"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(2.251752586176186d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test423() {}
// Defects4J: flaky method
//   @Test
//   public void test423() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test423"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
//     double d3 = normalDistributionImpl2.getMean();
//     normalDistributionImpl2.setStandardDeviation(0.14080321995921186d);
//     // The following exception was thrown during execution in test generation
//     try {
//       normalDistributionImpl2.setStandardDeviation((-1.4432899320127035E-15d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.0d);
// 
//   }

  @Test
  public void test424() {}
// Defects4J: flaky method
//   @Test
//   public void test424() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test424"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9984852035701448d, 7.644350386286469E-23d, 0.0024244808550309693d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test425"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(7.654394311310137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.836620008106108d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test426"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test427"); }


    double d1 = org.apache.commons.math.special.Erf.erf(5.977609743934875E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.745010304083232E-23d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test428"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14);
    double[] d_array17 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException14, d_array17);
    double[] d_array20 = functionEvaluationException19.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-0.7328867165580368d));
    double[] d_array23 = functionEvaluationException22.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    java.lang.Throwable[] throwable_array32 = functionEvaluationException29.getSuppressed();
    double[] d_array34 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    java.lang.String str44 = functionEvaluationException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d);
    double[] d_array47 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, d_array47);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { d_array47 };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException38, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array34, "", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("", obj_array49);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array23, "Convergence failed", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test429"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(4.567453400562893E-221d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: ", obj_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array21);
    int i24 = maxIterationsExceededException23.getMaxIterations();
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable32, "org.apache.commons.math.MathException: ", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException23, 0.3976278214498225d, "org.apache.commons.math.MathException: ", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.013703371306791135d, "", obj_array40);
    java.lang.Throwable[] throwable_array51 = functionEvaluationException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test430"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    double d12 = normalDistributionImpl0.cumulativeProbability(0.23181376392324912d);
    double d13 = normalDistributionImpl0.getStandardDeviation();
    double d14 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(0.8413447460685413d);
    double d17 = normalDistributionImpl0.getStandardDeviation();
    double d19 = normalDistributionImpl0.cumulativeProbability(0.0d);
    double d20 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.9977580471125176d);
    double d24 = normalDistributionImpl0.density((java.lang.Double)1.3753697406182055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.1102230246251565E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.20007741497850323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.34648112555629523d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test431"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.004832770392094177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 42817.78957233059d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test432"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 10.0d);
    double d5 = normalDistributionImpl2.cumulativeProbability(0.9974592980455554d, 0.9999999999996273d);
    double d7 = normalDistributionImpl2.inverseCumulativeProbability(0.2821802517396011d);
    double d8 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0085509142809812E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-5.763768279067139d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test433"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 0.3652246171796625d);
    double d4 = normalDistributionImpl2.density((java.lang.Double)(-1.280532177144226d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0023385162749241404d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test434"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.09147282067039503d);
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test435"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException14);
    java.lang.String str17 = convergenceException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, 100.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array28);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { d_array28 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "", obj_array30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException31);
    java.lang.Throwable throwable33 = null;
    double[] d_array35 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable33, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    java.lang.Throwable throwable45 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str50 = functionEvaluationException49.toString();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException49, "evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(throwable45, "org.apache.commons.math.MathException: ", obj_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException31, d_array35, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "+ "'", str17.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str50.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test436"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    java.lang.Throwable[] throwable_array18 = functionEvaluationException15.getSuppressed();
    double[] d_array20 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str29 = functionEvaluationException28.toString();
    java.lang.String str30 = functionEvaluationException28.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, 100.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, d_array33);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { d_array33 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array20, "", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", obj_array35);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array35);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(0.9950207692891945d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array35);
    java.lang.String str42 = functionEvaluationException41.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str29.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "evaluation failed for argument = {0}"+ "'", str30.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test437"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy((-1.4135798584282322E-16d));
//     int i10 = brentSolver0.getIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction11, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test438"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(3.866343550011478E-168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test439"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setAbsoluteAccuracy(5.054034895690899d);
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 5.054034895690899d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test440"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test441"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    java.lang.Throwable[] throwable_array9 = functionEvaluationException6.getSuppressed();
    double[] d_array11 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array24);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { d_array24 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException15, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array11, "", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    int i31 = maxIterationsExceededException30.getMaxIterations();
    java.lang.Object[] obj_array32 = maxIterationsExceededException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(3.537118876014214E15d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array32);
    java.lang.Object[] obj_array34 = functionEvaluationException33.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test442"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.String str6 = functionEvaluationException4.getPattern();
    java.lang.Throwable[] throwable_array7 = functionEvaluationException4.getSuppressed();
    double[] d_array9 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    java.lang.String str19 = functionEvaluationException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 100.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array22);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d_array22 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, d_array9, "", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array24);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str40 = functionEvaluationException39.toString();
    java.lang.String str41 = functionEvaluationException39.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array44);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { d_array44 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35, "", obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 100.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str55 = functionEvaluationException54.toString();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    java.lang.Throwable[] throwable_array57 = functionEvaluationException54.getSuppressed();
    double[] d_array59 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    java.lang.String str69 = functionEvaluationException67.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 100.0d);
    double[] d_array72 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, d_array72);
    java.lang.Object[] obj_array74 = new java.lang.Object[] { d_array72 };
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException63, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, d_array59, "", obj_array74);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("", obj_array74);
    java.lang.Object[] obj_array78 = convergenceException77.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException50, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException30, 5.155441741893034d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array78);
    java.lang.Throwable throwable83 = null;
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException(throwable83);
    java.lang.Object[] obj_array85 = convergenceException84.getArguments();
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException30, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "evaluation failed for argument = {0}"+ "'", str6.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "evaluation failed for argument = {0}"+ "'", str19.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str40.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "evaluation failed for argument = {0}"+ "'", str41.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str55.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "evaluation failed for argument = {0}"+ "'", str56.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "evaluation failed for argument = {0}"+ "'", str69.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test443"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.1283791670955108E-14d);
    brentSolver0.resetRelativeAccuracy();
    int i9 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setFunctionValueAccuracy(0.2918493497530001d);
    brentSolver0.setMaximalIterationCount(10);
    double d16 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-14d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test444"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str5 = functionEvaluationException4.toString();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException4, "evaluation failed for argument = {0}", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array8);
    java.lang.String str11 = convergenceException10.getPattern();
    java.lang.String str12 = convergenceException10.toString();
    convergenceException1.addSuppressed((java.lang.Throwable)convergenceException10);
    java.lang.Object[] obj_array14 = convergenceException1.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str5.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"+ "'", str12.equals("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test445"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    int i9 = brentSolver0.getIterationCount();
    brentSolver0.setAbsoluteAccuracy(9.769962616701378E-15d);
    int i12 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);

  }

  @Test
  public void test446() {}
// Defects4J: flaky method
//   @Test
//   public void test446() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test446"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     double d9 = brentSolver0.getFunctionValueAccuracy();
//     int i10 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 100);
// 
//   }

  @Test
  public void test447() {}
// Defects4J: flaky method
//   @Test
//   public void test447() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test447"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(0.0d, 0.0d, (-1.1102230246251565E-15d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test448() {}
// Defects4J: flaky method
//   @Test
//   public void test448() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test448"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test449"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException: ", obj_array2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    double[] d_array8 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14, "evaluation failed for argument = {0}", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = functionEvaluationException21.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    double[] d_array38 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, d_array38);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { d_array38 };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException29, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str46 = functionEvaluationException45.toString();
    java.lang.String str47 = functionEvaluationException45.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, 100.0d);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException45, "evaluation failed for argument = {0}", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 0.0d, "hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, d_array26, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array52);
    functionEvaluationException6.addSuppressed((java.lang.Throwable)functionEvaluationException56);
    double[] d_array58 = functionEvaluationException6.getArgument();
    java.lang.Object[] obj_array60 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException4, d_array58, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: ", obj_array60);
    java.lang.String str62 = convergenceException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: "+ "'", str62.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test450"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver10 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver10);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test451"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15);
    double[] d_array18 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    java.lang.Throwable[] throwable_array26 = functionEvaluationException23.getSuppressed();
    double[] d_array28 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { d_array41 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array28, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array18, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9547920463156547d, 0.009252903064182638d, 7.1225885539774705d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test453"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.23181376276083315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.83088144451923d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test454"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-1.0d), 10.0d);
    normalDistributionImpl0.setMean((-0.11123261570668186d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8413447460685413d);

  }

  @Test
  public void test455() {}
// Defects4J: flaky method
//   @Test
//   public void test455() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test455"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.553106456367118d, 0.9320254303797737d, 0.049991704328504416d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test456() {}
// Defects4J: flaky method
//   @Test
//   public void test456() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test456"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.026199749660536842d, 7.3095891376217486d, 0.23181376276083315d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test457"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    java.lang.Throwable[] throwable_array10 = functionEvaluationException7.getSuppressed();
    double[] d_array12 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.String str22 = functionEvaluationException20.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, d_array25);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { d_array25 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array12, "", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("", obj_array27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array27);
    int i32 = maxIterationsExceededException31.getMaxIterations();
    java.lang.Object[] obj_array33 = maxIterationsExceededException31.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(3.537118876014214E15d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    java.lang.String str42 = functionEvaluationException40.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d);
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, d_array45);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { d_array45 };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException36, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, 100.0d);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException52, "evaluation failed for argument = {0}", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 0.0d, "hi!", obj_array59);
    java.lang.String str62 = functionEvaluationException36.getPattern();
    double[] d_array63 = functionEvaluationException36.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array63);
    java.lang.Object[] obj_array66 = functionEvaluationException65.getArguments();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "evaluation failed for argument = {0}"+ "'", str22.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "evaluation failed for argument = {0}"+ "'", str42.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test458() {}
// Defects4J: flaky method
//   @Test
//   public void test458() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test458"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(1);
//     int i10 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(0.5146925914804813d, 1.0E-14d, 1.3193152451204537d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test459"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.resetAbsoluteAccuracy();
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy((-2.750540926239221E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test460"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test461"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test462"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver8 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver9 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver9);

  }

  @Test
  public void test463() {}
// Defects4J: flaky method
//   @Test
//   public void test463() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test463"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d10 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(5.449473513403039E-15d, 0.6408433990152037d, 0.9999998713691205d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.0d);
// 
//   }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test464"); }


    double[] d_array0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.0d, "hi!", obj_array26);
    double[] d_array31 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str36 = functionEvaluationException35.toString();
    java.lang.String str37 = functionEvaluationException35.getPattern();
    java.lang.Throwable[] throwable_array38 = functionEvaluationException35.getSuppressed();
    double[] d_array40 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str49 = functionEvaluationException48.toString();
    java.lang.String str50 = functionEvaluationException48.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array53);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { d_array53 };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException44, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, d_array40, "", obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, d_array31, "Convergence failed", obj_array55);
    java.lang.Throwable[] throwable_array60 = functionEvaluationException28.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str65 = functionEvaluationException64.toString();
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException64, "evaluation failed for argument = {0}", obj_array68);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array68);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array68);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str36.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "evaluation failed for argument = {0}"+ "'", str37.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str49.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "evaluation failed for argument = {0}"+ "'", str50.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str65.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);

  }

  @Test
  public void test465() {}
// Defects4J: flaky method
//   @Test
//   public void test465() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test465"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
//     double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
//     normalDistributionImpl0.setMean(10.0d);
//     double d12 = normalDistributionImpl0.cumulativeProbability(12.801827480081469d);
//     double d15 = normalDistributionImpl0.cumulativeProbability(0.99854975169906d, 100.0d);
//     double d16 = normalDistributionImpl0.getMean();
//     double d19 = normalDistributionImpl0.cumulativeProbability((-1.2527525318167954E-16d), 0.0d);
//     normalDistributionImpl0.setStandardDeviation(0.9974592980455554d);
//     double d22 = normalDistributionImpl0.getStandardDeviation();
//     double d24 = normalDistributionImpl0.inverseCumulativeProbability(1.0900200405129224E-33d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d27 = normalDistributionImpl0.cumulativeProbability(34.09774324006184d, 5.908976767576267E-109d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.9999999999999991d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == 0.9974592980455554d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 1.0025407019544446d);
// 
//   }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test466"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test467"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    double d4 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.23181376392324912d);
    double d7 = normalDistributionImpl0.getMean();
    double d10 = normalDistributionImpl0.cumulativeProbability((-3.5668573237792742d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.5000000000000039d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test468"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-8.0d));
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-8.0d));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test469"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test470"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 100.0d);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException11, 0.9870833429281906d);
    java.lang.String str14 = functionEvaluationException13.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test471"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getIterationCount();
    double d10 = brentSolver0.getAbsoluteAccuracy();
    double d11 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setRelativeAccuracy((-1000000.5772156649d));
    int i16 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test472"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    java.lang.Throwable[] throwable_array4 = functionEvaluationException1.getSuppressed();
    double[] d_array6 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array6, "", obj_array21);
    java.lang.String str24 = functionEvaluationException1.getPattern();
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "", obj_array26);
    java.lang.Throwable[] throwable_array28 = convergenceException27.getSuppressed();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "evaluation failed for argument = {0}"+ "'", str24.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test473() {}
// Defects4J: flaky method
//   @Test
//   public void test473() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test473"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i9 = brentSolver0.getIterationCount();
//     double d10 = brentSolver0.getAbsoluteAccuracy();
//     int i11 = brentSolver0.getIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
// 
//   }

  @Test
  public void test474() {}
// Defects4J: flaky method
//   @Test
//   public void test474() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test474"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction9, 0.21674481144485247d, (-1.3124904784578109d), (-0.5854361103260571d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-15d);
// 
//   }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test475"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.9199472488837563d);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable13 = null;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable13, "hi!", obj_array15);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.String str29 = functionEvaluationException27.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d);
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array32);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { d_array32 };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException23, "", obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException35);
    double[] d_array38 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException35, d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    java.lang.Throwable[] throwable_array46 = functionEvaluationException43.getSuppressed();
    double[] d_array48 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, d_array61);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { d_array61 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException52, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array48, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array38, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException16, d_array38);
    java.lang.Throwable throwable75 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str80 = functionEvaluationException79.toString();
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException79, "evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException(throwable75, "org.apache.commons.math.MathException: ", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException87 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException("", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999996931d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array83);
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str80.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test476"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(6.020743238430578d, 0.20690618776616065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999150206228d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test477"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    double d12 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test478"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d11 = normalDistributionImpl0.cumulativeProbability((-1.4135798584282322E-16d), 0.5272164915810419d);
    double d13 = normalDistributionImpl0.density((java.lang.Double)0.13721571407369793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-1.6653345369377348E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 3.00619926224836E-22d);

  }

  @Test
  public void test479() {}
// Defects4J: flaky method
//   @Test
//   public void test479() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test479"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.8427007929497188d, 1.4881496770524554d, 0.6588022451772275d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test480"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 100.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    java.lang.Throwable[] throwable_array24 = functionEvaluationException21.getSuppressed();
    double[] d_array26 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str35 = functionEvaluationException34.toString();
    java.lang.String str36 = functionEvaluationException34.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, d_array39);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { d_array39 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array26, "", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("", obj_array41);
    java.lang.Object[] obj_array45 = convergenceException44.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException47, 0.14156397429878298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str35.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "evaluation failed for argument = {0}"+ "'", str36.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test481() {}
// Defects4J: flaky method
//   @Test
//   public void test481() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test481"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getIterationCount();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(100);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 0.0d, 0.3518654271643662d, 0.5991034564030799d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
// 
//   }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test482"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("Convergence failed", (java.lang.Object[])throwable_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException17, (-3.8191672047105385E-14d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test483"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(3.3390066828560703d);
    brentSolver0.setFunctionValueAccuracy((-0.8645464405018773d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test484"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-1.8200219698373372d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9899440595384595d));

  }

  @Test
  public void test485() {}
// Defects4J: flaky method
//   @Test
//   public void test485() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test485"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.31361277893623996d, (-1.9153180099072777d), 0.8427007929497188d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test486"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-7.999161162976096d), 0.5000000000000043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test487"); }


    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9, "evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable5, "org.apache.commons.math.MathException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException23, "evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    java.lang.Throwable[] throwable_array40 = functionEvaluationException37.getSuppressed();
    double[] d_array42 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str47 = functionEvaluationException46.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    java.lang.String str52 = functionEvaluationException50.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, 100.0d);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, d_array55);
    java.lang.Object[] obj_array57 = new java.lang.Object[] { d_array55 };
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException46, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, d_array42, "", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException29, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str68 = functionEvaluationException67.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str72 = functionEvaluationException71.toString();
    java.lang.String str73 = functionEvaluationException71.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException71, 100.0d);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, d_array76);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { d_array76 };
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67, "", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str84 = functionEvaluationException83.toString();
    java.lang.String str85 = functionEvaluationException83.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, 100.0d);
    java.lang.Object[] obj_array90 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException83, "evaluation failed for argument = {0}", obj_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 0.0d, "hi!", obj_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException92, 0.9999999999999991d);
    java.lang.Throwable[] throwable_array95 = functionEvaluationException92.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 0.0d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array95);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(1.0085509142809812E-4d, "", (java.lang.Object[])throwable_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "evaluation failed for argument = {0}"+ "'", str52.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str68.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str72.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "evaluation failed for argument = {0}"+ "'", str73.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str84.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "evaluation failed for argument = {0}"+ "'", str85.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array95);

  }

  @Test
  public void test488() {}
// Defects4J: flaky method
//   @Test
//   public void test488() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test488"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setMean(0.5772156649015329d);
//     double d5 = normalDistributionImpl0.density((java.lang.Double)50.0d);
//     double d6 = normalDistributionImpl0.getMean();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = normalDistributionImpl0.inverseCumulativeProbability((-6.436046072299968d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
// 
//   }

  @Test
  public void test489() {}
// Defects4J: flaky method
//   @Test
//   public void test489() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test489"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.0000000000000084d, (-2.6927477616013435d), 21.446670542295948d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test490() {}
// Defects4J: flaky method
//   @Test
//   public void test490() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test490"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.027478779065923782d, 0.0d, 7.196191567232105d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test491"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8423486234825895d, 35.48403760118173d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test492"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBrentSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);

  }

  @Test
  public void test493() {}
// Defects4J: flaky method
//   @Test
//   public void test493() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest8.test493"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetRelativeAccuracy();
//     double d8 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-15d);
// 
//   }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test494"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(4.194185449450938E-4d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException(throwable4);
    java.lang.Object[] obj_array6 = convergenceException5.getArguments();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("Convergence failed", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { d_array18 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9, "", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException21);
    double[] d_array24 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException21, d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException7, d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, d_array24);
    java.lang.Throwable throwable30 = null;
    double[] d_array32 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    java.lang.String str37 = functionEvaluationException36.toString();
    double[] d_array38 = functionEvaluationException36.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.String str45 = functionEvaluationException43.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    java.lang.Object[] obj_array50 = functionEvaluationException49.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array50);
    double[] d_array53 = functionEvaluationException52.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    java.lang.Object[] obj_array56 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, d_array53, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array56);
    double[] d_array58 = functionEvaluationException57.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "evaluation failed for argument = {0}"+ "'", str45.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test495"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(0.008357846089710463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14317.281311032075d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test496"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver6 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver7 = univariateRealSolverFactoryImpl0.newSecantSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver7);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test497"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newSecantSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newDefaultSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver5 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver5);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test498"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array12 = convergenceException11.getSuppressed();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(100, "", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test499"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.11611659123409711d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest8.test500"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 0.14080321995921186d);
    double d4 = normalDistributionImpl2.cumulativeProbability(1.1435879542119722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999999999999984d);

  }

}
