
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest9 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test001"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    int i7 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test002() {}
// Defects4J: flaky method
//   @Test
//   public void test002() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test002"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     int i4 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-15d);
// 
//   }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test003"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9512708021936512d, 2.896246648422634E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.206206238990405E-12d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test004"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(3.0891760365197536d, 3.5612942769887352d);

  }

  @Test
  public void test005() {}
// Defects4J: flaky method
//   @Test
//   public void test005() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test005"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 32.236191301916634d, 0.8760025828320426d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test006"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.5199471116748599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test007"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.5000000000000043d, 5.909348975818851E-6d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 5.909348975818851E-6d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test008"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    java.lang.Throwable[] throwable_array9 = functionEvaluationException6.getSuppressed();
    double[] d_array11 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array24);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { d_array24 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException15, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array11, "", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    int i31 = maxIterationsExceededException30.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str38 = functionEvaluationException37.toString();
    java.lang.String str39 = functionEvaluationException37.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array42);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { d_array42 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "", obj_array44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33);
    java.lang.String str47 = functionEvaluationException33.getPattern();
    java.lang.Object[] obj_array48 = functionEvaluationException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str51 = functionEvaluationException50.toString();
    java.lang.String str52 = functionEvaluationException50.getPattern();
    java.lang.Throwable[] throwable_array53 = functionEvaluationException50.getSuppressed();
    double[] d_array55 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str60 = functionEvaluationException59.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str64 = functionEvaluationException63.toString();
    java.lang.String str65 = functionEvaluationException63.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, 100.0d);
    double[] d_array68 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, d_array68);
    java.lang.Object[] obj_array70 = new java.lang.Object[] { d_array68 };
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException59, "", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, d_array55, "", obj_array70);
    double[] d_array73 = functionEvaluationException50.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, 100.0d);
    double[] d_array86 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException85, d_array86);
    java.lang.Object[] obj_array88 = functionEvaluationException87.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(8.501691579662936E-13d, "org.apache.commons.math.FunctionEvaluationException: ", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException30, d_array73, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array88);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException92 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str38.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "evaluation failed for argument = {0}"+ "'", str39.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "evaluation failed for argument = {0}"+ "'", str47.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str51.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "evaluation failed for argument = {0}"+ "'", str52.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str60.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str64.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "evaluation failed for argument = {0}"+ "'", str65.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "evaluation failed for argument = {0}"+ "'", str83.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test009"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.05588772450019697d, 1.648722138446187d);
    double d4 = normalDistributionImpl2.density((java.lang.Double)0.40775647160281087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.23652227026702363d);

  }

  @Test
  public void test010() {}
// Defects4J: flaky method
//   @Test
//   public void test010() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test010"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     int i5 = brentSolver0.getIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i10 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test011() {}
// Defects4J: flaky method
//   @Test
//   public void test011() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test011"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-5.623785545621292d), 0.8015082485349282d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test012"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str20 = functionEvaluationException19.toString();
    java.lang.String str21 = functionEvaluationException19.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19, "evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array26);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "evaluation failed for argument = {0}"+ "'", str21.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test013"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetAbsoluteAccuracy();
    int i5 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy((-1.1102230246251565E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test014"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.3193152451204537d);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(389.0863867962338d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.3193152451204537d);

  }

  @Test
  public void test015() {}
// Defects4J: flaky method
//   @Test
//   public void test015() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test015"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-37.595202016186725d), 1.0000000000000064d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test016"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d5 = normalDistributionImpl0.cumulativeProbability(8.388370898901876E-4d);
    double d6 = normalDistributionImpl0.getMean();
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2821802517396011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5772156649015329d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test017"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3454074456266303d, 0.0d, 5.442885321398706E-19d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test018"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.cumulativeProbability(0.5272164915810419d);
    double d13 = normalDistributionImpl0.cumulativeProbability((-0.12499683911775816d));
    normalDistributionImpl0.setStandardDeviation(0.02020133322663619d);
    double d16 = normalDistributionImpl0.getMean();
    double d18 = normalDistributionImpl0.density((java.lang.Double)0.14156397429878298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(35.48403760118173d, 1.3753697406182055d, 2.961815330133692d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test020"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.206206238990405E-12d, 3.84351470881783E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.921757414719227E-5d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test021"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str4 = convergenceException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = functionEvaluationException13.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: hi!", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array14);
    int i18 = maxIterationsExceededException17.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str4.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test022"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy((-0.11123261570668186d));
    int i13 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.06183653577215903d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy((-0.1057356107046381d));
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = brentSolver0.solve(univariateRealFunction19, 0.26390152686081647d, 0.4369348084318395d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test023() {}
// Defects4J: flaky method
//   @Test
//   public void test023() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test023"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 50.659657622560225d, (-3.258231851374386d), 17.844668789670646d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test024"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d11 = normalDistributionImpl0.cumulativeProbability((-1.4135798584282322E-16d), 0.5272164915810419d);
    normalDistributionImpl0.setMean(11.400913740040735d);
    normalDistributionImpl0.setMean(2.9780912293042596d);
    normalDistributionImpl0.setStandardDeviation(2.1069696055252842E-7d);
    double d18 = normalDistributionImpl0.getMean();
    double d19 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-1.6653345369377348E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.9780912293042596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.1069696055252842E-7d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test025"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    double d9 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test026"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setFunctionValueAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test027"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.Throwable[] throwable_array6 = functionEvaluationException3.getSuppressed();
    java.lang.String str7 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 0.99854975169906d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException15, "evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array22);
    java.lang.Object[] obj_array27 = functionEvaluationException3.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test028"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array18);
    int i21 = maxIterationsExceededException20.getMaxIterations();
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable29, "org.apache.commons.math.MathException: ", obj_array37);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array37);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException20, 0.3976278214498225d, "org.apache.commons.math.MathException: ", obj_array37);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: ", obj_array37);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test029"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl univariateRealSolverFactoryImpl0 = new org.apache.commons.math.analysis.solvers.UnivariateRealSolverFactoryImpl();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver1 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver2 = univariateRealSolverFactoryImpl0.newBisectionSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver3 = univariateRealSolverFactoryImpl0.newBrentSolver();
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = univariateRealSolverFactoryImpl0.newNewtonSolver();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealSolver4);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test030"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.1316554555017975d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test031"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
    brentSolver0.setRelativeAccuracy(0.031614690161597764d);
    brentSolver0.resetMaximalIterationCount();
    double d12 = brentSolver0.getRelativeAccuracy();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(2.354383166847107E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.031614690161597764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test032"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.30608273279005493d, 5.947773725739693E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15304136639502747d);

  }

  @Test
  public void test033() {}
// Defects4J: flaky method
//   @Test
//   public void test033() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test033"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     int i2 = brentSolver0.getMaximalIterationCount();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test034"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str2 = convergenceException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "hi!", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1, "Convergence failed", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array29);
    java.lang.String str34 = convergenceException33.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"+ "'", str34.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!"));

  }

  @Test
  public void test035() {}
// Defects4J: flaky method
//   @Test
//   public void test035() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test035"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 7.5522438855355834E25d, 2835568.128995283d, 1.0025407019544446d, 10);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test036"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5, "evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException10, 34.538776394910684d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException10, 0.9991523373654427d);
    java.lang.Object[] obj_array15 = convergenceException10.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(0.9999999999996273d, "hi!", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test037"); }


    double d1 = org.apache.commons.math.special.Erf.erf(9.151328911002491E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0326168894414105E-18d);

  }

  @Test
  public void test038() {}
// Defects4J: flaky method
//   @Test
//   public void test038() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test038"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve((-3.1086244689504383E-15d), (-3.5668573237792742d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
// 
//   }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test039"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d2 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.getStandardDeviation();
    double d5 = normalDistributionImpl0.cumulativeProbability(4.07221031955012E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5001624576826256d);

  }

  @Test
  public void test040() {}
// Defects4J: flaky method
//   @Test
//   public void test040() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test040"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9999999999995227d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test041"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability((-1.0d), 10.0d);
    normalDistributionImpl0.setStandardDeviation(13.714757758333661d);
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8413447460685413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test042() {}
// Defects4J: flaky method
//   @Test
//   public void test042() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test042"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
//     normalDistributionImpl0.setMean(Double.NaN);
//     normalDistributionImpl0.setMean((-0.5796037618997741d));
//     double d7 = normalDistributionImpl0.getStandardDeviation();
//     double d8 = normalDistributionImpl0.getMean();
//     double d9 = normalDistributionImpl0.getMean();
//     double d12 = normalDistributionImpl0.cumulativeProbability((-0.19472415428481626d), 0.8159366240218744d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = normalDistributionImpl0.cumulativeProbability(0.8197756575342916d, (-81.36119063187127d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == (-0.5796037618997741d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == (-0.5796037618997741d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.26873683499183587d);
// 
//   }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test043"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    double[] d_array16 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array16);
    double[] d_array19 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test044"); }


    java.lang.Throwable throwable2 = null;
    double[] d_array4 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    java.lang.String str20 = functionEvaluationException19.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str28 = functionEvaluationException27.toString();
    java.lang.String str29 = functionEvaluationException27.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d);
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array32);
    java.lang.Object[] obj_array34 = functionEvaluationException33.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException19, "", obj_array34);
    java.lang.Object[] obj_array38 = functionEvaluationException19.getArguments();
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException11, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 0.013703371306791135d, "Convergence failed", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "", obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str20.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str28.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "evaluation failed for argument = {0}"+ "'", str29.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test045"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.02020133322663619d, 0.9199472488837563d, 0.9999999999999878d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() {}
// Defects4J: flaky method
//   @Test
//   public void test046() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test046"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(97.73583491621227d, 1.0025407019544446d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test047() {}
// Defects4J: flaky method
//   @Test
//   public void test047() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test047"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test048"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.FunctionEvaluationException: ", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test049() {}
// Defects4J: flaky method
//   @Test
//   public void test049() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test049"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setRelativeAccuracy(73.4736011393542d);
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(0.0d, (-3.0140181476723726d), 3.1829546714044756d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test050"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15);
    double[] d_array18 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str24 = functionEvaluationException23.toString();
    java.lang.String str25 = functionEvaluationException23.getPattern();
    java.lang.Throwable[] throwable_array26 = functionEvaluationException23.getSuppressed();
    double[] d_array28 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str37 = functionEvaluationException36.toString();
    java.lang.String str38 = functionEvaluationException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, d_array41);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { d_array41 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException32, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array28, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array18, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, (-3.1086244689504383E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str24.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "evaluation failed for argument = {0}"+ "'", str25.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str37.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "evaluation failed for argument = {0}"+ "'", str38.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test051() {}
// Defects4J: flaky method
//   @Test
//   public void test051() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test051"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.2996928606179796d, 1.1562848268667223d, (-0.5730441223625444d), 100);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test052"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(0.99854975169906d);
    mathException13.addSuppressed((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.5772156649015329d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, 0.23181376392324912d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.Object[] obj_array25 = functionEvaluationException24.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 1.5620931930193649E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test053() {}
// Defects4J: flaky method
//   @Test
//   public void test053() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test053"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
//     double d1 = normalDistributionImpl0.getStandardDeviation();
//     double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
//     double d4 = normalDistributionImpl0.getStandardDeviation();
//     normalDistributionImpl0.setStandardDeviation(0.23181376392324912d);
//     double d7 = normalDistributionImpl0.getMean();
//     double d9 = normalDistributionImpl0.cumulativeProbability(0.6588022451772275d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = normalDistributionImpl0.cumulativeProbability(7.516515190900769E-16d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-8.0d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.9977580471125176d);
// 
//   }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test054"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(0.20690618776616065d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.9974592980455554d);
    double d13 = normalDistributionImpl0.cumulativeProbability(4.194185449450938E-4d, 32.236191301916634d);
    normalDistributionImpl0.setStandardDeviation(1.8672767002009167d);
    normalDistributionImpl0.setStandardDeviation(0.5204998778130547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test055"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array1);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test056"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 0.14080321995921186d);
    double d4 = normalDistributionImpl2.cumulativeProbability(7.721367774568233E7d);
    double d6 = normalDistributionImpl2.cumulativeProbability(9.593131663563E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.500000000002718d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test057"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9999999999996273d);
    brentSolver0.setFunctionValueAccuracy(10.0d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.008259603234077706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test058"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.6449330277000014d, 12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.790462206447302E-7d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test059"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str7 = functionEvaluationException6.toString();
    java.lang.String str8 = functionEvaluationException6.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { d_array11 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", obj_array13);
    java.lang.Throwable[] throwable_array15 = functionEvaluationException2.getSuppressed();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array15);
    double[] d_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str21 = functionEvaluationException20.toString();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20, "evaluation failed for argument = {0}", obj_array24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException16, d_array17, "evaluation failed for argument = {0}", obj_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "evaluation failed for argument = {0}"+ "'", str8.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str21.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test060() {}
// Defects4J: flaky method
//   @Test
//   public void test060() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test060"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.1964702239256113E31d, 2.291183679297116E-4d, 0.9999999662961073d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test061"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array6);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str11 = functionEvaluationException10.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str15 = functionEvaluationException14.toString();
    java.lang.String str16 = functionEvaluationException14.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, d_array19);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d_array19 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    double[] d_array24 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array24);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7);
    java.lang.String str30 = functionEvaluationException7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str11.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str15.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "evaluation failed for argument = {0}"+ "'", str16.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test062"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    java.lang.Throwable[] throwable_array19 = functionEvaluationException16.getSuppressed();
    double[] d_array21 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array34);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { d_array34 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException25, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array21, "", obj_array36);
    double[] d_array39 = functionEvaluationException16.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str44 = functionEvaluationException43.toString();
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43, "evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("evaluation failed for argument = {0}", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.MathException: ", obj_array47);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str44.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test063"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.5772156649015329d);
    double d4 = normalDistributionImpl0.getStandardDeviation();
    double d6 = normalDistributionImpl0.cumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(7.1225885539774705d);
    double d10 = normalDistributionImpl0.density((java.lang.Double)73.4736011393542d);
    double d12 = normalDistributionImpl0.cumulativeProbability(0.22278651618210146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.28189688810289576d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0069983063649611E-24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.48015630984086766d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test064"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.029509071729490532d, (-0.5772573681199622d), 401.66513861484464d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test065() {}
// Defects4J: flaky method
//   @Test
//   public void test065() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test065"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.0000000000000002d, 0.49188526483354933d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test066"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 1.817824251332423E-16d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str18 = functionEvaluationException17.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str22 = functionEvaluationException21.toString();
    java.lang.String str23 = functionEvaluationException21.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, 100.0d);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, d_array26);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { d_array26 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException17, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str34 = functionEvaluationException33.toString();
    java.lang.String str35 = functionEvaluationException33.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException33, "evaluation failed for argument = {0}", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, 0.0d, "hi!", obj_array40);
    java.lang.String str43 = functionEvaluationException17.getPattern();
    double[] d_array44 = functionEvaluationException17.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array44);
    java.lang.String str46 = functionEvaluationException45.getPattern();
    java.lang.String str47 = functionEvaluationException45.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str18.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str22.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "evaluation failed for argument = {0}"+ "'", str23.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "evaluation failed for argument = {0}"+ "'", str35.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str46.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str47.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test067"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d11 = normalDistributionImpl0.cumulativeProbability((-1.4135798584282322E-16d), 0.5272164915810419d);
    normalDistributionImpl0.setMean(11.400913740040735d);
    normalDistributionImpl0.setMean(2.9780912293042596d);
    double d17 = normalDistributionImpl0.cumulativeProbability(8.372137074919607E23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-1.6653345369377348E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test068"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    double d10 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test069"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str10 = functionEvaluationException9.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array18);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { d_array18 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9, "", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.String str31 = functionEvaluationException29.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d);
    java.lang.String str34 = functionEvaluationException33.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str42 = functionEvaluationException41.toString();
    java.lang.String str43 = functionEvaluationException41.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d);
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, d_array46);
    java.lang.Object[] obj_array48 = functionEvaluationException47.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33, "", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException25, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException56 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: ", obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str10.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str34.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str42.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "evaluation failed for argument = {0}"+ "'", str43.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test070"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    java.lang.Throwable[] throwable_array6 = functionEvaluationException3.getSuppressed();
    double[] d_array8 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str13 = functionEvaluationException12.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str17 = functionEvaluationException16.toString();
    java.lang.String str18 = functionEvaluationException16.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array21);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { d_array21 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array8, "", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("", obj_array23);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException27, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str17.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "evaluation failed for argument = {0}"+ "'", str18.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test071() {}
// Defects4J: flaky method
//   @Test
//   public void test071() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test071"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0177626276543552E14d), Double.NEGATIVE_INFINITY);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test072() {}
// Defects4J: flaky method
//   @Test
//   public void test072() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test072"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     brentSolver0.setRelativeAccuracy(0.18780905955032967d);
//     int i10 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction11, 7.790462206447302E-7d, 7.516515190900769E-16d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 100);
// 
//   }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test073"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.35129289781847345d, 0.9974592980455554d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test074"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(3265.764733710701d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23155.22501212516d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test075"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.String str13 = functionEvaluationException11.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array16);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { d_array16 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7, "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, 0.057288494970486215d);
    java.lang.Throwable[] throwable_array23 = convergenceException20.getSuppressed();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(0.5000000000000092d, "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(0.6258514469070213d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {-1}", (java.lang.Object[])throwable_array23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "evaluation failed for argument = {0}"+ "'", str13.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test076"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    java.lang.String str3 = functionEvaluationException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d);
    double[] d_array6 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)functionEvaluationException12);
    double[] d_array14 = functionEvaluationException12.getArgument();
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str25 = functionEvaluationException24.toString();
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException24, "evaluation failed for argument = {0}", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable20, "org.apache.commons.math.MathException: ", obj_array28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str39 = functionEvaluationException38.toString();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException38, "evaluation failed for argument = {0}", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str53 = functionEvaluationException52.toString();
    java.lang.String str54 = functionEvaluationException52.getPattern();
    java.lang.Throwable[] throwable_array55 = functionEvaluationException52.getSuppressed();
    double[] d_array57 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str62 = functionEvaluationException61.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str66 = functionEvaluationException65.toString();
    java.lang.String str67 = functionEvaluationException65.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, 100.0d);
    double[] d_array70 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, d_array70);
    java.lang.Object[] obj_array72 = new java.lang.Object[] { d_array70 };
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException61, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, d_array57, "", obj_array72);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException75 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array72);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(0, "evaluation failed for argument = {0}", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException44, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, 1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "evaluation failed for argument = {0}"+ "'", str3.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str25.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str39.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str53.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "evaluation failed for argument = {0}"+ "'", str54.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str62.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "evaluation failed for argument = {0}"+ "'", str67.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test077"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.density((java.lang.Double)1.0E-15d);
    normalDistributionImpl0.setMean(18.978447712275514d);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.0024992132829284586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.3989422804014327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test078"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str5 = convergenceException4.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str9 = functionEvaluationException8.toString();
    java.lang.String str10 = functionEvaluationException8.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, 100.0d);
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array13);
    java.lang.Object[] obj_array15 = functionEvaluationException14.getArguments();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array15);
    java.lang.Throwable[] throwable_array17 = mathException16.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.1102230246251565E-16d), "org.apache.commons.math.MathException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array17);
    int i20 = maxIterationsExceededException19.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str5.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str9.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "evaluation failed for argument = {0}"+ "'", str10.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test079() {}
// Defects4J: flaky method
//   @Test
//   public void test079() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test079"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.770184543814373E-16d, 0.0d, 13.961164563893245d, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test080() {}
// Defects4J: flaky method
//   @Test
//   public void test080() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test080"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     double d10 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction12, (-33.381114216082054d), (-5.623785545621292d), 0.8672601435939529d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == (-1.0d));
// 
//   }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test081"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability((-1.0d));
    double d8 = normalDistributionImpl0.cumulativeProbability(4.600161852571429d);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setMean(2.9780912293042596d);
    normalDistributionImpl0.setStandardDeviation(0.9512708021936512d);
    double d17 = normalDistributionImpl0.cumulativeProbability(0.0d, 13.714757758333661d);
    double d20 = normalDistributionImpl0.cumulativeProbability(0.024141633039214808d, 1.7109792076089277E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9991278858110495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.9990494625455608d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test082"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.48812089089905736d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.9991523373654427d);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(0.8057342758200532d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test083"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy((-0.6971990469601056d));
    double d13 = brentSolver0.getRelativeAccuracy();
    double d14 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-14d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test084"); }


    double d1 = org.apache.commons.math.special.Gamma.digamma(0.4998326762141427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.964335974239715d));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test085"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.28189688810289604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1612890481935554d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test086"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    int i13 = brentSolver0.getMaximalIterationCount();
    int i14 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test087"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setFunctionValueAccuracy(4.194185449450938E-4d);
    brentSolver0.setRelativeAccuracy(0.031614690161597764d);
    brentSolver0.resetFunctionValueAccuracy();
    int i12 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test088() {}
// Defects4J: flaky method
//   @Test
//   public void test088() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test088"); }
// 
// 
//     org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(4.600161852571429d, 1.3224670334240947d);
//     normalDistributionImpl2.setStandardDeviation(1.9984014443252818E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = normalDistributionImpl2.cumulativeProbability(2.4424906541753444E-15d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test089"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.9342871751068991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test090"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability((-0.7328867165580368d));
    double d9 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.cumulativeProbability(34.538776394910684d);
    double d12 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(0.5412336552656712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0539125955565396E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test091"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    double d9 = brentSolver0.getRelativeAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy((-1.0000000000000058E14d));
    double d13 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test092() {}
// Defects4J: flaky method
//   @Test
//   public void test092() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test092"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(13.961164563893245d, (-4.168336986896375d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test093"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(2.254954557270225E-15d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test094"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-3.0140181476723726d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array2);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test095"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    java.lang.String str5 = functionEvaluationException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 100.0d);
    double[] d_array8 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str14 = functionEvaluationException13.toString();
    java.lang.String str15 = functionEvaluationException13.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "evaluation failed for argument = {0}", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str26 = functionEvaluationException25.toString();
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25, "evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    double[] d_array37 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str41 = functionEvaluationException40.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str45 = functionEvaluationException44.toString();
    java.lang.String str46 = functionEvaluationException44.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array49);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { d_array49 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str57 = functionEvaluationException56.toString();
    java.lang.String str58 = functionEvaluationException56.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException56, "evaluation failed for argument = {0}", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 0.0d, "hi!", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException30, d_array37, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 0.0d, "org.apache.commons.math.MathException: ", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array63);
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str78 = functionEvaluationException77.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException81, 100.0d);
    double[] d_array86 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException85, d_array86);
    java.lang.Object[] obj_array88 = new java.lang.Object[] { d_array86 };
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException77, "", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(0.9974592980455554d, "org.apache.commons.math.ConvergenceException: evaluation failed for argument = 1", obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(throwable70, (-0.9999999999999986d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: ", obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException("", obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str26.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str41.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str45.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "evaluation failed for argument = {0}"+ "'", str46.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str78.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "evaluation failed for argument = {0}"+ "'", str83.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test096() {}
// Defects4J: flaky method
//   @Test
//   public void test096() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test096"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 23155.22501212516d, 8.388370239047482E-4d, 0.22324490933011432d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test097() {}
// Defects4J: flaky method
//   @Test
//   public void test097() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test097"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9985497518129052d, 0.7525136954529863d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test098"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(1.0E-15d);
    double d5 = normalDistributionImpl0.density((java.lang.Double)1.0E-14d);
    double d6 = normalDistributionImpl0.getMean();
    double d8 = normalDistributionImpl0.cumulativeProbability(1.6395513150685832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-8.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.3989422804014327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9494507535843333d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test099"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str4 = functionEvaluationException3.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str8 = functionEvaluationException7.toString();
    java.lang.String str9 = functionEvaluationException7.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 100.0d);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { d_array12 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3, "", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array14);
    int i17 = maxIterationsExceededException16.getMaxIterations();
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str30 = functionEvaluationException29.toString();
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException29, "evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable25, "org.apache.commons.math.MathException: ", obj_array33);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("evaluation failed for argument = {0}", obj_array33);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException16, 0.3976278214498225d, "org.apache.commons.math.MathException: ", obj_array33);
    java.lang.String str42 = functionEvaluationException41.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str8.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "evaluation failed for argument = {0}"+ "'", str9.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str30.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str42.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test100"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str3 = functionEvaluationException2.toString();
    java.lang.String str4 = functionEvaluationException2.getPattern();
    java.lang.Throwable[] throwable_array5 = functionEvaluationException2.getSuppressed();
    double[] d_array7 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str16 = functionEvaluationException15.toString();
    java.lang.String str17 = functionEvaluationException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, 100.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array20);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { d_array20 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array7, "", obj_array22);
    double[] d_array25 = functionEvaluationException2.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    java.lang.String str27 = functionEvaluationException26.getPattern();
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str33 = functionEvaluationException32.toString();
    java.lang.String str34 = functionEvaluationException32.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d);
    double[] d_array37 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array37);
    java.lang.Throwable[] throwable_array40 = functionEvaluationException39.getSuppressed();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable29, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -0.7", (java.lang.Object[])throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str3.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "evaluation failed for argument = {0}"+ "'", str4.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str16.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "evaluation failed for argument = {0}"+ "'", str17.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "evaluation failed for argument = {0}"+ "'", str27.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "evaluation failed for argument = {0}"+ "'", str34.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test101"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str2 = functionEvaluationException1.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str6 = functionEvaluationException5.toString();
    java.lang.String str7 = functionEvaluationException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 100.0d);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array10);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { d_array10 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str15 = functionEvaluationException1.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, 2452.01431084703d);
    java.lang.Object[] obj_array19 = convergenceException16.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str2.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str6.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "evaluation failed for argument = {0}"+ "'", str7.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "evaluation failed for argument = {0}"+ "'", str15.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test102() {}
// Defects4J: flaky method
//   @Test
//   public void test102() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test102"); }
// 
// 
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 10.320420390491613d, 0.4999991925954849d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test103"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-3.1086244689504383E-15d), 2.5110173919621328E17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2555086959810664E17d);

  }

  @Test
  public void test104() {}
// Defects4J: flaky method
//   @Test
//   public void test104() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest9.test104"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.23116506060624342d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test105"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(0.19440319180825583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test106"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setMean(Double.NaN);
    normalDistributionImpl0.setMean(10.0d);
    normalDistributionImpl0.setStandardDeviation(100.0d);
    normalDistributionImpl0.setStandardDeviation(0.99854975169906d);
    normalDistributionImpl0.setMean(1.6449340668481562d);
    double d14 = normalDistributionImpl0.density((java.lang.Double)5.605438554552866E-4d);
    double d15 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(0.5225277383865796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.10296158304049367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.6449340668481562d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test107"); }


    double d1 = org.apache.commons.math.special.Gamma.trigamma(12.955585812150588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08024223646402473d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test108"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.6449340668481562d);
    double[] d_array5 = new double[] { (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str12 = functionEvaluationException11.toString();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1L };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11, "evaluation failed for argument = {0}", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str19 = functionEvaluationException18.toString();
    java.lang.String str20 = functionEvaluationException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, 100.0d);
    double[] d_array23 = functionEvaluationException18.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str27 = functionEvaluationException26.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str31 = functionEvaluationException30.toString();
    java.lang.String str32 = functionEvaluationException30.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, d_array35);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { d_array35 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str43 = functionEvaluationException42.toString();
    java.lang.String str44 = functionEvaluationException42.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException42, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException26, 0.0d, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, d_array23, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, 0.0d, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array49);
    functionEvaluationException3.addSuppressed((java.lang.Throwable)functionEvaluationException53);
    double[] d_array55 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str61 = functionEvaluationException60.toString();
    java.lang.String str62 = functionEvaluationException60.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 100.0d);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, d_array65);
    java.lang.Object[] obj_array67 = functionEvaluationException66.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str73 = functionEvaluationException72.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));
    java.lang.String str77 = functionEvaluationException76.toString();
    java.lang.String str78 = functionEvaluationException76.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException76, 100.0d);
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, d_array81);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { d_array81 };
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72, "", obj_array83);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException72);
    java.lang.String str86 = functionEvaluationException72.getPattern();
    java.lang.Object[] obj_array87 = functionEvaluationException72.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array87);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    double[] d_array90 = functionEvaluationException89.getArgument();
    java.lang.Throwable[] throwable_array91 = functionEvaluationException89.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException92 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1", (java.lang.Object[])throwable_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str12.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str19.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "evaluation failed for argument = {0}"+ "'", str20.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str27.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str31.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "evaluation failed for argument = {0}"+ "'", str32.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str43.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "evaluation failed for argument = {0}"+ "'", str44.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str61.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "evaluation failed for argument = {0}"+ "'", str62.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str73.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"+ "'", str77.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = -1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "evaluation failed for argument = {0}"+ "'", str78.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "evaluation failed for argument = {0}"+ "'", str86.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);

  }

}
